commit b215516a4d6dbee6cc56fbb0fe4a44482936a444
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Aug 16 14:33:07 2016 -0700

    Bump version to 3.5.0.4
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 5acd17ee75f0dd37a463a089ed2d00a62db84d25
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Aug 16 14:31:31 2016 -0700

    gen_cmdline: drop parse_opt usage
    
    Commit f5f28c6c removed the parse_opt function, but missed that it was
    still used heavily in gen_cmdline's parse_cmdline function. This broke
    many commandline arguments.
    
    Remove usage of said function and replace with bash text handling
    instead.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit e8d601f00549fa22424db7af97be1a573f4fb2b0
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Aug 13 16:25:19 2016 -0700

    Bump version to 3.5.0.3.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d0e7c2c7b9615ca369970bf37ae7ad16c293ee17
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Aug 13 16:23:37 2016 -0700

    gen_bootloader: grub2-mkconfig is sometimes now grub-mkconfig, per bug #591200.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 8336d3de653db02f1cc558a04560aaa76722ef4e
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 5 12:47:47 2016 -0700

    busybox features, pass 2
    
    Start to tune busybox features, based on pieces I've used to bring up
    systems, as well as turning off pieces that have no use.
    
    conspy could be useful to get genkernel printing on all consoles before
    OpenRC starts up, just like the kernel does.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 96c46e6ffb41bb9f669b0c7c8e53be52f31b718b
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 5 12:31:40 2016 -0700

    Merge MIPS & UM busybox config.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit be862b7c3d497034dc5217fd2294d6a84d2d7fd1
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jul 4 10:43:10 2016 -0700

    busybox: merge netboot config features.
    
    Merge the netboot busybox configuration with the normal busybox
    configuration, adds 5KiB on amd64.
    
    One option was dropped as it no longer compiles on modern systems, and
    is irrelevant:
    CONFIG_FEATURE_2_4_MODULES
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 54b5678f8058d44087ac619db88a980834a1079f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Jul 3 22:35:13 2016 -0700

    busybox: add more functionality, pass 1.
    
    While trying to install a difficult system, it became apparent that the
    default genkernel busybox was a pain to work with in some cases, and the
    netboot busybox hadn't been maintained. The netboot busybox
    functionality also adds very little size to busybox, so start to merge
    the busybox configurations (meaning default genkernel can be used for
    most of netboot).
    
    On amd64, this adds approx 170KiB to the default busybox, and 380KiB to
    the netboot busybox (mostly due to not being maintained much).
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d975f1794ddd95a874285dd2902e3d6db77180f6
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Jul 3 22:13:53 2016 -0700

    busybox: always include printf.
    
    Commit cc02d07dedbc737855ec0711dd52d4654c9a7404 switched to more use of
    printf, but we need to ensure it's always included in busybox to be
    safely used.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit f99593cc304527d7b3cc5e964ffad51556e1434c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Jul 3 22:03:46 2016 -0700

    x86_64: updated networking
    
    Many new servers ship with 10GbE cards only, and having those drivers in
    the install media initramfs can be very useful for installing; so
    include them if they get built.
    
    Also include support for bonding, vxlan and macvlan for their increased
    frequency and similar booting cases.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit f3299dffb18d26fe500bc59a59a8bc591b2dcf78
Author: Jason Miller <aidenn0@geocities.com>
Date:   Wed Jun 22 16:12:10 2016 -0700

    gen_initramfs: fix little-endian problem with hostid

commit cc02d07dedbc737855ec0711dd52d4654c9a7404
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Jun 22 23:48:43 2016 -0400

    clean up extended echo usage
    
    Switch to printf where appropriate, and simplify other locations where
    the -e option was pointless.

commit f5f28c6c6fa09a746d317c0956659eb6c6454516
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Jun 22 23:26:49 2016 -0400

    genkernel: simplify/robustify --config parsing
    
    There's no need to use eval here, and the quoting on it is off leading
    to incorrect expansion side effects with some inputs.

commit a0b9c8b3daa217615bf85f2e3596ce0068c2c847
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Jun 22 23:17:16 2016 -0400

    cleanup small_die a bit
    
    Fix quoting, make sure it's clear we're failing, and send output to stderr.

commit dcaf70ea39a54cd5354dc814f1a965a5b2c27506
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:57:23 2016 -0700

    Bump version to 3.5.0.2
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 4b467f0ab3dccc518355fe42f089c01a761ebaf7
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:55:26 2016 -0700

    defaults/initrd.scripts: bug #449186, strip iversion from mountopts.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 5276cd77b5ac4e6f2442bb84573559545f7ad4a2
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:53:24 2016 -0700

    defaults/initrd.scripts: bug #519742, fix multipath detection.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 493af2b716fe55a37139858c9f1e8ddb44df4e71
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:49:40 2016 -0700

    gen_cmdline: bug #544172: sanity check on mdadm/dmraid.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 67893b749b83fd716e55fa7c865f4c924454ee24
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:40:43 2016 -0700

    defaults/linuxrc: bug #232733: implement rootwait.
    
    Based on patch from John Klug <ski.brimson@gmail.com>.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 8a78287818c1179a08d521c66355e193523a699f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:21:22 2016 -0700

    arch/x86/arch-config: bug #582318, explicitly set non-64bit so cross-compile works
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit c31abf34278eef8f68585aa6b458ad7a5b4b535c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:18:41 2016 -0700

    gen_configkernel: bug #486366, fix virtio kconfig options.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 33222961623c2e3328f1cc00021da671e07290ee
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun May 15 23:09:45 2016 -0700

    gen_configkernel: bug #486366, fix virtio kconfig.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 1962b0ec93bdeda0314b1bb09b08a1c890f0a725
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Sun Mar 27 02:11:55 2016 -0400

    Bump version to 3.5.0.1
    
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 4fb8318037a8ea12f54b7c711d702b432113f233
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Sun Mar 27 02:04:41 2016 -0400

    adjust System.map die check for #570822
    
    Builds with newer genkernel have been failing in catalyst like so:
    * ERROR: Could not copy System.map from kerncache for the kernel package!
    
    The code that added it seems to have been meant to check the minkernpackage/
    subdir where the file was renamed instead of the current subdir.  Change the
    check to simplify verify the mv didn't fail instead of duplicating the file
    name entirely.
    
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 1e05f5e3002c97755380fe28ad2f9fb9450a97b8
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Sun Mar 27 01:55:43 2016 -0400

    always respect kernel settings
    
    Just because someone has passed the cross-compile flag does not mean
    the other settings are not interesting as well.  The cross-compile
    prefix is used for many tools, but genkernel only allows for setting
    of a few, and the other settings (like arch and output dir) should
    not be completely ignored.
    
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 41a7b4515071ef386f919215fa02a90beb426500
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 29 13:47:36 2016 -0800

    config.sh: ensure generic config.sh is used again; and refactor duplicate settings.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit c37d0daba2f264c72a945dcebd08e9a42d8649f7
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 29 12:34:09 2016 -0800

    fix rootfs detection per bug #552052
    
    ZFS and btrfs tools if not explictly configured (either way), default to
    detecting the fstype of the rootfs.
    
    The old rootfs detection method was NOT reliable in all cases; so
    replace it with a different way. Future improvements should check for
    rootfs AND the local existence of the required binaries (and bail out
    early if the the rootrfs was detected but the binaries are not present).
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 0d600946372f19c786655a1a85c79ea135d83e78
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Feb 14 12:52:53 2016 -0800

    kconfig: disable CONFIG_FB_NVIDIA per bug #574358; obsolete with Nouveau

commit 0042cf39f3efd3ed14a9a8a363b82cb43117b4e4
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Feb 7 04:53:17 2016 -0800

    gen_initramfs: drop usage of mknod, so we can almost run without root!
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit aa3fd1cd490c0e2ad1088a28d325701c2cebcdf1
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Feb 7 04:19:51 2016 -0800

    Be stricter with module path for firmware.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 3d57190f734199a3ca48bd3a1b411b184b8963b5
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Feb 7 04:18:00 2016 -0800

    gen_configkernel: fix missing ||.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit f9324a84796a5dbcac9d3a3fe2bead24f2853aa1
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Feb 6 17:30:15 2016 -0800

    Use KERNEL_OUTPUTDIR more consistently.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 29716ce46c58e5c6f33e35b4b575227298f054da
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Feb 6 14:14:05 2016 -0800

    Major version bump: due to kernel changes this is considered a major unstable bump.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 13a31c7b34b8afe93bb38f751eb6b1e45c590dca
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Feb 5 15:45:38 2016 -0800

    Makefile: add a check to ensure all output from --help is documented.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 9a8f6f84aeba0807df3dac2fc95462a0e96ec7f5
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Feb 5 15:28:16 2016 -0800

    doc: add --kernel-outputdir to documentation.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit c157e8a5cfab8133a94eab7a765152fc45d3a2a8
Author: craig <craig@haquarter.de>
Date:   Thu Feb 4 03:53:48 2016 +0100

    Wait for iscsi to settle, use scandelay method

commit e1762412c77152f5ee04df438e7e9534332b1695
Author: Austin S. Hemmelgarn <ahferroin7@gmail.com>
Date:   Sat Jan 23 22:11:27 2016 -0800

    initramfs: lz4 compression
    
    X-Gentoo-Bug: 553740
    X-Gentoo-Bug: 499520
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 92cb275526ce94fb6118cb715622b4dd9a136444
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 21:49:13 2016 -0800

    Support nice(1) to affect the scheduling of the make invocations.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit edca92475c35d93185ca48f8956e290370acad2b
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 14:43:30 2016 -0800

    kconfig/generic: Remove dupe option CONFIG_NET_IPGRE_DEMUX.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 2683b510e7cf19b2fa14c7dff023d1e93f14ab32
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 14:42:00 2016 -0800

    kconfig/x86*: CONFIG_BOOTPARAM_HARDLOCKUP_PANIC is hazardous to have by default.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 860d09dc1cf3f08e8ef2caad5b11b19ae6b9fa61
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 14:35:48 2016 -0800

    Improve clarity for makefile command.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 7eb2709abef8e9774f42a5a43b362125bc5aa82a
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 14:14:27 2016 -0800

    gen_configkernel: clean up logic, and correctly fall back to non-generated kconfig for arches where the "generated" kconfig is unusable.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit cae778e10ef2485ba5432edf4efc5cfe7dfbe435
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 14:11:20 2016 -0800

    Some of the arch-config blocks were never populated for minor arches, so the configs are not usable, we should ignore them.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 0c0380230fbf461dd96125fa8f4514fcfef31487
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 13:42:52 2016 -0800

    kconfig/x86: older x86 can use microcode too.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d81b2ed6d792fda25719baa99e391126980c3bd0
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 13:39:14 2016 -0800

    mdev: if the vpd_pg83 sysfs node fails a test read, hide the error; bug 569990
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 247626b6d8b30eb3ed13cb23226c149169607c5e
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 13:23:53 2016 -0800

    kconfig: disable extranenous debug.
    
    The older kernel-configs did not enable much debugging, and when we
    switched to the newer debug infrastructure, a lot of it wound up turned
    on implicitly.
    
    List of options returning to disabled:
    CONFIG_ACPI_APEI_ERST_DEBUG
    CONFIG_DEBUG_HIGHMEM
    CONFIG_DEBUG_LIST
    CONFIG_DEBUG_NX_TEST
    CONFIG_DEBUG_RODATA_TEST
    CONFIG_DEBUG_SPINLOCK_SLEEP
    CONFIG_DM_DEBUG
    CONFIG_DM_DEBUG_BLOCK_STACK_TRACING
    CONFIG_DM_DEBUG_SPACE_MAPS
    CONFIG_FIREWIRE_OHCI_DEBUG
    CONFIG_IWL3945_DEBUG
    CONFIG_LIBERTAS_DEBUG
    CONFIG_SCSI_DEBUG
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 945a877a0277befb1fa21281e61ae138af19d356
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 13:03:45 2016 -0800

    kconfig: Disable CONFIG_KALLSYMS_ALL and CONFIG_DEBUG_INFO* by default, like older kernels.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 1db2094afa35e360a786416dccaee52693010b57
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 12:38:54 2016 -0800

    kernel/x86*: get closer to older kconfig, with change in override from Makefile; ensure XFS_FS=m and SECCOMP=y.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 84288b735e2203bc499c32ef4370ba88b0e29d96
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 12:35:32 2016 -0800

    kconfig/ppc*: get closer to older kconfig, with change in override from Makefile.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 333a300e9f40996750a2622c634b0ca5a04469ab
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 12:34:24 2016 -0800

    kernel: Disable DLM & ZRAM debug in generic config.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 164fcba61cc8cc4458e74f21bcfd97ef2f3aa815
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 12:33:38 2016 -0800

    Makefile: Fix kernel config building, ensure targets are always updated properly as well.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit e91e5c10e37a961d43049b0d4d03e59d89c9a67f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jan 23 12:07:31 2016 -0800

    kernel-generic-config: fix bad patch of CONFIG_MEDIA_USB_SUPPORT.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 1b8eb107085e8e30a47a3eebbcbce1dda4afb5e1
Author: Richard Yao <ryao@gentoo.org>
Date:   Wed Jan 20 13:54:33 2016 -0500

    busybox mount takes -o move instead of --move
    
    Our attempt to move /dev into /newroot/dev fails because busybox's mount
    does not understand --move. Instead it requires `-o move`. This failure
    causes us to unmount /dev causing ZFS /dev/zd* device nodes to be lost
    during the boot process.
    
    There is nothing in userland that presently knows how to recreate zd*
    devices from `/sys/devices/virtual/block`. ZFS is not necessarily the
    only driver affected, so while this is definitely a bug in the zfs udev
    rules we should try to preserve /dev to avoid triggering such bugs in
    other subsystems.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 52711b07263dfa27e660151c0221454c7ac4b3e4
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jan 5 15:53:30 2016 -0800

    Bump.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 8c525fa4528c39b57c8194b749edc8ba29cf9126
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jan 5 12:05:06 2016 -0800

    thinko fix.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 28fddfdbf0977e33c84fc205c380657b751c2c98
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Tue Jan 5 15:02:12 2016 -0500

    whitespace ocd

commit e6fb30fdf4c31a083452639792d6d40613f6ae56
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jan 5 11:39:14 2016 -0800

    lvm: ensure /etc/lvm/cache exists for extra vgscan call.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 19d8a784c9618926a4740c43fcc40ebb1bb5bf8b
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jan 5 11:35:01 2016 -0800

    multipath: find the needed binaries and fail visibly
    
    While making dolvm safer per commit 7316481040, I noticed that multipath
    had the same issue: /sbin/dmsetup was called, but the binary was
    actually at /bin/dmsetup. Prevent this by detecting the binary location
    if possible, and failing gracefully if not found.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 7316481040d27ac85c5663b51c74d5547671166f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jan 5 11:33:50 2016 -0800

    lvm: be more robust in build & init
    
    Commit ed52f905b6 was a good start, but missed that the cleanup nuked
    the moved file. Improve the unpacking as well as usage of the LVM binary
    to be much safer, and give useful errors if something is not as it
    should be.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit ed52f905b67f4dc25ec99ae63b68240efb710958
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Tue Jan 5 13:49:44 2016 -0500

    lvm should not be moved
    
    moving lvm from sbin to bin breaks the symlinks and makes using the
    debug shell much harder.  Patch suggested by TomWij and independantly
    recreated by Zero_Chaos and ryao.  bug #448156

commit c7a2fbef56b808b97135307621dc43b4fe970a44
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Tue Dec 29 23:36:30 2015 -0500

    Revert "run startVolumes after opening luks"
    
    This reverts commit 33c3c90cce2a242a7d6e45effa48ebbd91f63cff.
    
    As correctly pointed out by Whissi on bug #390079 users should be using
    CRYPT_ROOT and REAL_ROOT which work properly, this commit causes a double
    lvm scan which isn't needed.

commit ea69fddd04cc773dbf9988e14b79f51d7f928d3d
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Dec 27 19:22:17 2015 -0800

    Bump to v3.4.52.3.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 651bfd26e288fa7a3b21b3630bc32e1ed0db37e1
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Tue Dec 8 15:56:13 2015 -0500

    s390 kernel: update config to linux-4.3 and add kvm/virtio support
    
    In order to boot the s390 kernel under qemu and such, we need to enable
    a few more drivers.  Since the size cost isn't large, and it allows us
    to test things in an emulator, do it.
    
    URL: https://bugs.gentoo.org/556328

commit 60d9860a74552dc3d49f8c1735f0068130251c62
Author: Ian Stakenvicius <axs@gentoo.org>
Date:   Tue Oct 13 14:07:55 2015 -0400

    Fix build issues with the dmraid module
    
    Attempts at building an initramfs with --dmraid have started to fail very
    recently. The failure itself seems to be due to changes to the current
    system versions of lvm2, that have brought to light the fact that the
    genkernel dmraid has been building using /usr/include/ headers instead of
    headers from the genkernel lvm2.  Additionally to this, dmraid requires
    libdevmapper-event, and the genkernel version of lvm2 doesn't (didn't ever?)
    build this.
    
    This commit addresses both issues, by:
    
    1. Adding --enable-dmeventd --enable-cmdlib to the lvm configuration, so
    that libdevmapper-event is available to dmraid
    
    2. Adding a --with-devmappert-prefix= to dmraid configure so that
    ./configure won't try and override it or otherwise get in the way of
    the hard-coded paths we add to CFLAGS.
    
    3. Adding a DEVMAPPEREVENT_CFLAGS var as dmraid ./configure erroneously
    does not set this var to anything, despite it being used later.
    
    Received nod from Zero_Chaos for the commit.

commit 4bcbeed54876ceff3d0ca315352152997c61c4b5
Author: Gokturk Yuksek <gokturk@binghamton.edu>
Date:   Tue Sep 22 01:46:55 2015 -0400

    Add a mdev rule to rename hw_random to hwrng
    
    When mdev is invoked to populate /dev (mdev -s), it creates the node
    for the hardware random number generator (major 10, minor 183) with
    the incorrect name. This is because the linux kernel uses 'hw_random'
    for the /sys entry and 'hwrng' for the /dev entry. As a result, when
    mdev scans /sys/class, it finds the entry
    '/sys/class/misc/hw_random/dev' and creates /dev/hw_random.
    
    When combined with the kernel option 'CONFIG_DEVTMPFS', this results
    in having two nodes under /dev (namely 'hw_random' and 'hwrng) that
    point to the same device. This currently breaks sys-apps/rng-tools
    (#481254).
    
    The use of 'hw_random' has been obselete for 6 years [1]. Kernel
    exposes no mechanism for mdev to figure out the node name
    automatically. Utilize 'mdev.conf' to manually rename 'hw_random' to
    'hwrng'.
    
    [1] http://marc.info/?l=linux-crypto-vger&m=144249767024990&w=2
    
    Signed-off-by: Gokturk Yuksek <gokturk@binghamton.edu>

commit 59bdd8e568cd9d084da4c8fc9590913d7e84f16e
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Mon Aug 31 23:24:39 2015 -0400

    minor whitespace fixes

commit a9a461319c4a6625202c88a7ab9b8786a4f1006a
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Aug 29 17:09:12 2015 -0400

    Add hid-logitech-dj and 3w-sas
    
    Funtoo added hid-logitech-dj and 3w-sas to its fork after a user request
    for 3w-sas:
    
    https://github.com/funtoo/genkernel/commit/3e53f3ad511dde45b1b82b054eb4e7caee8a87eb
    https://bugs.funtoo.org/browse/FL-1547
    
    Lets do the same.
    
    Original-patch-by: Daniel Robbins <drobbins@funtoo.org>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit fa42dd9682043ad42dc70c4a47d7f8847403c946
Author: Richard Yao <ryao@gentoo.org>
Date:   Tue Aug 25 17:24:09 2015 -0400

    Include less and vi in busybox for debug shells
    
    Having access to less and vi in the debug shell would make debugging
    easier, especially in cases where the debug shell is used as a rescue
    shell.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 876782989c5bc190ecc37faad40b2c2adc544c12
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Aug 15 16:09:26 2015 -0400

    Implement partial mdev support for by-id
    
    This only supports making ata-* and virtio-* symbolic links. Support for
    other types of symbolic links is missing.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 1a15b80c8f987cce08cf588f0fae4ccda5a08374
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Aug 15 16:36:48 2015 -0400

    Prefer /boot/grub/grub.cfg
    
    Gentoo migrated to /boot/grub/grub.cfg about 18 months ago. Preferring
    /boot/grub2/grub.cfg will cause us to update the wrong config file.
    Continue supporting the old location should users run old versions
    versions.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 8ab909fe44b7db1ddc17e81d21dec53d4ce2c0b4
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu Aug 20 12:58:04 2015 -0400

    kernel config parts of bug #557278 fix

commit f7fc9dca47d5c5d6ea5b894e232068e464353658
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu Aug 20 12:21:36 2015 -0400

    disable optimize for size on x86/x86_64 bug #474724

commit 33c3c90cce2a242a7d6e45effa48ebbd91f63cff
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu Aug 20 12:13:48 2015 -0400

    run startVolumes after opening luks
    
    some users put lvm (etc) inside luks containers, which may require rescanning of lvm, btrfs, etc
    bug #390079

commit 694a32701cb36b5bba132f0a99394402aae743d8
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu Aug 20 12:05:32 2015 -0400

    fix for bug #444574 from floppym
    
    also fixed bug #461910, possibly others

commit f798f48b333873c6b80ac949a31ef1578caee2a1
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed Aug 19 22:26:24 2015 -0400

    bump to v3.4.52.2
    
    minor change, addition of the pentoo verification feature for cdroot/isoroot.
    this is getting a tag because it represents the final unforking of the pentoo
    version of genkernel

commit 8d1b1ff68fc56f79739c02bbe5ebe9ef14933825
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed Aug 19 22:25:56 2015 -0400

    add in the isoroot/cdroot verification patch from pentoo

commit 07b46eab8e50791e87a27d8bc3dc1b243ffa58d9
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed Aug 19 21:58:19 2015 -0400

    bump to 3.4.52.1 to fix distclean commit and ensure clean tags

commit 939dde2db13c1bcc327e9e2420043ea2ed7dbe0d
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed Aug 19 21:57:49 2015 -0400

    ugh, fix ordering issue that couldn't be solved with quotes

commit 3140eb99ff393e596667a5d999c6c7bea4b5229e
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed Aug 19 21:45:45 2015 -0400

    v3.4.52

commit e94f322eca85076f3e374f22d2e54a2a929a0199
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed Aug 19 21:44:12 2015 -0400

    add a target for make distclean

commit 065e3157be7c90a27f09bf7b96ae10943db8a0e3
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed Aug 19 15:32:50 2015 -0400

    fix test to check for execute bit when we plan to execute
    
    as noticed during review of the patch from haasn for btrfs, many tests
    were checking for file existance before trying to execute while checking
    for the execute bit makes a bit more sense.

commit d41ebc4d721a8706d0b0f7c5cd1ed8dab42d667c
Author: Niklas Haas <git@nand.wakku.to>
Date:   Wed Aug 19 21:13:20 2015 +0200

    Support multi-device Btrfs filesystems
    
    This requires running `/sbin/btrfs device` scan during boot, which is
    exposed via the new parameter ``dobtrfs''.

commit a79ecbd06cf71b3ac5abd2675601a0d750a9908c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Aug 17 20:31:59 2015 -0700

    Support compressed modules: both XZ & GZIP.
    
    Newer kernels support compressed modules directly.
    
    It's not ideal for genkernel, since it would be double-compressed, but
    since genkernel takes the modules the module destination directory after
    modules_install, it's the quickest way to a working system again
    (because the non-compressed modules aren't installed).
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 06106b54ce4a767ba201c414a833ba63076dee1f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Aug 17 20:30:39 2015 -0700

    KSUFF variable was never used.
    
    KSUFF variable never got used after it was introduced.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit b3517f3682b17492aaae421d114cafbe9679b13c
Author: Richard Yao <ryao@gentoo.org>
Date:   Tue Aug 11 16:55:38 2015 -0400

    Revert "Disable stack protection by default"
    
    This reverts commit 9a35d09be877f957c46fa374be9d2d3f0b3390ba.
    
    The controversy was settled by explaining that
    CONFIG_CC_STACKPROTECTOR_REGULAR is -fstack-protector, not
    -fstack-protector-all.

commit 9a35d09be877f957c46fa374be9d2d3f0b3390ba
Author: Richard Yao <ryao@gentoo.org>
Date:   Tue Aug 11 16:46:29 2015 -0400

    Disable stack protection by default
    
    I had intended for this feature to catch bugs in the kernel that
    involved stack corruption so that there would be a chance of debugging
    them, but Rick Farina is strongly against turning this on unless it is
    the strong version, which we cannot turn on until GCC 4.9+ becomes
    widespread. I am turning this off because the controversy is simply not
    worth it, but this is a bad decision.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit a9060bbef3152c735030dfb4134998c344e3d0c4
Author: Richard Yao <ryao@gentoo.org>
Date:   Tue Aug 4 15:07:21 2015 -0400

    More kernel configuration customization
    
    We need some more tweaks. Some of this is from taking the new kernel for
    a test drive (power management tweaks and video support). Others are
    from review (debuggability improvements).
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit fb8b21b62d5aa0ce2a378610b1b15dabb1b002a2
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Mon Sep 22 20:19:43 2014 -0400

    /usr/portage/distfiles shouldn't be tmpfs
    
    It really doesn't make sense for /usr/portage/distfiles to be tmpfs,
    plus, if a user is using aufs and trying to save changes we don't want
    to lose these files.  Only /tmp and /var/tmp should be tmpfs.

commit 9dc3dfc0e09e75a3f83c94f28c6d60fb36abab2e
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Mon Sep 22 20:07:28 2014 -0400

    aufs changes saving automation
    
    The aufs code has the ability to save changes in a file, however, it
    requires the user to manually tell us where the file is.  This code will
    automatically check for the file on $CDROOT, as well as automatically
    pick up the casper-rw file created by unetbooting for persistence.
    Additionally we add the option for aufs=search which will search all
    drives for livecd.aufs. Possible later enhancements include searching
    other partitions on the CDROOT_DEV for livecd.aufs automatically instead
    of needing aufs=search.  Then again, possible later enhancements also
    include just always searching, it's shockingly fast to do the search...

commit 421a7a9fd23106a9db17d2b73a51028a5a2354f5
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Fri Sep 5 12:11:48 2014 -0400

    change default aufs branch naming
    
    likewhoa didn't like my default naming, and I don't like his, so we
    compromised on aufs-rw-branch so no one is happy :-)

commit 160c3b5d7a5f705fbb838042ca9bdba376a7f984
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Sun Aug 17 02:18:36 2014 +0200

    restructure no_umounts from being set in /etc/rc.conf to /etc/conf.d/localmount

commit f3b1c95130892ec98e233efced096a876ac8e4f6
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Mon Aug 4 03:23:02 2014 +0200

    Fixed a bug which prevented aufs.modules from functioning properly
    and changed the variables names to reflect the actual logic.

commit 466e9c7220d6c656113457ddf5aa35c5265a6b7c
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu Jul 10 03:53:07 2014 +0200

    Changed to the dd command which creates the livecd.aufs image for
    the aufs writable branch to make the process faster we create a
    sparse file. Added a check for a block device so that we don't try
    mounting the aufs device & some small comestic changes.

commit 5070080b5bef3ee5c0231f11833f227e3e055520
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Wed Jun 25 18:12:11 2014 +0200

    This is commit contains several changes summarized below.
    
    1. Changed renaming of RC_NO_UMOUNTS directories
    2. Upper to lowercase variables because this is the year 2014
    3. Renamed aufs related variables for better readability
    4. Fixed a typo in mke2fs command which was missing an "&"
    5. Cleaned up setup_squashfs_aufs() function
    6. Fixed an issue with legacy squashfs implementation which caused
    /mnt/cdrom to be shown twice in 'mount' and removed the --bind and
    replaced this with --move
    7. Restructured the union_* functions so that we don't parse 'ls'
    and enabled globbing
    8. Coding style changes
     - rid of the unnecessary braces
     - fix a missing & for mke2fs on livecd.aufs
     - renamed variables for more readabilit
    9. Better error handling for changesfs()
    10. Removed aufs.persistent since 'aufs' already mounts a tmpfs which
    uses half the available ram, and since this feature is not true
    persistent we remove it in favor of aufs=<DEV>

commit 539d2eb0b91d617ff4a83910b507248c02ce6caf
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Wed Jun 25 00:36:40 2014 +0200

    Reverting back old mknod permission settings for netboot compatibility

commit a6202ee3e4a2098fc17fd64ac3aad46353cff5dd
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Mon Jun 23 22:03:36 2014 +0200

    Introduced a new funtion to test for numeric values that that our changes_fs doesn't fail
    when non-numeric values are given, also the styling of changes_fs was changed to
    reflect new logic.

commit ab3a4401123ef0a732200166fcfeebc8dca9a72a
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Mon Jun 23 19:58:33 2014 +0200

    Coding style changes throughout all the AUFS related code.

commit 74b1357985c41affab2210c09c9a84108a5171ad
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu Jun 5 03:29:32 2014 +0200

    Fixes a bug introduced by 8405e23 that broke none AUFS boots

commit 4ae1ad8d8d50cc1d26fb03b715af4b63ab8807fa
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu Jun 5 01:04:30 2014 +0200

    This introduces changes to former commits d8e2d4d & 720a60f in
    which there are fstab changes and tmpfs mounts which are combined
    into one /etc/fstab instead.

commit 22fc4406486edd0f7a82b117d5884c8f2cf7487e
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Tue Jun 3 19:48:14 2014 +0200

    Better implementation which was originally done in 946918e & 7a38d63.

commit 4cfec5769e31d24d16c6cc582c5ab43f286f76b2
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Tue Jun 3 03:36:28 2014 +0200

    A new bootstrapFS function has been added to cut on duplicate code
    use which both aufs and squashfs boot types use and this it's moved
    to the top of the boot process.

commit f6afac68dd4134f8415e6d2ebea9f535b6d9e5c7
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Tue Jun 3 02:46:43 2014 +0200

    dokeymap implementation for AUFS's union

commit eee5452c2e3d6211a77699bc1e687fe41a5f5924
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Mon Jun 2 17:19:23 2014 +0200

    This improves the way we handle RC_NO_UMOUNT variable in openrc so that
    future changes can scale and fixes previous bugs which didn't actually
    remove duplicates.

commit 75c9e46754eced6074d864f0bcfe133d7b21f19f
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Fri May 30 04:57:13 2014 +0200

    coding style changes

commit 9b67915cb1ccb5299dd43b5afee81c53b022ef23
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Fri May 30 04:46:09 2014 +0200

    Better handle on if aufs.modules kernel parameter is used

commit b9b3c758571b2016969691da2ffd76558a59a212
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Fri May 30 04:31:13 2014 +0200

    Wording changes, cosmetic crap

commit 73c4b5312df5796df116e59edad6034520943b00
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Fri May 30 04:06:42 2014 +0200

    Output cleaning

commit d055edc7e460bba5320f2e865d5cc9cbad3488af
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Fri May 30 04:02:30 2014 +0200

    Restructure the setup_aufs function, it had redundant code and moved
    the call to it further down the pipe.

commit dfa979a221ee78281e9335dd69de42321ddc424d
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Fri May 30 03:03:37 2014 +0200

    Cleanup dd output from changes file creation

commit 9b660463faa2c7f544afdfa29790f81989c04434
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Fri May 30 02:51:08 2014 +0200

    Enhanced the shutdown process and changed from using ${UNION} to ${CHROOT} to
    better understand the logic behind things as CHROOT is set to ${UNION} anyways.
    
    RC_NO_UMOUNTS is more dynamic now and should scale up.

commit 5f8969492c9aafd161a5d146ea7fb87e9d2d4850
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu May 29 10:15:13 2014 +0200

    Removing --bind on some directories to prevent ${NEW_ROOT} path
    from existing in favor of --move.
    
    Got rid of the no longer required subshell call for aufs ${NEW_ROOT}
    overlay.

commit a1b88b49e6139cf7f0ac465430e3370773ab6017
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu May 29 04:40:18 2014 +0200

    This fixes /etc/fstab from not working while in setup_aufs function and instead
    includes it in the union path.

commit 2061bb8f643f2a55584fa882a37e19296d2bda56
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu May 29 03:55:05 2014 +0200

    Cleaner shutdown process preventing aufs related mounts from
    being umounted along with mnt/{livecd,cdrom} and others.
    
    Addition of a variable for aufs changes so that required
    directory can be create upon successful creation of the livecd
    image file.

commit 466b4d79da096f1380baff025db413df07c0e365
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu May 22 17:11:10 2014 -0400

    remove pointless changes size warning
    
    a check has been added rendering this warning obsolete

commit 0587d9e5033236aac23074e6c4cbc6d6537871fc
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu May 22 17:10:12 2014 -0400

    Removing use of 'let' and cleaner output of dd command, plus minor cosmetic

commit d53692f164116a3f660735fedd667925c40e3056
Author: Fernando Reyes (likewhoa) <design@missionaccomplish.com>
Date:   Thu May 22 16:52:30 2014 -0400

    Fix kernel line argument handling.
    
    Fix kernel line argument handling since it's using old deprecated
    function.

commit 9f5680f611754ae71d3e1320d63f822c2e0e5d1b
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Mar 17 12:38:09 2014 -0700

    Document the very large if structure for AUFS.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit eb038137097615caba789b9afd6e54081ed480d9
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Mar 17 12:32:04 2014 -0700

    Refactor tmpfs creation to aufs env.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d74e80aee14835c0649db52af0e17467ddb17907
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Mar 17 12:20:40 2014 -0700

    cleanup: these directories were dropped in the aufs patch.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 505b468d0bb539b8f06919af764969dd2ac27e9d
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Wed May 8 22:24:51 2013 -0400

    Proper AUFS support
    
    This patch is what we have been using for the Pentoo LiveCDs for about 5
    years with the changes suggested by lxnay merged in.  As much as
    possible has been addressed (with the exception of the man page
    documentation).  Please review this code as the next version will likely
    be suggested for inclusion (once I write the documentation for the new
    features).
    
    Signed-off-by: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>

commit 4dfd61bd3accf7727be429a9e351e113afa40644
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Aug 18 14:12:19 2014 -0400

    Customize configs
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 3b2a190062f6a15af1aba3565e9bdb8fcdc5056a
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Aug 17 18:04:49 2014 -0400

    Initial kernel config infrastructure
    
    The merge.pl script and initial configuration files for ppc, ppc64 x86
    and x86_64 are from RHEL6. The merge.pl is intended to be replaced in
    the future. We will use it for now because Rick Farina of Gentoo QA
    wants this merged regardless of whether we have a substitute ready or
    not.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 4ee008490c3896b1e0fb97f3b5cd5071e166d8dd
Author: Richard Yao <ryao@gentoo.org>
Date:   Fri Jul 31 14:08:51 2015 -0400

    Bump version to 3.4.51.4
    
    I neglected to push the 3.4.51.1 and 3.4.51.2 updates to master, which
    lead 3.4.51.3 to bring us out of sync. This tag reunifies the two.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit a0e94ca4a37acf44015fd8d6a8912a29669c0ffc
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Aug 17 15:57:30 2014 -0400

    Enable sensors for K10 and K15h families in default x86/x86_64 configs, bug #508362
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 7e22da0ee74bdc05056668a99fac5aa8cfe16a30
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Aug 16 22:47:37 2014 -0400

    Enable CONFIG_AUDIT=y on almost all architectures
    
    CONFIG_AUDIT is already enabled on the most common architectures. It is
    ancient, yet it is required by SELinux. Lets enable it on all
    architectures for SELinux compatibility.
    
    It is not clear that ./arch/ppc64/kernel-2.6-pSeries and
    ./arch/ppc64/kernel-2.6.g5 even still work. I am omitting them from this
    commit because it is not clear to me that they even still work.  Someone
    with appropriate hardware will need to update the config file(s).
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 91c5d373f37885a59bc4f6647119b47a8c95e8c5
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Aug 16 22:40:06 2014 -0400

    Include CONFIG_FHANDLE=y in default kernel config, bug #519298
    
    Recent versions of systemd-udev require CONFIG_FHANDLE=y and provide no
    fallback for kernels that lack it.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit c745b48e77d85d5caa458fe803ac04e295b4ff24
Author: Ian Stakenvicius <axs@gentoo.org>
Date:   Tue Jul 29 17:42:10 2014 -0400

    Remove mpath_prio_* and devmap_name from cp command, bug #468760
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 536025e5ccbbf2fa9101737de30324597f58fbe5
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu Jul 30 11:10:47 2015 -0400

    3.4.51.3 so we can close some usb3 bugs

commit 847f7060bd05b172a191faf2cdc446605f75abcb
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu Jul 30 11:08:19 2015 -0400

    switch to xz because why not
    
    -rw-r--r-- 1 zero zero 280K Jul 30 10:55 genkernel-3.4.51.tar.bz2
    -rw-r--r-- 1 zero zero 245K Jul 30 10:52 genkernel-3.4.51.tar.xz

commit f6a2b607a579ce37048fba34cea9dcd28548014c
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Thu Jul 30 10:41:04 2015 -0400

    add xhci_pci
    
    https://bugs.gentoo.org/show_bug.cgi?id=554202
    https://bugs.gentoo.org/show_bug.cgi?id=534266
    https://bugs.gentoo.org/show_bug.cgi?id=522176
    
    this change was approved by the releng lead, but it seems to have slipped
    off his plate so I'm going to get some bugs closed by request.
    Squeeky wheels get the grease.

commit 547b48d1800dd18a693de428cb80ce5861057555
Author: Rick Farina (Zero_Chaos) <zerochaos@gentoo.org>
Date:   Tue Apr 28 13:34:10 2015 -0400

    set DEFAULT_MAKEOPTS to what portage uses
    
    Ask portage what MAKEOPTS should be and use this when unset on commandline or
    genkernel.conf.  If portage MAKEOPTS are also unset, keep original defaults.

commit 8434722d7bfcb4b6d7d6dc7f6f5f6330bbe9289a
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Sun Apr 12 17:03:46 2015 -0400

    update old cryptsetup-luks references
    
    URL: https://bugs.gentoo.org/504006
    Reported-by: e1903131@drdrb.com

commit 115084cfb2ec3a78b75aa4e08b93802a87fde19c
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Mon Jan 19 17:01:19 2015 -0700

    genkernel.conf: added another CMD_CALLBACK example
    
    Signed-off-by: Christoph Junghans <ottxor@gentoo.org>

commit c13e972b79864db27742fd9cdbd96be27d4f3462
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Sat Jan 17 17:57:55 2015 -0700

    Added --wrap-initrd option
    
    This is useful in combination the u-boot bootloader which can only
    load wrap initramfs.
    
    Signed-off-by: Christoph Junghans <ottxor@gentoo.org>

commit 52238bfbddba7d043690d2a32296e88e78ed541f
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Sat Jan 17 14:59:03 2015 -0700

    Advertise KERNEL_{MAKE_DIRECTIVE,BINARY}_OVERRIDE in genkernel.conf
    
    Signed-off-by: Christoph Junghans <ottxor@gentoo.org>

commit cb67b99d67b6948ee33b2f1c2f4fda75522fb728
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Sat Jan 17 12:34:55 2015 -0700

    compile_generic: fixed print_info for kernel targets

commit 801435d7e99107fb1513a362ec24b1c824cd657b
Author: Raúl Porcel <armin76@gentoo.org>
Date:   Tue Nov 18 10:09:18 2014 +0000

    sparc64 doesn't need the crosscompiler anymore
    
    Signed-off-by: Raúl Porcel <armin76@gentoo.org>

commit 9cfe42217cb4942629f0686eb6fb3b86795b2984
Author: Raúl Porcel <armin76@gentoo.org>
Date:   Mon Sep 15 11:22:53 2014 +0000

    Fix binary name
    
    Signed-off-by: Raúl Porcel <armin76@gentoo.org>

commit 654916342faeb436a660fa2bc1cbad39a6c6d642
Author: Raúl Porcel <armin76@gentoo.org>
Date:   Mon Sep 15 10:51:06 2014 +0000

    Add s390 support

commit 9dc4ca55fc56c42e0ff2a5f4f98bf7fc4797e07f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 15 00:27:54 2014 -0700

    Bump version to 3.4.51
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 6395682f9978a5d8e49a65123c0dd6604cfb0073
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 15 00:26:49 2014 -0700

    Bug #468760: mpath_prio_* tools needed sometimes. Patch by Ian Stakenvicius <axs@gentoo.org>.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 5a71a83a82e21d486224b63c3ebf6ce692156d08
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jun 24 12:40:29 2014 -0700

    multipath needs to be autoloaded with domultipath, ditto dozfs => zfs.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 35d7275d87ee8c6831c3e92e1885701e0466b0bd
Author: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
Date:   Wed Jun 25 19:06:38 2014 +0000

    Add support for more nic drivers to netboot - forgot to add x86_64 config.
    
    Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>

commit 52c112cf039f2d5f875d0916da4977a4aa33073a
Author: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
Date:   Wed Jun 25 19:05:00 2014 +0000

    Add support for more nic drivers to netboot.
    
    Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>

commit ba88b2e852c94222437dc9567d15942210ef5b6f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jun 23 14:58:31 2014 -0700

    gen_package: packaged kernel/initramfs name fixes
    
    Previous commit 76e801c8 did not actually go far enough.
    
    The existing install from kerncache code that is normally used with
    passing --install used a form of kernel-${KNAME}-${ARCH}-${KV}.
    
    Instead of just the kernel-${ARCH}-${KV} we were using in commit
    76e801c8, or kernel-${KV} that we used before that, let's use the same
    naming per the regular path.
    
    Also add safety checks that the kernels exist, as you could get an empty
    tarball otherwise!
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 96dc776787d23238a4e8dfedc4514911a3d84c37
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jun 23 14:56:17 2014 -0700

    gen_cmdline: fix pkg path getting stuff deleted
    
    If you pass --minkernpackage=X, --modulespackage=X or --kerncache=X with
    a relative path, then it's creates the output file in a temporary
    working dir that is later removed during cleanup.
    
    Resolve the paths during argument parsing to prevent this.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d4ad031a3a7ecaa0248f2bce19bfdd2ae0247eee
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jun 23 14:20:04 2014 -0700

    gen_package: print full paths to pkgs/cache output
    
    The files are not created in the PWD when genkernel run without
    specifying absolute paths for those arguments and I need to debug where
    they are actually going.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 2acd1657b490b14a9c1af0215da0ad07dbdf23c0
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jun 23 14:18:25 2014 -0700

    genkernel: Bump version.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 11fe5382cf4628be7a8b52123c4aeea09b463080
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jun 23 12:02:44 2014 -0700

    gen_package: Log where the kern/mod/cache files go
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 7a1a9d509e38219824676660f41cb4f097c470c4
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jun 23 09:36:02 2014 -0700

    genkernel.conf: DISTDIR in /var/cache bad
    
    Move DISTDIR to /usr/share/genkernel/distfiles: /var/cache might be on
    tmpfs and wiped each boot.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 9213296399a6eaca67185ca65e309e1e6b6518f3
Author: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
Date:   Sun Jun 22 02:08:37 2014 +0000

    Whitepace.
    
    Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>

commit 76e801c8db8487c2ada3af906327c6466c8108d2
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Jun 21 19:08:34 2014 -0700

    Make gen_minkernpackage use the same kernel naming as the normal path (kerncache).
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 0a508d2c948ee6d94603c9b96a712ce187cd36f5
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat May 31 12:56:46 2014 -0700

    Bump version to 3.4.49.2
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 5514ebf70eb5b7d5217cb70f82a2a26ee03e970a
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat May 31 12:55:41 2014 -0700

    Bug #461828: CONFIG_EVENT_HELPER should now be empty by default.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit be1d4c66a79701f400a7bbbea588582164b0f5ca
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Wed Apr 16 01:32:11 2014 -0700

    Improve debugcleanup code
    
    - Improve the debug-cleanup code to use isTrue and match other code
      style.
    - add explicit return 0 after debug-cleanup to avoid passing a false
      negative failure code up to a higher level function.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 61b063151902ac9cea4362d21a797282b68c428e
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 18:30:46 2014 -0700

    Bump version to 3.4.49.1
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 37897db6fa590bbbb8497eadcb515cc5312a6c0e
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 18:29:07 2014 -0700

    Document --no-debug-cleanup.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit c93c617ee0f4ed3b7559208339eecfac4a49c8ec
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 17:47:38 2014 -0700

    Detect mknod failure.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit a8ade8646371e78b95b067af49fdf3934f0efe31
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 16:52:37 2014 -0700

    More device nodes.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 6a758d4933d36f0b6b3257b3985bf3670c1a2a56
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 16:52:13 2014 -0700

    Force ownership of files in building initramfs.

commit deef895b91b8632033a1d1cd151c947f8b73a78a
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 16:01:25 2014 -0700

    Make it possible to turn off all of the on-exit cleanup.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 209ceb7d07d9cb039ea2b3d52309a9bd6743e80a
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 14:43:41 2014 -0700

    Fix MDADM_CONFIG missing message.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 6d610cf9afd929e4c973780e1d37746ebf3d15ff
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 17:55:25 2014 -0700

    LVM install fixes.
    
    Clean up LVM install to work with non-root and handle errors.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit dfbf55f690e21637786023777a216c6a6040dcac
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 13 17:54:36 2014 -0700

    Fix System.map location for src!=output dir.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit b845016361b81ec43a4d84a77077ba9390c23a0e
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Apr 5 18:35:01 2014 -0700

    Fix install with kernel outputdir.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d8b85fd3c41e9fa7a9aa0224f33d5cf97e479fc8
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Mar 17 12:51:52 2014 -0700

    Help users find the right section.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 30df162b8c6c1bbbf6f74e62c819f2324a69962e
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Mar 17 12:50:50 2014 -0700

    Remind users that the manpage documents the initramfs parameters.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 2aabd3fda0352ce7c0a1db6fd4c8036aa5704abb
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Mar 17 12:24:09 2014 -0400

    Bump version to 3.4.49
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 513021d90162ddeaeb0d308e7f27dd0a84b588db
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Mar 15 20:35:06 2014 -0400

    call_func_timeout() should return 1 upon failure
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 144581ec05710c43c3d23c8de4afffa157166bd1
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Mar 15 20:22:05 2014 -0400

    Revert "Workaround busybox modprobe's inability to load ZFS modules"
    
    This reverts commit 2fa0a9beaa069a61f907f0b06c9bd6abeddb1ca7.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>
    
    Conflicts:
            defaults/initrd.scripts

commit 006a5d6d56e622b5ef82e5a066ca7af7b8c2aeed
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Mar 15 19:39:55 2014 -0400

    Load modules by absolute path in busybox modprobe
    
    Our switch to busybox modprobe broke ZFS module loading where busybox
    modprobe would load two modules and then fail. Limited developer time
    resulted in a hack being put into place to repeat modprobe until ZFS
    appeared. However, this was never a real long term solution.
    
    Recent analysis with strace suggests that loading two modules corrupts
    busybox's current working directory inside the kernel. Consequently,
    subsequent tests where absolute paths were used instead of relative ones
    made the problem disappear.
    
    Modifying busybox to use full paths when loading modules makes module
    loading work on all affected kernels. While the long term plan is to fix
    the kernel, this workaround will be needed indefinitely for affected
    kernels, even after mainline Linux is fixed.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 7f50c100956ae6d61fd1c1f41cffe0f26dfb9013
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Mar 15 18:02:46 2014 -0400

    Try mmap() when loading modules
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 3892338864a5afa3b720569cb3ab1bb2f9ab44bf
Author: Martin Dummer <martin.dummer@gmx.net>
Date:   Tue Mar 4 08:21:03 2014 +0100

    Fix endless loop in gen_funcs.sh when LOGLEVEL is empty
    
    When LOGLEVEL is unset or empty then genkernel loops endlessly in
    gen_funcs.sh.
    The solution is to set a proper default loglevel in $USRBIN/genkernel.
    
    Signed-off-by: Martin Dummer <martin.dummer@gmx.net>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 5e2553af6a81e724fd9415b87a77004bdcaac31d
Author: Martin Dummer <martin.dummer@gmx.net>
Date:   Mon Mar 10 23:36:05 2014 +0100

    fix broken function prompt_user()
    
    There is a mistake in the parameter check of function prompt_user()
    which causes to exit the initramfs unconditionally when the function is
    called with *correct* number of parameters (which then causes a kernel
    panic)
    This patch puts the parameter check into a readable if..then..fi block.
    
    Signed-off-by: Martin Dummer <martin.dummer@gmx.net>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 78132dd0e878e685891fe4dbfdd00ca86e57db24
Author: Martin Dummer <martin.dummer@gmx.net>
Date:   Tue Mar 4 08:25:08 2014 +0100

    Advertise zfs support in genkernel.conf
    
    Signed-off-by: Martin Dummer <martin.dummer@gmx.net>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 02f25be754697bd64eb95f4afa5f8fdea968f8c4
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Mar 15 14:35:31 2014 -0400

    Include ZFS support when / is ZFS
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 56505d81c2a1354d5cf06c7cce052f88bd97bf69
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Mar 15 15:26:44 2014 -0400

    Create rootfs_type_is() helper function
    
    This is meant to facilite automatic detection of root filesystems that
    require additional support. The main one being ZFS, but btrfs will also
    qualify once support has been added.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 4be2a63948607ae984314e5b214c7743247f4a40
Author: Richard Yao <ryao@gentoo.org>
Date:   Sat Mar 15 15:05:00 2014 -0400

    Record hostid into initramfs
    
    ZFS pool import on non-exported pools is only permitted when the hostid
    of the system matches the host id of the last pool to import it. Store
    the hostid of the system to ensure that it matches at boot.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit a2bb8306063fe47279ccd1d4561a327f7df48424
Author: Richard Yao <ryao@gentoo.org>
Date:   Thu Feb 27 17:51:27 2014 -0500

    Bump version to 3.4.48
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit d2f2a7d5be0da587d0f127a176a6853bafc24870
Author: Guy Martin <gmsoft@gentoo.org>
Date:   Wed Jan 22 15:13:48 2014 +0100

    Start a getty on the serial console if known.
    
    This allows busybox to send SIGINT when Ctrl-C is issued.
    Most users start a ping to verify connectivity but can never stop it.
    
    Signed-off-by: Guy Martin <gmsoft@gentoo.org>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit f7104e16a98874f1863a55f9a78c712d94a195c0
Author: Richard Yao <ryao@gentoo.org>
Date:   Fri Jan 31 16:29:30 2014 -0500

    Suppress superfluous console kernel output
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 175087e2365e78480c61abd20e2cf465160d81d5
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Aug 26 17:32:09 2013 -0400

    Copy ld.so.conf and friends when copy_binaries is used
    
    This fixes "error while loading shared libraries libgcc_s.so.1 cannot
    open shared object file" when attempting to import a root pool on ARM.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit d6cd840c05a8aa5f4131027ff76aff00d9fc23d2
Author: Richard Yao <ryao@gentoo.org>
Date:   Wed Aug 21 11:20:53 2013 -0400

    Detect grub2-mkconfig failure
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 32585f117ffbf6d6a0aa317e6876ae7711a7f307
Author: Richard Yao <ryao@gentoo.org>
Date:   Wed Aug 21 11:18:54 2013 -0400

    Add exit 1 to waitForZFS
    
    Proper use of call_func_timeout() requires that we return an exit status
    of 1 upon success.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit ebd1221ef0ddf2b3d7a7fc8dfafcee689c16a93c
Author: Guy Martin <gmsoft@gentoo.org>
Date:   Wed Jan 22 15:00:55 2014 +0100

    Add machine detection for hppa.
    
    Signed-off-by: Guy Martin <gmsoft@gentoo.org>

commit 8171fa4eb7542280f2982dc6d00e832933c6da99
Author: Guy Martin <gmsoft@gentoo.org>
Date:   Wed Jan 22 14:59:42 2014 +0100

    Add patch to fix busybox bunzip2, see #497916.
    
    Signed-off-by: Guy Martin <gmsoft@tuxicoman.be>

commit 5fff951c85cb057521a2e0134701b16a4ea49f34
Author: Guy Martin <gmsoft@gentoo.org>
Date:   Wed Jan 22 14:58:59 2014 +0100

    Don't pre-populate netboot's resolv.conf.
    
    Signed-off-by: Guy Martin <gmsoft@gentoo.org>

commit e49b8a450aba6eced9caa608a3bfdc38a7dbe677
Author: Richard Yao <ryao@gentoo.org>
Date:   Fri Jan 24 22:06:41 2014 -0500

    Make --kerncache compatible with recent versions of GNU tar, bug #457168
    
    Older versions of GNU tar would extract files to the interior of the
    directory specified after an adjustment via -C was taken into
    consideration. Newer versions will perform extraction to the exterior of
    that directory. This caused --kerncache to override the /lib symlink
    with an actual directory.
    
    We correct this by switching to a more standard syntax that should be
    consistent against old and new versions of GNU tar, as well as bsdtar.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit def540b06a3b6e5478308309a6eac55fba358b9f
Author: Richard Yao <ryao@gentoo.org>
Date:   Fri Jan 24 14:26:58 2014 -0500

    Revert "Make --kerncache compatible with recent versions of GNU tar, bug #457168"
    
    This reverts commit 2d720491bd62eb1c87f8da23ec7aef393207bf30, which
    caused us to have /lib/lib. That got past me when testing.

commit 2d720491bd62eb1c87f8da23ec7aef393207bf30
Author: Richard Yao <ryao@gentoo.org>
Date:   Fri Jan 24 13:53:39 2014 -0500

    Make --kerncache compatible with recent versions of GNU tar, bug #457168
    
    Older versions of GNU tar would extract files to the interior of the
    directory specified after an adjustment via -C was taken into
    consideration. Newer versions will perform extraction to the exterior of
    that directory. This caused --kerncache to override the /lib symlink
    with an actual directory.
    
    We correct this by switching to a more standard syntax that should be
    consistent against all tar implementations, including both old and new
    versions of GNU tar.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit b765a85e0399b19530dce001d6e5e73a224bcdbf
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Fri Sep 27 20:09:39 2013 -0600

    Advertise CMD_CALLBACK in genkernel.conf
    
    Signed-off-by: Christoph Junghans <ottxor@gentoo.org>

commit b613c3db0590d7e3d1263db701848e387214be25
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Jul 14 10:25:51 2013 -0400

    Include zdb in initramfs
    
    zdb is useful for debugging during early boot.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 3817a4959faa3d93df9d1340364f77020271d1f2
Author: Ben Kohler <bkohler@gmail.com>
Date:   Sun Jun 9 11:58:23 2013 -0400

    Fix RTC support in generic config files, bug #444932
    
    Although the shipping kernel-config with genkernel has ~10 of these
    various RTC hardware drivers marked as modules, the resulting built
    kernel & initramfs has these things disabled.  Here's an excerpt from
    arch/x86_64/kernel-config:
    
    CONFIG_RTC_CLASS=m
    CONFIG_RTC_DRV_DS1374=m
    CONFIG_RTC_DRV_MAX6900=m
    CONFIG_RTC_DRV_M41T80=m
    CONFIG_RTC_DRV_CMOS=m
    CONFIG_RTC_DRV_DS1553=m
    CONFIG_RTC_DRV_DS1742=m
    CONFIG_RTC_DRV_STK17TA8=m
    CONFIG_RTC_DRV_M48T86=m
    CONFIG_RTC_DRV_M48T59=m
    CONFIG_RTC_DRV_V3020=m
    
    The problem is that CONFIG_RTC_CLASS is a boolean, not tristate, so =m
    is not valid, and so all things depending on RTC_CLASS get dropped from
    the config.  Changing this to CONFIG_RTC_CLASS=y should fix the issue, I
    have tested this locally with success.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit b55b295288679cba777d43f23ffc101cfcf67064
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Jun 9 10:01:54 2013 -0400

    Bump version to 3.4.47
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit f40842d6b6565aeb9df673efd88578b545056e53
Author: Richard Yao <ryao@gentoo.org>
Date:   Wed Jun 5 23:14:18 2013 -0400

    Remove duplicate files from initramfs
    
    genkernel's initramfs image is built incrementally by appending to the
    cpio file. The introduction of copy_binaries resulted in copying
    libraries from the host system, which causes the cpio to include certain
    libraries multiple times whenever different stages depended upon the
    same library. We address this by extracting the cpio to a temporary
    directory and then compressing it again to "finalize" it. The extraction
    eliminates the duplicate files.
    
    This makes generated initramfs images slightly smaller and in theory,
    should make the initramfs load slightly faster.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 62bd9ecc16d0875257c22c7b8f68b73452e9cb80
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jun 9 09:32:25 2013 -0400

    Add more module loading features
    
    These additional features were suggested by Fabio in bug #472312.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 987bb3098e81c43e8aaf2a02830508acb801ac0c
Author: Ben Kohler <bkohler@gmail.com>
Date:   Sun Jun 9 09:28:23 2013 -0400

    Make busybox's module loading more fully featured, bug #472312
    
    Commit 3a054014e880e5b1ff28e3d87767c45a073da6b5 replaced our modprobe
    with busybox's modprobe. Unfortunately, this caused a regression where
    busybox's modprobe fails to properly load certain modules. This can be
    addressed by abandoning CONFIG_MODPROBE_SMALL=y. We also set a few other
    features to make module loading more fully featured.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 2fa0a9beaa069a61f907f0b06c9bd6abeddb1ca7
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Jun 9 09:13:58 2013 -0400

    Workaround busybox modprobe's inability to load ZFS modules
    
    Commit 3a054014e880e5b1ff28e3d87767c45a073da6b5 replaced our modprobe
    with busybox's modprobe. Unfortunately, busybox's modprobe appears to be
    unable to properly load modules with more than 1 level of dependencies.
    
    The zfs and zpool commands will invoke modprobe if /dev/zvol is missing,
    which concealed this problem. However, this caused problems because some
    invocations would fail and under certain circumstances, init would be
    killed, causing a kernel panic. This issue was made clear by commit
    c812c35100771bb527f6b03853fa6d8ef66a48fe, which ensured that the zpool
    and zfs commands were not run until the ZFS module was loaded.
    
    busybox modprobe's failure to load module dependencies correctly appears
    to occur because busybox modprobe does not wait until until a module is
    loaded before loading a module that depends on it, which is a race. It
    would be best to correct this race by waiting until the module has
    properly loaded, but it is not clear that the race is the only thing
    going wrong and developer time is a premium.
    
    We implement a workaround by modifying the busy loop added in the
    previous commit to explicit call `modprobe zfs` on each iteration. While
    the first few calls fail due to bugs in busybox modprobe, it will
    eventually work, after which each call is a noop. This lets us keep
    looping until either the loop exit condition that /dev/zvol exist is
    reached or the 5 second timeout is reached.
    
    Once the busybox modprobe issue is fixed, this workaround should be safe
    to revert.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit c812c35100771bb527f6b03853fa6d8ef66a48fe
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Jun 9 05:31:33 2013 -0400

    Import pool after ZFS module finishes loading
    
    There is a race between ZFS module initialization and our attempt to
    import pools. We address this by doing a busy wait for the /dev/zfs
    device to appear. We wait a maximum of 5 seconds for the device to
    appear.
    
    We also slightly alter output messages to be more readable.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit a21728ae287e988a1848435ab27f7ab503def784
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Jun 9 05:40:07 2013 -0400

    Add call_func_timeout helper function
    
    call_func_timeout permits us to call a helper function and kill it
    should it exceed some timeout. This is derived from example code posted
    on Stack Overflow:
    
    http://stackoverflow.com/a/11056286
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit c2da0c02efadf7d3b70f71ed2acb53ad4e735a75
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Jun 9 07:36:43 2013 -0400

    Refactor ZFS module load hook
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 3851e0653f342668e7911d58c0214dcea6d61b3c
Author: Richard Yao <ryao@gentoo.org>
Date:   Sun Jun 9 03:56:57 2013 -0400

    Eliminate warnings about missing ZFS files
    
    zpool.cache and zdev.conf are optional files, so instead of warning when
    they are missing, we print a message when they are copied.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 0b98d859b21831067a41aa9d18af27b8667dc8b2
Author: Richard Yao <ryao@gentoo.org>
Date:   Thu Jun 6 02:05:42 2013 -0400

    Load xhci-plat when available
    
    At least one kernel configuration generates an addition module that we
    need to load for USB 3.0 support, so lets load it.
    
    Reported-by: Robin Johnson <robbat2@gentoo.org>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 0f51fe1eea3827a98f008ebd82ee06252eb35d11
Author: Richard Yao <ryao@gentoo.org>
Date:   Thu Jun 6 02:35:11 2013 -0400

    Add --virtio to man page, bug #432956
    
    This should have been included as part of commit 12e4bee, but it was
    omitted, so add it now.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 54ff7805ae6f5ed6f83542d2edb2996dfd751de4
Author: Richard Yao <ryao@gentoo.org>
Date:   Wed Jun 5 23:06:12 2013 -0400

    Suppress grub2-mkconfig output
    
    Every other tool that we run has its output suppressed, so lets be
    consistent.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit e9a12c3259f26966a2348f1dd45ceed3d16e8e42
Author: Richard Yao <ryao@gentoo.org>
Date:   Thu Jun 6 02:07:48 2013 -0400

    Update HACKING to use git-shortlog
    
    The old command we used to generate a change history for announcement
    emails no longer works, so we switch to git-shortlog.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 0fd94f46cdb5f07bc40f2e0b47390a73104ad7df
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Jun 3 22:38:18 2013 -0400

    Bump version to 3.4.46.1
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 0b3612544ec6fc079a2f319d3ab16eb9488c5304
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Jun 3 22:02:14 2013 -0400

    Build USB 3.0 support by default, bug #452888
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 5a5b26e9c0d413e536fdff3c05f75e3141c77a6c
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Mon Jun 3 19:51:15 2013 -0400

    Bump version to 3.4.46
    
    Signed-off-by: Richard Yao <ryao@cs.stonybrook.edu>

commit 9e0f58b9b922f80f4dff6ca5dce7fb50e8bfd3ce
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Jun 3 19:35:48 2013 -0400

    Silence cp error when optional ZFS files are unavailable
    
    Users were seeing the following error message printed:
    
    cp: cannot stat ‘/etc/zfs/zdev.conf’: No such file or directory
    
    Both zdev.conf and zpool.cache are optional files. We print a warning
    when they are absent, but cp printed its own error in addition to our
    warning. We suppress that.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit ddf2c5b934da598d33f4db0457cc8806f86bba2d
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Jun 3 19:40:28 2013 -0400

    Fix /etc/modprobe.d regression
    
    Commit 3a054014e880e5b1ff28e3d87767c45a073da6b5 replaced our modprobe
    with busybox's modprobe, which broke the code responsible for making
    options from /etc/modprobe.d work. We replace the old mechanism with a
    new one that copies /etc/modprobe.d to correct that.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 1c19d8a9c6baee1e418275d3106726472992718b
Author: Richard Yao <ryao@gentoo.org>
Date:   Tue Jan 1 11:47:45 2013 -0500

    Add sysctl to busybox
    
    sysctl is necessary to modify chroot restrictions when performing
    recovery operations on Gentoo Hardened systems.
    
    Reported-by: Matthew Thode <prometheanfire@gentoo.org>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit cbee01a7f960a0ea76ad8ee3b1377f67ba44ac92
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu May 2 14:16:50 2013 +0200

    gen_compile: fix iscsi module path install, s/RELEASE/KV

commit 108f1daf60acfb48e94cf025252ce9d8cb71191a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 25 16:55:56 2013 +0100

    linuxrc: run the debug shell multiple times, add a hook before switch_root

commit 9ead931af140020d4f5f2fed47a17da5dc8cfe24
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 25 11:45:19 2013 +0100

    linuxrc: use "quiet" cmdline argument for a really quiet initramfs initialization
    
    "quiet" is already used by the kernel to avoid printing messages on the
    console unless they are errors or warnings. Genkernel should do the same
    wrt its initramfs initialization code.
    This has also the advantage of improving the boot speed.

commit 499f2d98b60588987b8e0a9e3a59a182c83d5785
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 23 17:31:51 2013 +0100

    Improve speed of bootstrapCD by not calling devicelist unless needed

commit ffa5076fd4681e6b65968b826b84a66fabcd75f6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 23 17:12:46 2013 +0100

    Drop doslowusb and noslowusb boot parameters.
    
    scandelay=<secs> should be always preferred. Moreover, nowadays
    automatically sleeping waiting for USB storage to come up in
    the way we were used to do it doesn't work as one expects, because
    USB is very common and USB storage devices are very likely to be
    present on a system.
    Furthermore, the initialization code after setup_slowusb is already
    waiting for devices to come up.

commit 682d0b0d0aaf30e4236809bcf87fc674e6e88c8c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 23 16:54:10 2013 +0100

    Drop "sleep 3" from sdelay if CDROOT=1. One can use scandelay=secs if needed.
    
    While this makes out of the box booting a bit harder on some ancient CD/DVD
    drives, it really speeds up the common use case by not sleeping for 3 seconds.

commit a408d4a5135fed4507333925713736368a2bf279
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 23 16:41:22 2013 +0100

    Drop useless parens in conditionals

commit 421b210c67a59b5a92ce5a92c6d49254cf1ec07a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 23 16:26:24 2013 +0100

    Drop KV_2_6_OR_GREATER
    
    Linux 2.2 and 2.4 are no longer supported. RIP old kernels.

commit 3a054014e880e5b1ff28e3d87767c45a073da6b5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 23 16:21:53 2013 +0100

    Drop our own /sbin/modprobe and use busybox built-in applet instead
    
    Our modprobe is an ancient heritage from the past, probably dating to
    a time where busybox's modprobe features were limited. There is no reason
    at all to keep using our own version instead of the busybox one.
    This commit also makes modules_scan 15% faster.

commit e4ab952d639ff69e57fefa3e3855ee81d4d555fb
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Tue Mar 5 22:45:45 2013 +0100

    Add rootflags to switches we understand
    
    Nearly every general documentation including the one in the
    kernel tree and the scripts for GRUB2 all expects this flag
    to work.
    
    Signed-off-by: Peter Hjalmarsson <xake@rymdraket.net>

commit 4c93a5adb7dd45cfeddba111f5c51902f5eac3a8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 19 22:21:51 2013 +0000

    Add ehci-pci to MODULES_USB, needed by 3.8 kernels, see bug #458606
    
    Thanks to Adrian.Bassett@hotmail.co.uk for reporting this.

commit 4733b318169415c111d029183c2bc181744b7858
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Sun Mar 3 22:11:26 2013 +0100

    Unify copy_binaries() more
    
    As suggested by Vapier in bug #450688.
    
    Signed-off-by: Peter Hjalmarsson <xake@rymdraket.net>

commit 6cc7e382d6f5755257bce6f734e8991871dc7b02
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Thu Feb 7 13:31:14 2013 +0100

    Make copy_binaries compatible with lddtree from pax-utils-0.6
    
    On some system the output from the new lddtree does not match with what
    genkernel expects, however lddtree have insted gained a new option that
    essentially gives what we want with less code.
    
    Signed-off-by: Peter Hjalmarsson <xake@rymdraket.net>

commit 543181ebefddbd83850d667aa422991fbe8c3735
Author: Toralf Förster <toralf.foerster@gmx.de>
Date:   Thu Nov 22 17:13:17 2012 -0500

    Fix non-functional init_opts parameter, bug #422471
    
    If INIT_OPTS='' is not specified before the argument loop, scoping rules
    will prevent it from being seen by the switch_root invocation.
    
    Signed-off-by: Toralf Förster <toralf.foerster@gmx.de>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 32a9b007bf24be899272a782a9f33d007b1e3c07
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Nov 20 00:47:38 2012 +0000

    linuxrc: part keyword
    
    Clean up documentation and functionality of "part" argument to
    initramfs. It is meant to imitate the same option to the kernel.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 30c7284c92cacf47250541172dddb10abd70a7a0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 11 10:13:03 2012 +0100

    Unquote ${ZPOOL_FORCE} variable usage.
    
    The default value of ${ZPOOL_USAGE} is unset, quoting it would result into
    a "" argument passed to zpool. The workaround to this is to use "dozfs=force"
    boot argument.
    
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit e4af35fdfcd6115741982fe0371d1b6b5f8c6db4
Author: Richard Yao <ryao@gentoo.org>
Date:   Mon Nov 5 13:32:08 2012 -0500

    Make missing ZFS config file failures into warnings, bug #438200
    
    Whenever /etc/zfs/{zdev.conf,zpool.cache} was missing, we would fail.
    zpool.cache is not generated during cross compilation, which causes a
    failure in Catalyst when building LiveCDs. Users that do not follow a
    strict set of installation instructions can also suffer failures as a
    consequence of this.
    
    zpool.cache includes information about known pools that enables ZFS to
    detect situations where an entire pool disappears. It is also required
    to do pool import in corner cases, such as those those involving
    file-based pools, and has the beneficial effect of reducing pool import
    times.  Unconditional omission of zpool.cache in general is not an
    option, but for the situations identified, it is okay to convert the
    failure into a warning, which is what we do.
    
    Reported-by: Rick Farina <zero_chaos@gentoo.org>
    Reported-by: Alexander Zubkov <green@msu.ru>
    Signed-off-by: Richard Yao <ryao@gentoo.org>

commit 51af5f5356319e17a804341fcb1e9511c28bf558
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Fri Aug 24 21:04:23 2012 -0400

    Remove redundant default no setting

commit e8779c232029711ad63942ed850b52c4e30d1c6c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Nov 2 17:15:24 2012 +0000

    Bump version.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 71507545eec3031ade9b4f9a314c53216f2c97f2
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Nov 2 17:15:07 2012 +0000

    Move to autogenerated ChangeLog.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 3fa1bf680d90f5841d8830634ed13bbfd76271b7
Author: Marek Sapota <marek@sapota.org>
Date:   Fri Nov 2 17:04:18 2012 +0000

    Bug #378105: UUID/LABEL support for LUKS keydevs
    
    LUKS keydevs now support mount by UUID/LABEL.
    
    X-Gentoo-Bug: 378105
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=378105
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 71e512c9e42156c847778d41d513a8f6d0989c57
Author: Tim Harder <radhermit@gentoo.org>
Date:   Fri Oct 26 01:50:56 2012 -0700

    Change OUTPUTDIR fallback to KERNEL_DIR
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit a60e920d61e727b3cab90f1b8079acf556cf77c2
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Oct 19 15:20:54 2012 -0700

    Missing then keyword.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 7e224199ffbf67af99e57d4aa2cf3a7a625b87ac
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Mon Apr 9 20:03:01 2012 +0200

    Support using init= on the command line
    
    We do not support ramdisk, only initramfs nowdays.
    So init= is a dead command, and we may as well have it do the same as
    it does for dracut and in the Linux kernel documentation.
    (Use rdinit to choose the initramfs init file)
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit a9a3c6d173b9e3e21080f7b493756fda359f8ebd
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Mon Apr 9 20:36:56 2012 +0200

    Update the documentation to reflect current status
    
    We only support creating initramfs nowdays, so RAM disk support is not needed.
    Since initramfs does not need root=/dev/ram0 (and we actually ignore it if it is set),
    we should not tell people to use it.
    We should also stop tell people to use real_root.
    
    Conflicts:
            genkernel
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit cd1e1a6d86d5101d74481ca275014c02b090bdde
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Oct 15 20:57:58 2012 +0000

    Bump to 3.4.44.2 with depmod corner cases by xake.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 65f400c541b5f5064110181490d3e3da4b28ddcd
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Oct 15 20:53:50 2012 +0000

    Add missing ChangeLog entry for xake's commit

commit d3e34636b1854176fbcfc7fe14d4141c7f7be1f9
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Mon Oct 15 22:00:04 2012 +0200

    Fix calling of depmod
    
    "depmod -e" needs either -F System.map or -E Module.symvers
    "depmod -b" resolvs an empty argument to PWD, so only use -b if
    INSTALL_MOD_PATH is actually set

commit 94ede0aaac0137e68f9511d97c44ddbf7c004cc8
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Oct 15 05:40:28 2012 +0000

    Bump for 3.4.44.1 with bugfix-only.

commit 21b2b7f664c152d273bb397fed6e10c8fe4e3c59
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Oct 15 05:39:45 2012 +0000

    Missing ChangeLog

commit 7fdf3fc01a127b6c3c3ed4cf9c0611c7c1b69f6c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Oct 15 05:37:11 2012 +0000

    Fix corner cases on OUTPUTDIR.
    
    If you give the kernel O= with the same dir as the source, it will
    complain about an unclean tree.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 457cc95b07fc706f12bdd9adf6b862ce64361448
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Oct 14 18:25:15 2012 +0200

    Bump version to 3.4.44

commit 12e4beeaf7b52545a16aa8d4655e5d39134c2436
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Oct 14 00:05:16 2012 +0000

    Bug #432956: Easy to include VirtIO support in kernel.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit ec4628ee5ea43c4f8b713e01aa16b70334f5753d
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 23:53:20 2012 +0000

    Clean up module drift over the years. Just MODULES_CRYPTO left.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 360ce3baf9df88c95b55fdb4d2c3b71a23449667
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 23:31:31 2012 +0000

    Document resume parameters.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit e6de60283bbe7b9aa9a7934609a183893ce543a1
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 23:23:15 2012 +0000

    Bug #286187: Complete multipath support.
    
    Somewhere in the mists of time we lost part of the multipath patch, so
    we were bundling the userspace, but not the kernel modules, or ever
    using it.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit bddbeeb8874bd22b8b60e27dd366bc5f3a8d1cee
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 22:52:42 2012 +0000

    Bug #351873: More livecd control, and initramfs livecd argument documentation.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 4d42bbf35b0b68afbe16bdc950bebe2c4c1bcd96
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 22:13:46 2012 +0000

    Bug #336170: amd74xx was long-replaced by pata_amd.
    
    The old driver is problematic, as even with the pata_amd module loaded,
    it will not release the device. Disable the old driver on remaining
    platforms, add pata_amd where missing & needed (not alpha).
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 85d772454a59512c0e9536f366fff3ba6f2b466b
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 22:02:59 2012 +0000

    Bug #414581: ensure built-in initramfs compress config options are set to avoid silentoldconfig bailing out.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 79d7fa1948de033bf5a2523fe8eca25d7f1f4438
Author: Łukasz Stelmach <stlman@poczta.fm>
Date:   Thu Sep 13 22:44:45 2012 +0200

    Add --kernel-outputdir to save files outside the source tree.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 63b9e57491e3ac40428885ec5f761fe9bde5e3b2
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 21:28:46 2012 +0000

    Bug #397947: Run depmod on new modules to avoid need to run at every boot on unionfs systems, or systemd that never runs it.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 24dd02bc0cf801c80670a782988fbf80c2c3a8c0
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 21:26:56 2012 +0000

    Missing Changelog entry.

commit 5d93452a3be7dcc71ad1db96f28e6275d00deb20
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 18:33:23 2012 +0000

    Record the version of Genkernel used to build a given initramfs.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 097e88ff46af4b8d5723ffad30e3e5c0c4d6a61a
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Oct 13 18:05:42 2012 +0000

    Attempt to fix bug #421839: missing /run on LiveCD environment.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 192ea46ecd98b97cfb39e00ea43217ca26e52753
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Oct 3 18:53:27 2012 +0200

    Bump version to 3.4.43

commit 773a8801d64f3cb1f7b9106623f827fc098b8b09
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Oct 3 18:47:00 2012 +0200

    Use actual kernel config for check of available compression methods (bug #436820)

commit d89f3d59e8e0ee31b228d28888b302031838a672
Author: Dustin Frisch <dustin.frisch@gmail.com>
Date:   Wed Oct 3 18:20:16 2012 +0200

    Check for file from real_init=FILE rather than /sbin/init (bug #437080)

commit 255c8e84983d5b0285651828938117ba1676802d
Author: Rick Farina <sidhayn@gmail.com>
Date:   Sun Sep 30 21:17:30 2012 +0200

    Make e2fsprogs optional (and off by default)

commit c9a61ce2c722eec0a6d511914304186ddefb91fd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Sep 24 00:30:12 2012 +0200

    Append e2fsck and mke2fs to initramfs
    
    Original patch by Rick Farina

commit 82754773c5484f89e8918a2f3369a9473e878a6e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Sep 10 03:38:40 2012 +0200

    docs: Fix mail body generation hint

commit af46141a1536327e25bfb64d697b1a264a228f9d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Sep 10 03:27:40 2012 +0200

    Bump version to 3.4.42

commit 91a13e61b1249bc6c263847c2862a81478e9914d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Sep 10 03:25:56 2012 +0200

    Add busybox 1.20.2 patch: busybox-1.20.2-glibc-sys-resource.patch

commit 6785827617abc7142dcaf63ea23016d9469e0472
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Sep 10 03:24:29 2012 +0200

    Copy busybox patches from 1.20.1 to 1.20.2

commit f15425841e586177b6f8ced6c91416a32cdf43a7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 30 18:20:44 2012 +0200

    mount /mnt/cdrom inside target chroot even when aufs/unionfs is disabled

commit e779547b728506a933809e4b03c4ed6b329f8e08
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Wed Aug 22 19:12:08 2012 +0200

    Make root_trim work with crypt_root_key
    
    Keep options already set for cryptsetup when using crypt_root_key*

commit 3219730c441d288ac1aeb16a2471dab796559890
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Aug 19 20:09:04 2012 -0700

    modules/lvm: dm-thin-pool now requires dm-persistent-data and libcrc32c
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 4bc0a3a7704aa201b10407ee600364cf3ed0792c
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Aug 14 13:01:05 2012 -0400

    Append trick for propagating changes to live ebuild to docs

commit 63e26c3a2ccb2ff83e8d86616fd8c4a390090248
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Aug 14 17:28:34 2012 +0200

    Extend docs on release process

commit 1cfe39d77dd74c45e310afdd340b3ebaca37dcf1
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Aug 14 10:35:48 2012 -0400

    Bump version to 3.4.41

commit d843544c70c13455e934221b41d31813896d4a21
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Aug 13 22:05:21 2012 +0200

    Communicate inavailability of keymap #38 better

commit c20673837939e0bf8694a9cc5895a1b9e8f2598c
Merge: fa6374e c5c9ca4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Aug 13 01:22:13 2012 +0200

    Merge branch 'software-vars'

commit c5c9ca49f60126e2ae9892fe5eaaca8457665cea
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Aug 13 01:14:42 2012 +0200

    Further improve wording in software.sh

commit 0cc3cceb029f8b0162893afc32c415c278b6b342
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Mon Aug 13 00:05:01 2012 +0200

    Move the sourcing of software.sh to genkernel
    
    This way there is no fear of users accidental removing
    the source-line from genkernel.conf, ending up with a broken genkernel

commit ec6b2536d829e838cf7d1f717969d5bc41296f12
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Sun Aug 12 23:44:59 2012 +0200

    Make defaults/software.sh not override variables already present

commit fa6374eb01639b1f25e5de04b48e1889603285ea
Merge: d3735e6 953ca52
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 23:39:49 2012 +0200

    Merge branch 'genkernel-conf-2'

commit 953ca52ea1b57676f0828f267ae10c99a1435921
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 23:39:06 2012 +0200

    Remove "$Id$" line from genkernel.conf to ease etc-update

commit 35efd0619ef2a849b93884eb63041db3d428be7f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 23:37:26 2012 +0200

    Add note on software.sh to genkernel.conf

commit d3735e62951431d024f9dca94a11e7fd9eaa70fc
Merge: a725f02 6d35693
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 21:03:38 2012 +0200

    Merge branch 'genkernel-conf'

commit 6d35693a8b8c0baa95b20e4b41ef22eb981a5daa
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 20:58:11 2012 +0200

    Move software version defaults for defaults/software.sh to ease the etc-update game

commit 47ac46c0c64ac7d13c3c1e460891ae52352e4eea
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 20:43:02 2012 +0200

    Fix parsing of --config=... command line option
    
    Before, --config=... could not be combined with anything else on the command line

commit 6683592216b047d19874d1515ce72226a98650d7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 20:13:10 2012 +0200

    Report on sourced config files

commit 780299182696ffae042061df4fd714e7177abeea
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 20:11:07 2012 +0200

    Extract variable _GENKERNEL_CONF to resolve duplication and later re-use

commit 4588b75c1eec719a59074caca407c20147313348
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Aug 12 20:06:34 2012 +0200

    Extract variable _MODULES_LOAD to resolve duplication and later re-use

commit a725f02d008a2546ac3c56513043cb3336833539
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jul 28 01:10:17 2012 +0200

    Bump version to 3.4.40

commit ed09edb1c061fd222c1b0e1e92a44ebe55bbc921
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jul 28 00:42:55 2012 +0200

    Resolve cryptic awk-based code docuplication

commit 1486a0402c84f7e1a12f4bd07c5f42eb59171810
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 24 18:01:07 2012 +0000

    Flip awk return values.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit c79d57926f31184c526989d0076b0649ad862039
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 24 17:28:57 2012 +0000

    Minor thinko in devpts check.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit c924bde4b7accbe1cf3bdba666b615d412c869bf
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 24 08:26:43 2012 +0000

    Prior commit to only mount devtmpfs and devpts if they were not already mounted made assumptions about the device names they were mounted as. Check the filesystem column of /proc/mounts instead.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 1883585cd9f0e5a0145a2dc6493b77719fe3c25e
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Sat Jul 21 14:20:24 2012 -0400

    Fix whitespace

commit e05ab0d1a1e739e152ec6ef77a6335891f34fe2b
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Sat Jul 21 13:41:38 2012 -0400

    Force ZFS to explicitly import pool when LUKS is present

commit 1e92078650d3f7c27beaf97dc55b1aabf3acfb79
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Sat Jul 21 13:17:33 2012 -0400

    USB 3.0 Support: Load xhci-hcd when available

commit 3319bee40feca06043e110373170f1a97c7dc1fd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jul 21 03:06:27 2012 +0200

    Bump version to 3.4.39

commit 3ef477862d08c20628273c3c855bb78d6e417b25
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Thu Jul 19 20:34:07 2012 -0400

    Run mdev -s after modules are loaded
    
    Running `mdev -s` will ensure that device nodes are properly initialized.
    It does not function as a netlink hotplug daemon. We must run it after
    the modules are loaded to ensure that /dev/zfs has been created before
    userland programs attempt to use it.

commit d7cf3689bf336e7598db32df6e4cafcde45a9459
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Thu Jul 19 19:15:10 2012 -0400

    Linux 3.5 renames usbhid to hid-generic
    
    We add hid-generic to the modules_load list alongside usbhid to avoid
    issues.

commit 908a463e07491d3c69aa1daf853b4d699dbb8534
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Thu Jul 19 15:59:03 2012 -0400

    Support module options set in /etc/module.d, amend cmdline options patch

commit 2bf6b9045db63e8163ac6a83137077eb8b9ecade
Author: Dzianis Kahanovich <mahatma@eu.by>
Date:   Wed Jan 5 15:31:00 2011 +0000

    Adding modules cmdline options for genkernel (module.option[=value]).
    Effective for genkernel's modprobe script or busybox "not small"
    modprobe.
    
    Signed-off-by: Dzianis Kahanovich <mahatma@eu.by>
    Updated-by: Richard Yao <ryao@cs.stonybrook.edu>

commit b8626e78ef1e534ee95a058d2a2b8f530d432aad
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Jul 17 16:22:40 2012 -0400

    Fix typo in previous commit.

commit e2189311fc8c036327c1c8263807b274d5ff039b
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Jul 17 16:13:57 2012 -0400

    Verify in /proc/mounts that devtmpfs is unmounted before mounting it
    
    For consistency, we do the same with devpts. WilliamH reported this to
    me in IRC.

commit 65249bbcea5fc30fad575e0534f563d5937eab6b
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Jul 17 15:57:02 2012 -0400

    Fix bad ZFS case statement, bug #425122

commit de4751a2d2864c62d370425dc91ff42ffe2f6db3
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Jul 17 15:56:46 2012 -0400

    Fix rootfs=ZFS infinite loop when no bootfs is set, bug #425120

commit 087226b06b0cb40ea2b1b36994932bb3ade5ff8c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Jul 16 22:34:24 2012 -0700

    t Bug #399703: amd64 default kernel config did not have EFI support.

commit edfe16e893c9ae98fe6e03aa0559063bb5da5d79
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Jul 15 19:08:59 2012 -0700

    Document the isoboot option, as designed for GRUB2 usage 3 years ago.

commit 32c022da12cb56ce6562223a82ff1e03309e2221
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jul 10 00:50:12 2012 +0200

    Bump version to 3.4.38

commit 75ae62388616edaa62724412d6283a329f117df3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jul 10 00:48:13 2012 +0200

    Fix bug reference in change log (bad: #370411, good: #425080)

commit 76652966ae35c0e33c10ff1d95cfb30ea90c45fb
Merge: 51dcb15 b59e620
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jul 10 00:44:18 2012 +0200

    Merge branch 'bug-425080'

commit b59e62086df523876b9acbfb74a2d5e05a07bfc7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jul 10 00:42:30 2012 +0200

    Fix linking of unionfs-fuse 0.24

commit 6f15fb4166408a0fb87d9376d9fa5c6736541ad4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jul 10 00:29:54 2012 +0200

    FUSE: Allow compilation of FUSE 2.8.6 with glibc 2.14 (bug #370411)

commit f867c2a849db0a0206da82eb005abc2198a3eb70
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jul 10 00:24:59 2012 +0200

    FUSE: Remove invalid configure option --disable-kernel-module

commit 51dcb157423d660f652e44a795cfb9a51724ad1e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jul 9 19:47:21 2012 +0200

    Restore previous handling of real_root due to report of regressions (bug #419965)
    
    This reverts commit f95264added35c25fb557931116edd3cd0aec7ba.
    
    Conflicts:
            defaults/initrd.scripts

commit b45b5b59a3e2dadf749d10099d818af9879583b6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jul 9 00:07:38 2012 +0200

    Bump version to 3.4.37

commit 08e9d742e2ecc246dbece1652810e468f0b6c882
Merge: c261693 c718d01
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jul 9 00:02:29 2012 +0200

    Merge branch 'bug-423847'

commit c718d01381a9a619f71b0b500747604c3c8961c0
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jul 9 00:00:19 2012 +0200

    Improve wording

commit c57b73f5f8117f79d4b1bd5f66ed6bcd53a91b20
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 8 23:52:10 2012 +0200

    Always report used kernel config file

commit 15a33f3d28d9efa512b736853046224d7d2701d3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 8 23:42:32 2012 +0200

    Catch case with no initramfs compression supported by kernel (bug #423847)

commit 7045223180032533e066b57c572bbcccb053cfe9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 8 23:40:49 2012 +0200

    Fix detection of initramfs compression with bzip2 as best candidate

commit 88892f5df2453f959539c444a4d0ac161ec70d8f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 8 23:39:10 2012 +0200

    Use proper ${KERNEL_CONFIG} rather than ${KERNEL_DIR}/.config as input

commit c261693b9265555eff75cee04a9c1a2c2ee07eac
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 8 19:35:24 2012 +0200

    Add xts to MODULES_CRYPTO (bug #425028)

commit d21a6c1bfc873e8da7e20dbb28767e7def81c400
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 8 19:20:15 2012 +0200

    Add bug reference to change log

commit 636cbc75c14005d10361cda8f6f0b4bad280bf44
Merge: 2413f1f 0db56cd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 8 19:18:46 2012 +0200

    Merge branch 'bug-421027'
    
    Conflicts:
            ChangeLog

commit 0db56cdc9d5166abaaaf0b23406cf06d775e2bca
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 1 14:03:51 2012 +0200

    Support --kernel-config=/proc/config.gz (bug #421027)

commit 2413f1f2a334e1d464713dd8ce0eb8c0f711dc29
Author: Kenny Cheng <kenny97821419@gmail.com>
Date:   Sun Jul 8 19:04:25 2012 +0200

    Add /run to support openrc >=0.10

commit eb53fc109887339c911754fdb8be4e9511d30e02
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 11 19:38:40 2012 +0200

    Bump version to 3.4.36

commit 36d0fb5559726d863624c75614f35a875aa2fb6d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 11 19:33:05 2012 +0200

    Make recent addition conform to POSIX

commit f95264added35c25fb557931116edd3cd0aec7ba
Author: Marios Andreopoulos <opensource@andmarios.com>
Date:   Mon Jun 11 19:17:49 2012 +0200

    Use real_root option for (plain) Luks setup

commit 37bfac0bd96b0d5639894c8d2ac6290a0480acf7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 11 19:17:18 2012 +0200

    Extend change log

commit d78b12f5b505f63c40af40b04bf5aa6236860361
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jun 10 19:15:58 2012 +0200

    Bump version to 3.4.35

commit 143052516ea404aaaba16e35dbf8a66387c87065
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jun 10 19:08:52 2012 +0200

    Support busybox 1.20.1 (bug #419511)

commit ffb7dfd0952412f878def8dac38ead9100098a32
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 4 21:56:56 2012 +0200

    Bump version to 3.4.34

commit 25cf86470e5dd1b073494ecf95d1e00cdc9bb9ca
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 4 21:56:39 2012 +0200

    Be more explicit in developer docs

commit a4438ec946201eac5fda78f21d7014d4a46ebcdc
Merge: 21b2c4a aed52e8
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 4 21:43:10 2012 +0200

    Merge branch 'bug-418463'
    
    Conflicts:
            ChangeLog

commit 21b2c4aab32bf35e9ffa2c215fbeeecfc6a8f1ac
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jun 2 23:31:07 2012 +0200

    Make sure that cbc.ko and aes*.ko needed for cbc-essiv:sha256 (=default) disk encryption are included with the initramfs (bug #416973)

commit aed52e83827cff73e8f7ba5773ea8e0cd7c3c25b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jun 2 23:12:31 2012 +0200

    Support bind mounts from /etc/initramfs.mounts (bug #418463)

commit b65dae078790631c3637ca593ac6fa822a6be6d6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon May 28 20:25:52 2012 +0200

    Fix an e2fsprogs compilation leftover (bug #417095)

commit 6a387ce36cdd101afa04f867da849e11bdd86f15
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu May 17 20:32:58 2012 +0200

    Bump to 3.4.33.1

commit 0fa71ef46ce917be19833f15293af5253a04f9e1
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu May 17 20:22:02 2012 +0200

    Fix call to blkid of util-linux

commit 5dd07746513b7dc576155b25aa9fe5a7b4b96ae1
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu May 17 19:47:29 2012 +0200

    Bump version to 3.4.33

commit 004c50f81c95c94bb7c95149607c26bf1b9173b3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu May 17 19:45:00 2012 +0200

    Add notes on how to test things

commit 5153192ca2109768336dfa5f891ec6f73e29001a
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu May 17 19:23:45 2012 +0200

    Use blkid from system's util-linux rather than compiling e2fsprogs ourselves

commit 419f1cee8b54c7ff69a670af467a5f4139672528
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu May 17 18:04:48 2012 +0200

    Be verbose bout files being added to initramfs for --loglevel=2 and above

commit 1ac90970d68e3791355e2f6de707458350f125c5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon May 14 02:54:30 2012 +0200

    Revert verbosity of internals (a debugging leftover)

commit efea5aab6681ea1b0261a5a3fd5931652f492eb4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon May 14 02:14:38 2012 +0200

    Bump version to 3.4.32

commit 9743f8b39c6050746d7ff1949fc98999a847c4f9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon May 14 02:14:13 2012 +0200

    Stop removing lvm/dmsetup from the initramfs (bug #415697)

commit b476a988ea2559904bcb40cc44633d237f790823
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat May 12 20:42:29 2012 +0200

    Set CONFIG_DEVTMPFS=y on x86, x86_64, default for udev

commit 9a426b1ae4b82c30737b8ace20dff4a22668ef09
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat May 12 16:21:32 2012 +0200

    Bump version to 3.4.31

commit b5b535f5aa6fa776dadc2e324b94211224cdb7f9
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue May 1 22:28:10 2012 -0400

    Do not import a pool that the kernel automatically imported
    
    This works around the following upstream issue:
    https://github.com/zfsonlinux/zfs/issues/714
    
    Signed-off-by: Richard Yao <ryao@cs.stonybrook.edu>

commit 6968584a58a7825adb9f13b45961f190ea4ca7e0
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Mon Apr 30 13:34:01 2012 -0400

    Improve ZFS diagnostics, import and mounting
    
    Make ZFS only import the specified pool
    Set zfsutil when mounting non-legacy rootfs
    Check for /sbin/zpool in addition to /sbin/zfs
    Print information messages when ZFS pools are imported
    Prompt user when mounting a ZFS filesystem without ZFS support
    Verify that <dataset> in real_root=ZFS=<dataset> is a filesystem

commit 0f399f48ff1e6c07d88a7ef18b27df84e8cbac6a
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Mon Apr 30 12:39:04 2012 -0400

    Verify that binaries exist before startVolumes calls them

commit 51ad5c92ab0ccfe18023d6ba1287fe330f1862e6
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Apr 24 03:23:53 2012 -0400

    Serialize hotplug events to mimic udev

commit 5ce01e863ffd0ab802229d0b6646b37e6cefacd5
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Apr 24 02:31:00 2012 -0400

    Update genkernel ZFS warnings

commit 18c0dbc872052e37cd8df6862810623d170d3d62
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Apr 24 01:52:08 2012 -0400

    Make --bootloader=grub2 set debug instead of single in grub.cfg

commit b882252bebf51bfe343106a1634fda333ea6d84b
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Apr 24 01:51:33 2012 -0400

    Fix indentation in set_bootloader_grub2()

commit b2caeadca2a792e6b743332a953792cb357485b9
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Apr 17 19:45:05 2012 -0700

    lddtree call must be outside the for loop.

commit 27bbadb6bc71fa5d28d495a489bfbfaba4895a09
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Apr 16 03:15:46 2012 +0000

    Fix date on some changelog items.

commit 33f49ec6eea61888789011962bcbb6c291d32264
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Apr 16 03:15:01 2012 +0000

    gen_initramfs: Use CC0 instead of public domain for copy_binaries to cover French jurisdiction concerns.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d31d1e53ff70f154fc998980cd2e941b3d5eda59
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 16 05:06:25 2012 +0200

    Adjust licensing policy on copy_binaries() after a chat with robbat2

commit f1e3cd9290cd700f407a6d323454f75cd4c53730
Merge: 0a23f18 08b7a08
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 16 04:37:01 2012 +0200

    Merge branch 'cryptsetup'
    
    Conflicts:
            ChangeLog

commit 0a23f1883ff3a046d6a375ad2d11c0e2c534e48e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 16 04:35:18 2012 +0200

    Make sure that we can use our own copy_binaries in the future

commit 08b7a087524ebbfa47f822d0fd4d8b69fdcc4be9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 16 04:10:17 2012 +0200

    Bump version to 3.4.30

commit 23ef50635129dceb4df353b2d03770c287da5864
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 16 03:55:46 2012 +0200

    Support a non-static cryptsetup binary (bug #409277)
    
    .. by making use of copy_binaries

commit 9e947f441600d0d22cdf31337514c163ac4a3a05
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 16 03:18:48 2012 +0200

    Add error detection to copy_binaries

commit 2828226b6fd05929fa04a21b907c3e6b1baac434
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 15 02:24:47 2012 +0000

    gen_initramfs: Release the copy_binaries function as public domain.
    
    The copy_binaries function is explicitly released into the public domain to
    encourage wide adoption and re-use.
    
    This is to enable use in some cases of BSD and other licensing, and
    specifically avoiding the need to be party to any contributor agreements.
    Additionally, the code could be considered of trivial length in some regions.
    
    Written by:
    - Robin H. Johnson <robbat2@gentoo.org> (complete rewrite)
    - Richard Yao <ryao@cs.stonybrook.edu> (original concept)
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 9f36ecc125bf2c20bd28c0ad513577a858140a77
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Apr 15 02:13:37 2012 +0000

    Handle other possible paths for LVM.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit bf7a344ceafc14f97e0cc580188340bf8da58c67
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Sat Apr 7 21:20:06 2012 -0400

    Fix README to list dependency introduced by 1079122ea0c1733024dbebadd2ae8ad2c88a9bee

commit a7fbf76f7baa05049b6147c308a0874912790f04
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Apr 12 06:17:54 2012 +0200

    Make sure the previous move of cd commands cannot result in unexpected regressions

commit 69009cb7475cd4067791f96747a09a26abf4742b
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Thu Mar 15 17:45:04 2012 -0400

    Reorder mdev initialization to mimic udev boot

commit f5f3d6fa8705c100ef441510e9d7ad81af829ad5
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Sat Apr 7 16:56:49 2012 -0400

    Enable real_root=ZFS to permit booting off ZFS

commit 391a9b996934f1590fb663674ddbb1bff1cb60aa
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Sat Apr 7 17:17:50 2012 -0400

    Move ZFS binary check outside of commandline loop

commit 72d3994e6af669d54edc716971dea335acb20c93
Merge: 31a4d5f b828136
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 04:43:50 2012 +0200

    Merge branch 'keymaps'
    
    Acked-by: Rick Farina <sidhayn@gmail.com>

commit b828136a1a79a57380d897607637aafc5db4dbf8
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 04:43:09 2012 +0200

    Extend change log

commit 4d8287c3d0a2fac6c8fc7b0347671acaa50d6c90
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 03:36:55 2012 +0200

    Add keymap "sf", i.e. Switzerland (French) from Pentoo

commit 4a88be842d051b8a62cc6d3ed21f510e30abbe9c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 03:37:55 2012 +0200

    Fix keymap permissions (no need to be executable)

commit c6c9f30607fbf9b5e7ff138b77b6069744b347fe
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 03:16:16 2012 +0200

    Remove keymap trq/38 as it contains C sources of test(1) rather than a keymap at the moment

commit a3cc35f0637ce568d0f67cf8d4107ac04ed664fa
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 02:51:43 2012 +0200

    Untar keymaps

commit 31a4d5f2e1d1d43fb8e39fa0447f6e162759b4d2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 00:13:29 2012 +0200

    Bump version to 3.4.29

commit 7b0a7999be105411e2cc20c60d7a20ef3277dccf
Merge: 39f6700 970824e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 00:12:10 2012 +0200

    Merge branch 'bug-388437'

commit 970824ef5d605e6e3108b52e6645a3a204111e3d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 00:11:24 2012 +0200

    Mention Tomasz Wasiak in change log

commit ae9d882a3e456814c4d8935181bac3328926c929
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 00:07:35 2012 +0200

    /etc/defaults/grub -> /etc/default/grub

commit 89ec359dbc21be79f03067c9cfa54cdad9db416d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Apr 9 00:07:17 2012 +0200

    grub-mkconfig -> grub2-mkconfig

commit 175270768e9c4e5d9c74b51f9e6ebdcd9070439f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 21:41:19 2012 +0200

    Reduce code duplication in set_bootloader_grub

commit fd1f01f299b6e4e5d6963d61a72ad09578cd4e77
Author: Mike Auty <ikelos@gentoo.org>
Date:   Sun Apr 8 21:31:37 2012 +0200

    Support for Grub 2

commit 39f67002d55efe0664fb1907608ec96f6a164c8c
Merge: 77d9977 14a930b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 20:32:42 2012 +0200

    Merge branch 'bug-411197'

commit 14a930ba44b8e839a8c0bb81c23b6433dee4dbdf
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 20:29:22 2012 +0200

    Extend change log

commit 66e5a247041af5406dfbc90acda436c3db0fa463
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 20:24:14 2012 +0200

    Add "fastest" to supported initrd compressions

commit 10a2bde198877d240a20d45a93cb523df13d35a0
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 20:27:08 2012 +0200

    Refactor code selecting best available initrd compression

commit 0da4543b8a23b882e536293a8af095707ebafb91
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 20:27:01 2012 +0200

    Support comression "lzop" (not just "lzo") as wrongly advertised by comments in genkernel.conf before

commit b7efd3d65836d2ddba3396154e77e7ce62ed0710
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 20:03:17 2012 +0200

    Be more helpful when requested compression is not available

commit cfca839587edf11c76f9c1f7781dfba3d0c96d56
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 19:42:15 2012 +0200

    Error out on unknown initrd compression, reported by Peter Gantner (bug #411197)

commit c0ed5530a5f904ab63ccffa2ce3ec43f4720be49
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Apr 8 19:41:34 2012 +0200

    Fix initrd compression "gzip", reported by Peter Gantner (bug #411197)

commit 77d997744d0f0c59e8955459fee4a143d1d07759
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 30 19:54:32 2012 +0200

    Bump version to 3.4.28

commit 8071dca45640168787ef1f0793301f7c871da088
Merge: 62b39fa 8ac8de6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 30 19:32:40 2012 +0200

    Merge branch 'fix-docache'
    
    Conflicts:
            ChangeLog

commit 62b39fafd6b9b383d85fb97a3e6b4183df5068be
Merge: 4631855 23a40ae
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 30 19:29:14 2012 +0200

    Merge branch 'bug-410073'

commit 23a40aeb0ee2a46420fe0186b3d822078757fc01
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Mar 29 19:46:26 2012 +0200

    Restore original /dev/tty after GPG (bug #410073)

commit 46318550cdfc72a9a7b7b6bb980679c86ae99139
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Mar 22 16:18:50 2012 +0100

    Bump version to 3.4.27

commit 0574d35f3769a1b68ac867b188013445b82cf6e0
Merge: d6187d3 7ee9306
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Mar 22 16:17:12 2012 +0100

    Merge branch 'bug-409277'

commit 7ee9306c7d68bd8b54219788b61558abc8732e9e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Mar 22 16:07:23 2012 +0100

    Fail hard on LUKS inclusion error (bug #409277), advise about sys-fs/cryptsetup[static], drop support for cryptsetup binary from /bin/

commit 5a7bc18180612f5ada377be3df1ae20596ebfdac
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Mar 22 16:06:50 2012 +0100

    Make errors stand out more

commit d6187d303a7b8e88f783b5ab2ef73907b0147312
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Mar 22 04:12:27 2012 +0100

    Bump version to 3.4.26

commit acbc7becc69b2d4404541bbc16c0e844a19da218
Merge: 4ed0433 506a94a
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Mar 22 04:08:30 2012 +0100

    Merge branch 'bug-405495'

commit 506a94ab26b488a54f1a1a84ba74a5cc7db34c6f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Mar 20 04:08:18 2012 +0100

    Load crypto modules automatically

commit 8ac8de605504c830b411be0d8eaa597e49ac75b1
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Mar 17 02:23:43 2012 +0100

    Fix docache (bug #397309)

commit 4ed04331a506926fde85d8a375e94039e368bdb7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 16 23:40:14 2012 +0100

    Drop into debug shell when squashfs could not be mounted

commit a13f9efd3776af7c2d9fdb3489e066d472502f4e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 16 23:37:52 2012 +0100

    Drop into debug shell when files could not be copied into tmpfs

commit adefd0fccc3f2820da63a2044b202262583fb16a
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 16 23:36:30 2012 +0100

    Improve handling of missing /etc/fstab

commit 3ca4d178740a05e1016a7032f8df16da78b65b95
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 16 23:34:45 2012 +0100

    Message cosmetics

commit 0584c96ca68fd2afe19cec19c35f929e068d5609
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 16 22:13:04 2012 +0100

    Extract function do_rundebugshell

commit 38205c74b4bcf1cfd37037f72b89b3d0cdd750c0
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Mar 16 20:08:25 2012 +0100

    No longer use parameter "-r" (for regex intervals) that busybox awk does not support
    
    Error was:
    awk: invalid option -- r
    
    Note: regex intervals are supported by default so we can just omit "-r" here

commit 6487f2ee5ff612acacdf4a3f5cb42e1b6b5e6572
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Mar 12 12:37:45 2012 -0700

    Verbump for enabling /usr mounting code.

commit 277259282e5724d47011bbb318001c0da4a014ee
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Mar 12 12:36:35 2012 -0700

    Enable live mounting of /usr. Was supposed to have been in 3.4.25.

commit b1ae7fa765570390216dccbcf78cbe5c3827cf97
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Mar 10 13:25:13 2012 -0800

    Bump version for release.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 4a3e1ff1cfae09860b87b04fa9f315326910a465
Merge: 995635a 1159b4c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Mar 10 13:23:28 2012 -0800

    Merge remote-tracking branch 'origin/bug-405495'
    
    Conflicts:
            ChangeLog
            arch/x86_64/modules_load

commit 1159b4c2f6c7cb672941e4786b4d1b427c25748a
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Feb 25 01:30:55 2012 +0100

    Make sure the sha256 module makes it into the initramfs (bug #405495)

commit 995635a2c7fbc6cc6250f697c4977bd2e2f56762
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Feb 19 22:58:10 2012 -0800

    With the new /usr mounting, if the device path that ends up in /proc/mounts ends up being different than in /etc/fstab due to symlinks, mount -a will always exit 32. Avoid by resolving symlinks like util-linux does.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 265363f79df5a545dc47547dbee76972b387e9b7
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Feb 14 08:31:46 2012 +0000

    Fix dmraid building with LVM/device-mapper
    
    dmraid is entirely broken if you try to use the system static
    LVM/device-mapper. Instead, always build our own LVM2 for the initramfs,
    using DESTDIR for cleaner install. Dead code paths for old LVM2 build
    not removed yet until more users have tested.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 8e800df298362c0936712852a80f7b323552fbe7
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Feb 12 06:47:32 2012 +0000

    More UTILS_CROSS_COMPILE prefix on strip calls.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 51ec555f6da1ff5d96a408e94c168472b1078549
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Feb 11 17:59:56 2012 -0800

    modules_load: include more DM and MD modules for other RAID/LVM configurations.
    
    X-Gentoo-Bug: 401583
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=401583
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit bd693b8db3aca7bf2771f34a007ecf4e042ca8ff
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Feb 11 17:50:42 2012 -0800

    Bug #265005: ensure CROSS_COMPILE is set for cross-compile strip calls to work.

commit e2939838508c5da76b70e8f1036936d20745797f
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Feb 11 17:21:47 2012 -0800

    Bug #398467: Update dmraid. Also add other patches from Portage tree.

commit 45e8dbfa0e6b193662b2c0273f90e66452c4a102
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sat Feb 11 17:16:27 2012 -0800

    device-mapper "update". It was merged into LVM2-2.02.67 upstream in 2010. Bug #398467 is wrong for the device-mapper update.

commit 1077359d86836accf26f9711f1fde74f8f92b88b
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Wed Feb 8 23:40:51 2012 -0800

    linuxrc /usr mounting
    
    Dogfooding of the /usr mount code with the matching OpenRC change to
    make the mounts RW revealed some bugs and gotchas in our prior code, now
    fixed and verified to work.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 5eeadc8d26da940a20adfe1c6fa9c325fc08b293
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 6 10:00:09 2012 +0000

    Ensure default for new initramfs compression is used.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 1240654461ea74087a5953da48443f977aa59da6
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 6 09:52:55 2012 +0000

    Bugfixes in new code branches that I didn't test fully.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 4ac027367e849702fc7632a3de5a8cd5d58754d4
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 6 09:42:21 2012 +0000

    Update documentation for new initramfs compression.

commit 94dc288487f2cb5c993ed471ed490a0031a65acc
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 6 08:33:10 2012 +0000

    Customizable initramfs compression based on Pentoo genkernel fork
    
    This implements customizable initramfs compression, based on the Pentoo
    genkernel fork (SVN revs r2142, r2145, by Jens Pranaitis
    <jens@chaox.net>).
    
    New configuration option COMPRESS_INITRD_TYPE to allow manual selection,
    whereas the Pentoo fork provided auto-selection based on what was
    available in the kernel configuration. Auto-selection is used by
    default, and is available with the argument of 'best' to the new option.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit fc98fa9d89319e7705a393a739b99f994e12420b
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Sat Jan 28 13:57:11 2012 -0500

    Implement ZFS Support
    
    This provides ZFS support, to go with the sys-fs/zfs package.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> (cleanups)

commit 5f4d31dfd0eb71c4001afcc6d32a610060901c04
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 6 08:05:54 2012 +0000

    copy_binaries, multipath: refactor for ease of use and readability.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit a871576d170277d935306a78acebf24a52103b65
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Mon Feb 6 08:00:32 2012 +0000

    Fix hardcoded paths in multipath support
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 1079122ea0c1733024dbebadd2ae8ad2c88a9bee
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Tue Jan 31 22:20:49 2012 -0500

    copy_binaries: utility function to pick up a binary and needed libs
    
    The existing multipath functionality manually picks up a binary and lots
    of needed libraries manually, and sometimes misses libraries if the
    binary was linked against something else.
    
    Use lddtree from app-misc/pax-utils to get all libraries with the
    binary. The only ones that will be missed are those that are dlopen()ed.
    cpio is used for copying to preserve directory structure.
    
    lddtree usage replaces a larger manual function from calling ldd, that
    was also vulnerable to injections.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
    (commit message rewritten)

commit af26e433cbe7b94ee699b4ecd14fe89efa46ecfe
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Mon Feb 6 07:50:17 2012 +0000

    Support virtio devices, and provide fallback of all remaining devices.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 7452b0733cb786b32e31af060b8952e41b9e3f59
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Feb 3 15:12:25 2012 +0100

    Extend change log

commit 8c76eb9e512d90c1d9170bb7318a3c47a67497bd
Author: Rick Farina <sidhayn@gmail.com>
Date:   Thu Feb 2 23:57:47 2012 -0500

    Add sdcard device support
    
    built in sd card readers are called /dev/mmcblk* which was not
    supported. This patch fixes that issue.
    
    Signed-of-By: Rick Farina <sidhayn@gmail.com>

commit 73520cb6b2e2479bf230d114d0dcb90f6ccd100c
Author: Richard Yao <ryao@cs.stonybrook.edu>
Date:   Fri Jan 27 20:08:58 2012 -0500

    Implement --[no-]compress-initramfs option to complement --[no-]integrated-initramfs
    
    When using an integrated initramfs (including in kernel during build),
    it's better NOT to compress the initramfs, as the kernel build process
    will then be re-compressing it. This can provide space savings on disk
    as well as potential time & memory savings (one less decompress pass is
    needed before the kernel can use the initramfs).
    
    This functionality was previously available in the undocumented
    COMPRESS_INITRD variable.
    
    Code-by: Richard Yao <ryao@cs.stonybrook.edu>
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
    (commit message rewritten).

commit 7879a0c74c3b1722f231711c07d92d26880762b8
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 25 00:25:07 2012 +0100

    Bump version to 3.4.24

commit 06570e177b5aee015d95bf8dae1687bf8af98e19
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 25 00:26:11 2012 +0100

    Extend .gitignore so echangelog ignores release tarballs

commit 6cde7bcb66f2b292991418a41fe498e739f026ab
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 24 04:50:18 2012 +0100

    Unset CONFIG_SYSFS_DEPRECATED for udev (bug #335763)

commit de79822567d0a5277a5510b6e224e3e511748705
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 15 01:16:32 2012 +0100

    Bump version to 3.4.23.1

commit f84f42b4e22558f108484ba34a8d674f21a15d29
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 15 00:04:54 2012 +0100

    Re-activate mdstart in busybox config

commit 5feb1fe092d3d7834404f4cb017bee33b60b96cf
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 15 00:02:38 2012 +0100

    Port mdstart patch to busybox 1.19.3

commit 5feb521988d2c8fd31a8276198a13ac67afc02dd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 14 00:11:13 2012 +0100

    Busybox config: Enable verbose usage

commit 31c3c7ca88596cb27500a4655710f2b887ce6ae9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 14 00:04:33 2012 +0100

    Update busybox config using "yes '' | make oldconfig"

commit e53d1931d0d2b8592b04f31143ce0886e0cb190b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 13 22:44:45 2012 +0100

    Bump version to 3.4.23

commit 4974b145257019aa2a5b8821225522eb768882ce
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 13 22:24:39 2012 +0100

    Copy some patches from busybox/1.18.1 to busybox/1.19.3

commit 6622d8cfb879029739b8612daddc72cd3f1e29e0
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 13 22:23:43 2012 +0100

    Add a patch for e2fsprogs/1.42 from main tree

commit 45945cf7bdac3b688c9e82a4898ad1eb1df265b7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 13 21:57:10 2012 +0100

    Copy patch from lvm/2.02.74 to lvm/2.02.88

commit b49f1f377db6482aeb4f0a0a717f54632319ded9
Author: Robin H. Johnson <robbat2@orbis-terrarum.net>
Date:   Fri Jan 13 12:30:47 2012 -0800

    Prior to commit a141d715, CMD_NOINSTALL had no default set, but most of the usages were of the form "! isTrue ${CMD_NOINSTALL}", which on an unset value, came out as false. These were replaced by "isTrue ${CMD_INSTALL}", but my analysis of the needed default value was wrong, and was set to false instead of true.
    
    Signed-off-by: Robin H. Johnson <robbat2@orbis-terrarum.net>

commit 146934e1a8c7c4199d7cee9b0fea6ffaa4d94678
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 13 20:02:43 2012 +0100

    Replace "# FOO=bar" by "#FOO=bar" in genkernel.conf (bug #398471)

commit 9ef832b915dc00ca70831bfbef788290b6e4ac75
Author: Tomasz Wasiak <tjwasiak@poczta.onet.pl>
Date:   Thu Jan 12 04:38:47 2012 +0100

    Support application of patches for more tools

commit 7314e877123bc0fb8d1193558e1576dee84e9f60
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 12 04:19:12 2012 +0100

    Support application of patches for more tools

commit 8a912226e6d9c2135a82fdb5cc2843b483083873
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Jan 8 02:30:21 2012 +0000

    Verbump for last commit as a fix.

commit ae2a061ca74e33d0b1ecfc32c778d0b3f9970c12
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Jan 8 02:29:48 2012 +0000

    Disable the /usr mount code until OpenRC section is ready, so that it goes to read-write properly. It was usable in systemd already...

commit 16d6148c74b1f1c38f1553391fac327a1e1bdb06
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 8 02:38:53 2012 +0100

    Add mpt2sas to auto-load SCSI modules

commit 670d3338c0b5fbc717980e54923e2555a8732bdf
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 06:36:53 2012 +0000

    Bump to 3.4.22 to reflect /usr mount support.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 603a1978393aaf4e872dbcf0691a8272e0a3dc5d
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 04:18:37 2012 +0000

    Code to mount /usr and other filesystems as needed for new udev and systemd.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 0c2c1f564e2a682d173bbd5452974e99b1fa216c
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 04:25:05 2012 +0000

    Bump version to 3.4.21.2. Stock configuration of 3.4.21.1 generates unbootable initramfs!
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit e602f05814db85c107490153efdf7ef7c51a8c58
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 04:23:14 2012 +0000

    Fix some defaults otherwise you get an initramfs without any modules!
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit d2e62dfd1680219e201f3fcb8322de65769ee788
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 04:17:29 2012 +0000

    Missing changelog, I fail.

commit 953c7e5b42492c3d5746c3c9857208024d827f0a
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 02:16:27 2012 +0000

    Awk support in busybox is needed for initramfs setup code (to parse fstab).

commit ef4065d0f32c49737f984186a3c0cc8d99446691
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 01:18:23 2012 +0000

    Multipath has been done for a while now.

commit 8139949026114379b06f98dd7bd860f11b01b7a8
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 01:14:53 2012 +0000

    Add a configuration option for --install, so users can get it as a default. Defaults to "no", due to catalyst.

commit c897f803998fbe85bd898bb7d6e93115df9d8fd2
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Jan 6 01:11:30 2012 +0000

    Fix up changelog
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit f1fffdc8336d2bc3bea8dc11034c79b8852368b9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 5 21:31:57 2012 +0100

    Bump version to 3.4.21.1

commit 25cdfbd03a42c6457eeaef0aee96b220941370d9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 5 21:29:41 2012 +0100

    Bump version to 3.4.21

commit fe70c7ae77e2baa1d753c2d29e23185da46b7a39
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 5 17:49:36 2012 +0100

    Improve docs on boot parameter root_trim

commit 6bdb1487eddac6b05aa3f751e1c36fe1bd98cf50
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 5 17:45:17 2012 +0100

    Extend change log

commit c92fe6f0e654d49f00465e81f8f491ef9240fb80
Author: Christian Kruse <cjk@wwwtech.de>
Date:   Thu Jan 5 17:45:38 2012 +0100

    Introduce boot parameter root_trim=(yes|no) for SSDs

commit b7f49a343ef9bead404600976594001a7f3f0be6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 4 15:31:27 2012 +0100

    Extend change log

commit b977d66940fdbbe552bb735a54141b69da873b5b
Author: Borg Onion <borg.onion@gmail.com>
Date:   Sun Dec 4 16:11:50 2011 -0800

    Support for glibc-2.14 systems
    
    Hello,
    
    Due to the changes in glibc-2.14 busybox no longer compiles when NFS
    support is enabled.  This breaks genkernel.  The following is a very
    crude patch to just make things work on glibc-2.14 systems.  A better
    patch would be to detect glibc-2.14 and then make a config decision.
    The best patch would be to port libtirpc to openssl, make busybox link
    against libtirpc, restore NFS support, and put an end to this whole
    mess.  But in the meantime:
    
    commit 80d1e89995f055a37f07f9f7f4c7e21660abd527
    Author: Borg Onion <borg.onion@gmail.com>
    Date:   Sat Dec 3 18:02:48 2011 -0800
    
        Disable NFS support to enable glibc-2.14 compatibility

commit 14c61e729d9612f57e1ab66b5916d6340935d847
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Wed Jan 4 03:38:00 2012 +0000

    Add a few more directories and initial device nodes to the initramfs, and improve datestamp. Based on development by WilliamH for initramfs /usr mounting.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit a141d71531669dc888911c9141fd98ade753d200
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Wed Jan 4 03:27:20 2012 +0000

    Improve option handling.
    
    Provide real boolean commandline options for options that were
    previously only available as booleans in the config, so that they can be
    enable in configuration and overridden to disable on the commandline.
    Remove negation on options: NOINSTALL, NORAMDISKMODULES,
    NO_KERNEL_SOURCES.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit daedf62c307f8f8949769f328f4075088d217597
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Nov 8 18:20:16 2011 +0100

    Bump version to 3.4.20

commit 8f8676adbd41e22b67174e14cc5f0dd45e7c2657
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Oct 31 22:55:15 2011 +0100

    Fix return value of crypt_filter() which caused bogus LUKS opening errors (bug #383545)

commit 9bdd75e3cc3a92271d9c0430a0d6fe1639871f75
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Oct 30 14:32:23 2011 +0100

    Bump version to 3.4.19

commit 344f0b42e473c216301923df71627834560cf149
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Oct 25 11:45:41 2011 +0200

    fix random build failures during e2fsprogs, force -j1

commit 84cc7ccdfba1bde785c6d6116c42dda2c58d9ca7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 8 23:26:51 2011 +0200

    Do not hardcode /mnt/cdrom path across the whole code, use CDROOT_PATH
    instead. At the same time, mount cdrom into /mnt/cdrom instead of
    /newroot/mnt/cdrom (which is now just a bind mount), this avoids
    losetup to expose unavailable paths inside the live system, breaking
    mkfs.btrfs (next upstream version, which does silly things with
    /proc/mounts).

commit 90b944fe4e57a7686123e881e36b00f81aab08ad
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Oct 7 00:33:13 2011 +0000

    Fix patch typo that broke compile.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 7fdfe0eee87d9d365a5c13e79301842c1d88c723
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Fri Sep 23 01:51:23 2011 +0000

    Missed Changelog update before.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 00b5b3ab6603191c5a2e652b26595ab7aa5db188
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Thu Sep 22 22:43:47 2011 +0000

    Allow real_root to point to LVM-created symlinks.
    
    Needed to unbreak root-on-LVM on my laptop.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit a487275640780e3684d444444e6b75b45e4768b3
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Thu Sep 22 07:44:52 2011 +0000

    Removing dangling backtick to make script work.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 1e50bd01d27fbc3c3be29753f59f6e9608a19312
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Sep 13 11:58:30 2011 +0200

    trivial: cleanup code, drop whitespaces and some more cruft

commit 7fef86581a32cc6684f4faf7b174d3f39cec89ee
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Sep 13 11:16:17 2011 +0200

    dmraid requires dmsetup to assign UUID to discovered RAID volumes, close bug #382555

commit d6696d0df6e1b31bf169fc34e2a9b0579f2af72d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 11 09:42:30 2011 +0200

    syntax: drop parse_opt usage and crufty, deprecated subshelling through ``
    
    These changes have been ported from official Gentoo LiveDVD

commit 3453a0621c20576f9b3249215187f34ed55014f0
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Aug 30 17:33:27 2011 +0200

    Fix quoting issue (bug #380729)

commit fe5f95c9315c23429cac9807671e13da34f57414
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Aug 30 14:44:06 2011 +0200

    Enable patch application for mdadm, add patch to fix compilation (bug #381089)

commit 4d54e7d0984dfdfe09b121dd845f6131c5b715d5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 28 11:23:03 2011 +0200

    aufs: add basic support to AUFS2, requires kernel with aufs module or built-in

commit 78667c1e130a6e70eabd03e56ff69123082f73b2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 16 22:01:13 2011 +0200

    gen_compile: correct MAKEOPTS usage on utils task

commit 04c38a93ed72148a8bb0e29e416af5a486a46d60
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 16 22:00:00 2011 +0200

    gen_compile: always use -j1 with kernel *_install targets, fixes compilation with make 3.82

commit ed4b49059f7bd5052b9c21119cab138db60e1be4
Author: Amadeusz Żołnowski <aidecoe@gentoo.org>
Date:   Tue Aug 9 16:22:32 2011 +0200

    gen_configkernel: canonicalize path to kernel config

commit 691d7aad4d1d2b3a10ec0f13a4ee9bd10cc30249
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Aug 6 19:13:11 2011 +0200

    No longer copy /lib/libsysfs*so* for multipath-tools (bug #300841, bug #377709)

commit 7296be47b869ef3d86b1a1b6622092a925ae0faf
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 31 05:47:16 2011 +0200

    End support for 4 years old busybox 1.7.4 (bug #377133)

commit 7748657a874d4e6422ad57e17a0d4707ce7678e7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 31 05:43:25 2011 +0200

    Improve doc on filing bugs

commit 71f01a35f221ba7c5b750c1abb2adadb33628ed9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jul 28 07:56:49 2011 +0200

    Bump version to 3.4.18

commit 02b72c6515a7772228ec5ab59bd0e470df326826
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jul 27 19:38:15 2011 +0200

    Fix display of seconds waiting (bug #376575)

commit 3d7de35394a704c993b9986c2e70adcd4083ee6b
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Tue Jul 26 22:34:00 2011 +0000

    Bug #376467: fix kernel version checks for 3.0 kernel.
    
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 4c0b4b18f8ceb634097e159d212782569acd3260
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jul 23 11:42:27 2011 +0200

    Fix permissions of /dev/pts (bug #375947)

commit fdcea9095dd6c32b9f3d501bc475f9f15732482d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jul 23 11:33:44 2011 +0200

    Extend ChangeLog

commit a83ab623096981707e4de311d2dc7a1522624da5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 20 21:30:13 2011 +0200

    trivial update to man page related to --kernel-target=

commit 85a271a4ed9699704300b6dbe21bbe68e32832b5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 20 21:26:12 2011 +0200

    better document new --make-target= option

commit dfca908b6fc9ce21c714b12bdc96d8049af70f8d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 20 17:54:56 2011 +0200

    Make possible to compile XEN based kernels providing --kernel-target= and --kernel-binary= switches

commit aea5074809e40b6e8f582d367a271b86fd1d651b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jul 4 00:26:27 2011 +0200

    Set version to 3.4.17

commit bf0cad6a30b2344a3abb6cbeb805b27ba7708c96
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jul 3 20:56:05 2011 +0200

    Remove support for sys-fs/evms, as it was removed from Gentoo (bug #372423)

commit 4a7ccf8b0873d75996e4582de5f1db326f20bc45
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jun 22 19:00:35 2011 +0200

    Make --arch-override= affect "make menuconfig" (bug #247246)

commit 381ec0cee4f0df060be1ca8d864f1db587ab7eb7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jun 22 18:57:45 2011 +0200

    Refactoring: Rename mode runtask to kernelruntask

commit 9ef2c292157f3dbcca445e8e1bc35b20c6325407
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jun 22 18:55:40 2011 +0200

    Docs: Add in-code docs on runtask mode of compile_generic()

commit b9b1b765cbbcf16a561d0f2289d6717018eaf2b2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jun 22 18:54:09 2011 +0200

    Refactoring: Turn to if-elifs constructs into case blocks

commit 6d6b5b7c2942af5b3213254fc1699777842ef031
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 13 22:51:04 2011 +0200

    Unset CONFIG_EMBEDDED on arch amd64

commit b20494438aa689bb66677f6c6968c0ecbdfd769c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 13 22:31:18 2011 +0200

    Apply CONFIG_USB_HID=y to archs amd64/x86/default (bug #270983)

commit 4392bc93ab7f7f5858451d1cb72e7c9da1efee26
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jun 13 21:50:06 2011 +0200

    Unset CONFIG_IDE on archs amd64/x86/default (bug #357213)

commit eec4397e4125a29119279c9296de8e310adc8599
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Wed Jun 8 17:49:23 2011 +0200

    Check content of $REAL_ROOT/dev after we are done with it
    
    Removes error message about missing /dev/console and /dev/null

commit bddf1649dcf34be21ac36602d1ae8237ffc3e474
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jun 8 00:15:26 2011 +0200

    Bump version to 3.4.16

commit 930d8776a2092326a90b0fd81fc7f3aaeec9f7b5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jun 7 21:19:54 2011 +0200

    Fix typo expamle/example

commit 6051fcf1ee05cb14171b27dd25d5532f08dbc5b3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jun 7 21:13:50 2011 +0200

    Document most undocumented boot parameters (bug #370369)

commit 4798c473751a08626eee6960532df7a4272d4f8c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jun 7 19:48:44 2011 +0200

    Add hpsa to modules_load of amd64/x86 (bug #363369)

commit 3072476cd13987f00aae1e86bcc69e250c177873
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jun 7 03:27:58 2011 +0200

    Docs: Improve docs on boot parameters dodmraid[=...] and scandelay[=...]

commit 0992082d0577733d1e70f8522f0e68b9bce9d2c4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jun 7 02:28:55 2011 +0200

    Docs: Fix mixup of boot parameters real_init= and init_opts=

commit dbede652dc039134284818b021b2ea3974c7241d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jun 5 18:06:41 2011 +0200

    Docs: Update note on getting in touch

commit 440eab8fcad723aa7de21eca6411b59b94db0fa0
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jun 4 02:44:17 2011 +0200

    Document remaining options inside genkernel.conf, e.g. DOKEYMAPAUTO (bug #367233)

commit 2e16677d197a1ae3a492b686069fb42299c647e5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jun 4 03:00:29 2011 +0200

    Fix regression from renaming DEBUGLEVEL/DEBUGFILE to LOGLEVEL/LOGFILE

commit 50525acdfd981bb1c8fc7296c41493b092cacb25
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jun 4 02:29:35 2011 +0200

    Make set_config_with_override accept "BOOL"/"STRING" not 1/2

commit ae821b9009d5cef9e1e541237293de7879c9ccba
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jun 4 03:41:21 2011 +0200

    Docs: Fix for Kernel 3.0.0 support (bug #369481)

commit e82a8c99854b2d710d962a82dc3a9f4c625a1373
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jun 1 03:43:08 2011 +0200

    Document option lvmraid= and make it imply dolvm (bug #153502)

commit 6a00d8677ac6a1be4ddb4c5021ebfe0e94a623ed
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue May 31 20:47:42 2011 +0200

    Rename internal function whereis to prompt_user
    
    .. to avoid confustion with whereis(1) from sys-apps/util-linux

commit 15019471add8eb1d16c7af1733ce43a160f7640e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue May 31 15:25:58 2011 +0200

    Extend ChangeLog

commit fad624bc41b33f7bf418845f677caa49a33b6a94
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue May 31 15:03:12 2011 +0200

    Add rootfstype= boot parameter (bug #221245)

commit 6b92c54c1ecc90735f101fafab65d993938d8ee6
Author: Nelson Batalha <nelson.batalha@gmail.com>
Date:   Tue May 31 12:57:09 2011 +0200

    Add Kernel 3.0.0 support (bug #369481)

commit f23c2e4a293caf85ebb052c0b83ef7100b7574c9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue May 31 03:47:41 2011 +0200

    Re-specify "latest genkernel" as "latest ~arch genkernel"

commit be190b4ec14eb49e60af78e730ec1c9d8410c939
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue May 31 03:44:58 2011 +0200

    Output warning in warning color

commit d7d509f4e9e28b089f7110ad1b9a09d574a8bf44
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue May 31 03:36:45 2011 +0200

    Document boot parameter domdadm (bug #369415)

commit fd6e600f70ad199237eba919e74e34f55ca3aa56
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue May 31 02:03:01 2011 +0200

    Remove patch on -lspl as our --without-slp seems to take another branch in configure, anyway

commit 3cac23cc3443e936fe24ba5900c086aa24a42ea9
Author: Amadeusz Żołnowski <aidecoe@aidecoe.name>
Date:   Thu May 12 16:26:15 2011 +0200

    added hpsa to defaults/modules_load; fixes bug #363369

commit fa3b8af99e68bdfe3c0cd7138e9cee58935925e2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Mar 28 20:18:00 2011 +0200

    Bump to 3.4.15

commit 4f87856880d31496ff91d22bf3e6da793fb27b60
Merge: 5a33ee4 9ee6216
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Mar 28 20:22:23 2011 +0200

    Merge branch 'stable-next' into stable

commit 9ee6216b31731ff169696faa5fbe2f49f638c58d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Mar 28 19:46:08 2011 +0200

    Extend change log

commit f927ef9b4282ceeaa869dc69fa3a971b1ae1bbf9
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Thu Mar 24 13:36:56 2011 +0100

    Try to move /sys and /proc to the newroot first instead of just unmounting.

commit b312056622a1973328ed43864b3ce9419a068c70
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Thu Mar 24 13:33:03 2011 +0100

    Use the same options for proc and sysfs as Gentoo/OpenRC uses

commit 1cf3de853a23946c8233ace771461353b3a354af
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Wed Mar 23 20:32:45 2011 +0100

    Remove "--slowusb" as it is enabled by default. Also document "noslowusb".

commit ade0b7669be72b77c56d85dcc78761d05815d347
Merge: 5a33ee4 f3d1fe4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Mar 28 19:24:06 2011 +0200

    Merge branch 'master' into stable

commit f3d1fe4a46885d138ad79924691d1b4de8131321
Author: Ian <ifreecarve@gmail.com>
Date:   Thu Mar 24 21:05:07 2011 +0100

    Fix typo "initamfs"

commit ad2842f6701c0eea0666a4b2e510f1cd078de6fe
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 22 19:23:59 2011 +0100

    iSCSI: open-iscsi patchwork: add -lslp to LDFLAGS, and properly call autoconf

commit c579bd11949a48c4757b64b561163951f829a4a6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 22 13:02:05 2011 +0100

    open-iscsi: fix compilation when openslp is installed.
    
    Two main issues:
    1. open-iscsi build system, inside Makefile, user target, calls
       ./configure (which is very bad itself) without letting to choose
       configure options. Fixed in:
       open-iscsi-2.0.872-omg-calling-configure.patch
    2. when openslp support is automagically enabled, -lslp didn't get
       added to compiler arguments. Fixed in:
       open-iscsi-2.0.872-slp.patch
    
    Peace.

commit 5a33ee4b485a902051beeece531d1e70b1fa73c0
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Tue Mar 22 12:31:19 2011 +0100

    Fix handling of doslowusb/noslowusb
    
    Set DO_slowusb as default, and make setup_slowusb unset it if it cannot find
    a usb-storage attached. This makes genkernel ramdisk adhere to "noslowusb",
    makes the ramdisk only wait if there is a usb-storage attached and should fix
    gentoo bug #359619.

commit c9dc25bb55abb9ab410ddec8aa95ff383fe63c38
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Mar 16 15:55:15 2011 +0100

    docs: mention keyword InVCS in HACKING

commit 16a7793dda5b79e27f2ba64a11c15e6b410e65cc
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Mar 16 14:44:18 2011 +0100

    Bump version to 3.4.14

commit 3261a50884e930e0e422377dd647a16991a6bc42
Merge: 50f2072 dca5432
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Mar 16 14:48:20 2011 +0100

    Merge branch experimental using --no-ff

commit dca54329612f8f7437efb94baf832c64c60f05ff
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Mar 16 14:42:43 2011 +0100

    Extend change log

commit 806df105c9029125cb7314e42c3338d547f4bb60
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Mar 16 14:39:27 2011 +0100

    Fix changelog

commit 638a7a13699aa77f0ee38ea45e819d3d96a5140c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Mar 14 18:43:45 2011 +0100

    add btrfs to MODULES_FS, load btrfs module if available
    
    Grub2 is going to support btrfs someday, so better getting prepared.

commit a768d85c5ac5c19b02e79a55e5c90e6e157ee0b9
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Mon Mar 7 09:45:41 2011 +0100

    Fix typo
    
    By adding the kernelcmd options "dokeymap" to MY_HWOPTS instead of
    the HWOPTS version, "keymap" this typo broke the handling of keymaps
    if you only had "keymap=<...>" in kernelcmd and did not specify "dokeymap"
    too (which according to documentation should not be needed).

commit 32563f448ee0fda8c65d67c6a5f2b5e146d6ae2d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Feb 24 10:41:32 2011 +0100

    Extend change log

commit 192d298cf0d2ea26ecc7dc4e172462a81fbdc082
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Feb 24 10:34:48 2011 +0100

    docs: Improve docs on MDADM_CONFIG

commit 665c3ecff6cb6584ef1c0a3eb867acc5ea3944e3
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Wed Feb 23 07:14:04 2011 +0100

    Do not mess with MDADMs auto-detect
    
    Only reason for this logic is to limit what entries in /proc/partitions
    mdadm scans for arrays.
    However this seems to break raids in containers (example Intel fakeraids)
    as those containers are never scanned for arrays.
    (On my system it activates /dev/md/imsm0, but never /dev/md/Gentoo_0 which
    is the real RAID with the removed logic)
    If someone has something dead-slow they do not want scanned for raids,
    it is better if they specify their own mdadm.conf.
    If someone finds an example of something that mdadm scans for arrays that
    is not supposed to be scanned, we may handle that then.

commit 7ae5e10474ef720a50b6ae01574036beaa017c38
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Wed Feb 23 07:10:51 2011 +0100

    Introducing MDADM_CONFIG
    
    Make it possible to choose a custom mdadm.conf for your ramdisk.
    If not set, no mdadm.conf will be copied, and ramdisk will auto-detect.
    This also fixes a regression where genkernel always tried to copy
    /etc/mdadm.conf to the ramdisk, failing if it was non-existant.

commit 50f20720f95f38bec765c23a11b103985a15bfc6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Feb 10 18:11:37 2011 +0100

    Bump version to 3.4.13

commit 06d136ca6a5c8dc23ff0b50e6f10771ac0482730
Merge: 734bbf9 107049c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Feb 10 18:13:26 2011 +0100

    Merge branch 'experimental' using --no-ff

commit 107049cad2ad3ebbd4b60556e3bbe85b16b1c13c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Feb 9 17:17:24 2011 +0100

    .conf: Add SPLASH and SPLASH_THEME (bug #268468)

commit 8097ea8d4c74ff47be2e07efe1b3a45d8871f834
Merge: 23fd924 79f6c25
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Feb 8 18:01:11 2011 +0100

    Merge branch 'bug-314575' using --no-ff

commit 79f6c2533d9719063acb8e217beb91237f7279bb
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Feb 8 17:59:22 2011 +0100

    Extend change log

commit 5e07592a758954bc72ce3f955fda1160794f46a2
Author: craig <craig@haquarter.de>
Date:   Mon Oct 11 00:49:12 2010 +0200

    iBFT: fix iscsi_noibft

commit d9f46bb5131266f979734895feaaf921f49d30af
Author: craig <craig@haquarter.de>
Date:   Mon Oct 11 00:21:05 2010 +0200

    Add iBFT support for iSCSI

commit 23fd924325de6c9ffd0fbfbbff8da67bbf68a0ea
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Feb 7 20:20:49 2011 +0100

    Fix error message

commit 15b8898c97f4858826f463d37df9f4d4bb1f9f23
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Feb 7 20:13:16 2011 +0100

    Extend change log

commit 2deeaba70b67b54f7bff26d74df35a6730ca047f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Feb 7 19:49:36 2011 +0100

    Add error message output

commit c3165cd02f00a2e27656acb93df26e7b4276d8d2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Feb 7 19:47:10 2011 +0100

    Apply mdev primer of busybox

commit 398d7ba5acf5ca5d3c9777aff108b3897649822c
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Mon Feb 7 16:02:41 2011 +0100

    Use tmpfs if devtmpfs is not available
    
    This makes the ramdisk always mount some kind of /dev,
    and then try to move it to the new root.
    This unbreaks handling of nodes created pre-udev likefor example lvm does.

commit a9d1575e3c085876d0e18d0f94993a9ae3f901aa
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Feb 7 04:20:14 2011 +0100

    Extend change log

commit 763fd09bacda81255d1244c767e921cfc48b9032
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Feb 7 04:09:25 2011 +0100

    Remove "-a" from call to umount

commit cb24bedd073f23ac518bc1c0b79aec4593db2817
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Tue Feb 1 19:34:54 2011 +0100

    Move dev to chroot
    
    This can be considered good practice, likely less chance that nodes
    created in the ramdisk disapperes when switching root.
    Some applications (mostly debugging/benchmarking) also needs this to
    survive the switch_root.

commit e8ffab000021c9934be3af9f6ee29057aca7462a
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Tue Feb 1 19:33:57 2011 +0100

    Update options for devtmpfs
    
    Options copied from /etc/init.d/udev-mount as that script does not
    sanitize or even tuch the options.

commit b0c6daf110f68cec1c47a7e023b69b1a816a773c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 31 13:46:23 2011 +0100

    Extend change log

commit c202dbe67d57af630c2bf7dc5b521d1f6bae8c5f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 31 13:44:24 2011 +0100

    Resolve unneeded subshell

commit 294ea175065bd8f42056094c2f2c2d5b538d8f18
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Wed Jan 19 23:49:24 2011 +0100

    Use devtpmfs when avaible

commit 734bbf97f4dda5e1bc4d427c24cb53be607509e3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 31 13:00:00 2011 +0100

    Bump version to 3.4.12.6

commit e71417e3a9494fc7eb436775281d60d4bd8dcc8a
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 31 12:47:11 2011 +0100

    Extend change log

commit 51d60ac01f2409fab90ffd9fcb7c472ae8ffceeb
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 31 12:45:33 2011 +0100

    Replace "$lvm_commands" by "${lvm_commands}"

commit 62fdee77e4e716733a49364904844dd1d075b078
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 31 12:42:40 2011 +0100

    Insert a few blank lines for readability

commit d1b6b4e9f090dc02d91001d55dfb9382392c9b15
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Sun Jan 30 22:48:54 2011 +0100

    Speed up LVM-activation
    
    Change vgscan and vgchange so they are done in one go.
    Faster since less work for the lvm command.
    vgscan is still needed for some cases like dmcrypt where
    /etc/lvm/cache is created, but not updated with the unlocked devices.

commit ba56efcb972fd2f2bfa331432cb8548dcd46353f
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Thu Jan 20 01:48:37 2011 +0100

    Use vgchange --sysinit
    
    Turns off unnecessary stuff, and makes the command look cleaner

commit 52e2a47637ec133cf01af4df85e863c169e7405c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 23:29:30 2011 +0100

    Bump version to 3.4.12.5

commit b05480c4879b14fc8cb6a6af37b7b8b818077511
Merge: ff1f87e 8a8d491
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 23:28:07 2011 +0100

    Merge branch 'experimental' using --no-ff

commit 8a8d49167e37b14b7bba57feb8dd7bd452ee2129
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 23:15:43 2011 +0100

    Extend change log

commit 81e41d541d2d9acbf8b3f9ab1c51fbe6a6d19942
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 19:36:08 2011 +0100

    Put blkid of e2fsprogs into /sbin, not /bin (bug #352746)

commit 15b4869f5061f152da3b5c2fd04b3567767abbd6
Merge: f0b5065 ff1f87e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 18:12:33 2011 +0100

    Merge branch 'master' into experimental

commit ff1f87e88f1c85c3bbb9c3ca358a243e2da350a7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 18:10:16 2011 +0100

    Bump version to 3.4.12.4

commit 23a949e5b586c70fa8ae2ec8032311335369c9fd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 18:09:41 2011 +0100

    Extend change log

commit 92739b11f7fa3c22f68abeefb200a85db2ae8695
Author: Raúl Porcel <armin76@gentoo.org>
Date:   Fri Jan 28 19:06:57 2011 +0000

    Use shadow on netboot busybox config

commit f3afa933d4776ae37b306409eee25f34b6b95d6c
Author: Raúl Porcel <armin76@gentoo.org>
Date:   Fri Jan 28 19:03:06 2011 +0000

    Enhance the handling of the console in the netboot linuxrc

commit f0b5065d61578883f88d9623b0febe504591de06
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 02:08:27 2011 +0100

    Enable CONFIG_USB_SUSPEND and CONFIG_PM_RUNTIME for x86_64 using "make menuconfig" (bug #351376)

commit 43a68e89d1d2727b55093061ac1fa8688e4abb6c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 30 02:03:38 2011 +0100

    Apply "make oldconfig" of 2.6.36-gentoo-r5 to .config of x86_64

commit 5b7e5c16681d12bfc007e14caa2061e561bf1266
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 27 12:55:45 2011 +0100

    Remove unused function kv_replace()

commit 56010435689842528c768d8080899846c44f401d
Merge: d5501e7 8b3848e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 29 15:52:48 2011 +0100

    Merge branch 'master' into experimental

commit 8b3848e030b2eff0569823cb0f3d4e467248ab3b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 29 15:45:17 2011 +0100

    Bump version to 3.4.12.3

commit 88d15b280b59df10d0e56576b31828947484ad43
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 29 15:44:44 2011 +0100

    Extend change log

commit aa102ae6a1184bd65151db903e3ecf40d33a7fd2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 29 15:42:02 2011 +0100

    docs: Resolve nick Xake to Peter Hjalmarsson

commit 3d94af67c988ad8615e855c4a27a915df122a142
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 29 15:39:24 2011 +0100

    lvm: Indicate using bincache

commit db307cd351c754657ede779a1c84d9cc0b59c325
Author: Peter Hjalmarsson <xake@rymdraket.net>
Date:   Fri Jan 28 18:54:40 2011 +0100

    Remove unpacking of device-mapper for lvm2
    
    Newer versions of lvm2 does include device-mapper

commit d5501e7bbde455c05c1bbd82f0871f1f508eb935
Merge: d4266f7 1272734
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 27 11:46:26 2011 +0100

    Merge branch 'master' into experimental

commit 12727340c5b037a00a7e09da02d0774654a8ba1c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 27 11:40:50 2011 +0100

    Bump version to 3.4.12.2

commit ba54476f01ebf13709fd38c8047a62614eb0d19d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 27 11:33:53 2011 +0100

    Revert "Do not query generated files (like include/config/kernel.release) for kernel version, as they may be out of sync (bug #263927)"
    
    This reverts commit 48ca00ec29afdec6cb168fbaae87a7b07ea65988.
    
    Conflicts:
    
            ChangeLog

commit d4266f7e873827e9998eb64d8a5e70b220a257ee
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 26 09:32:38 2011 +0100

    docs: Fix sample call to GnuPG (reported by Fabio Coatti)

commit c65605c94289335a6731389757f74886ac1e8421
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 23 20:18:25 2011 +0100

    Bump version to 3.4.12.1

commit 20d2e89f0f809ef856a589aa66d414e0e9851a6f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 23 20:21:07 2011 +0100

    Makefile: Have version bumps trigger re-creation of man page

commit 18dff233545ef9172c08c006309298e3550fa0b6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 23 20:17:42 2011 +0100

    mdadm: Indicate using bincache

commit b1b6157254b84aba41c90737567fb6effd8b2681
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 23 20:04:12 2011 +0100

    mdadm: Fix copying of mdadm/mdmon to the initramfs (bug #352496)

commit 85944c8f79022945e959cc176be6795842b9c23f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 23 19:08:07 2011 +0100

    Bump version to 3.4.12

commit 56af6325067b92c1848a505ab76ea5dfa1045b15
Merge: 64c32a9 7d5ba3e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 23 19:04:24 2011 +0100

    Merge branch 'experimental' using --no-ff

commit 7d5ba3ef26e2d299f618f1d94201e5baab3fab28
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 23 18:58:54 2011 +0100

    Extend change log

commit 6b7ccee37523d488a9207735ec93de1c56cc38f8
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 22 01:39:19 2011 +0100

    Extend change log

commit 954670ea2ffafa55e29c2b50aaf83a85eb3bf265
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 22 01:33:44 2011 +0100

    Enable CONFIG_USB_SUSPEND for x86/amd64 (but not default/ia64) (bug #351376)

commit 94f4e02816dd8300439a14537770e186f7884c0b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 22 01:15:12 2011 +0100

    Replace "${MAKEOPTS/-j?/j1}" by "${MAKEOPTS} -j1" (bug #277607)
    
    A call like
    
      genkernel kernel --menuconfig --makeopts="--jobs=50"
    
    previously resulted in a make error.

commit 48ca00ec29afdec6cb168fbaae87a7b07ea65988
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 22 00:46:57 2011 +0100

    Do not query generated files (like include/config/kernel.release) for kernel version, as they may be out of sync (bug #263927)

commit 2abd9c2742e035667b4cfebf1be50be4d83595fd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 4 23:20:19 2011 +0100

    Add compatibility with older cmdline setup on console argument
    
    Older systems featured full path to tty inside console=. This
    is no longer valid and causes issues with fbcondecor. The new
    expected format of console= is tty name with the directory part
    stripped off: console=tty1 for example.
    This patch has been in sabayon's genkernel for <2 years, but
    should be tested out on non-standard environments.

commit f184b664b2d7f77afe64f7393a9bacead8e11bbd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 18:31:14 2011 +0100

    docmatcher: Re-order output sections for practical reasons
    
    - Lists expected empty to the end
    - Before that order by importance (ascending)

commit e6c668644c35624b8dd96738756df73061b6f923
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 18:25:55 2011 +0100

    docmatcher: Handle MDADM_* variables

commit bcfc01eeb38f1bb72c160341a619fae67d225b7d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 18:24:59 2011 +0100

    docmatcher: Handle deprecated genkernel parameters

commit 69cc4a89275366708d0a0dd0b3cc26954f5fb547
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 18:17:49 2011 +0100

    docs: Fix indentation in "genkernel --help"

commit 35f102ba061c37e07cf71cfff4f857644c3937e7
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 18:14:28 2011 +0100

    docs: Remove deprecated parameters --gensplash-res, --gensplash, --lvm2, --evms2

commit 901be4dec29197200fa7d6892a4542e1c45f3d1e
Merge: 886262e 64c32a9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 15:39:31 2011 +0100

    Merge branch 'master' into experimental
    
    Conflicts:
            ChangeLog

commit 64c32a94bd538c08b1e741f543cc8fcd9b0391ed
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 15:22:37 2011 +0100

    Bump version to 3.4.11.1

commit 8895058c27c9697eecb923e29e215cb921d9aaee
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 15:25:05 2011 +0100

    Extend change log

commit f0142b1d12ee775f307f6eb3e8a60161eba3d679
Merge: c0876b0 0baf1d3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 15:21:43 2011 +0100

    Merge branch 'bug-351906'
    
    Conflicts:
            ChangeLog

commit c0876b0972827305e160a91c6a3e34910181e254
Merge: b2eeeec f693ca5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 15:19:38 2011 +0100

    Merge branch 'bug-351909'

commit 886262e44e10830277c987089e1c85b065a2e4a2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 05:46:27 2011 +0100

    Remove unused function bind_mount_dev()

commit 0baf1d36fb5aae346ea14e70e68ec98e5de71dc2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 02:33:52 2011 +0100

    Move from "no-foo enabled" to "foo disabled" for consistency

commit afe2f15328f22f871d317bf03badbdb9b82550d5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 02:12:38 2011 +0100

    Fix leftover of problem with missing .config file (bug #271528)

commit c90ea760205994e27da1af7272f9f3dfaa662830
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 01:56:30 2011 +0100

    Use "kernel:" instead of "config:" in output consistently

commit 9c2d3acc7e4612d50046ff42e9a30a8c1d5f42fb
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 01:53:37 2011 +0100

    Move application of kernel config after "make mrproper" as that deletes .config (whereas "make clean" does not) (bug #351906)

commit 94522889dcf63abce6a6dd457243bce6f0f2ac80
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 01:45:36 2011 +0100

    Be versose about --oldconfig and --no-mrproper

commit f693ca5854d487b2e6d24910a203381f7867dda5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 20 01:18:56 2011 +0100

    busybox 1.18.1: Return of mdstart as an applet (regression) (bug #351909)

commit c1991d98bf54ec4b3af5b81684f1479c0dd3d4b3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 19:16:30 2011 +0100

    docs: Give MDADM credits to Matthias in man page

commit 6dedd916cf411d41b76782c5c7eeafcbf663f70c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 16:54:11 2011 +0100

    docs: Extend change log

commit c287c287804c4b59bb8f6e6b3f40b84fd3a1e369
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 16:49:22 2011 +0100

    docs: Document change in bahavior of --mdadm/MDADM="yes"

commit 144d5c0381d7dcbedae0d2533c6758fabb5485b1
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 16:24:54 2011 +0100

    mdadm: Remove busybox mdadm re-make

commit 30f88577f39b5d83cb1cefe778f7dfee66493217
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 16:13:19 2011 +0100

    mdadm: Implement support for mdmon to static binary
    
    Without this patch a static /sbin/mdadm binary results in an initramfs without mdmon

commit ccc17448fd7bf9ae119cdc154425de9ad2adb6c5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 15:56:13 2011 +0100

    "mdadm -A" -> "mdadm --assemble"  (as before, better self-documentation)

commit b01b882e7c16cb10cda1dac7c79c5ca88b73b5ce
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 15:51:22 2011 +0100

    style: Fix trailing whitespace error

commit 6c042e61ec1dd05b59651902af3b24e0862bff54
Author: Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Date:   Fri Aug 27 17:26:52 2010 +0200

    mdadm: Add IMSM support

commit daed0ccebb15142265e2634262c474a2ef81201b
Author: Matthias Dahl <ua_bugz_gentoo@mortal-soul.de>
Date:   Fri Aug 27 17:26:52 2010 +0200

    use mdadm instead of bundled stripped down mdassemble (v2)
    
    mdassemble can't handle newer metadata formats and fails for partitioned
    arrays, among other things.
    
    This...
    
    - replaces the bundled mdassemble with proper support for mdadm
    - fixes raid autodetection/assemble when no mdadm.conf is available
    - fixes a compilation failure for newer mdadm versions
    
    Tested w/ genkernel 3.4.10.907 and mdadm 3.1.3.

commit 170fb7441469b2d2f1aef051a6feeccc07960487
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Jan 17 15:13:16 2011 +0100

    docmatcher: Get GnuPG parameters out of the way

commit b2eeeec574d952397736363cd6ea86ad144f351b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 16 22:02:59 2011 +0100

    Bump version to 3.4.11

commit b3d07b46a7a01f4e2497a1db62f0ba48e42dc7b1
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 16 16:02:39 2011 +0100

    Do not sleep after vgscan (bug #351047)

commit 8b52cccc024cd305563718c07b7eb71eca69a268
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 16 15:09:36 2011 +0100

    Do not wait for iscsi if we have not started it

commit 1051223a6320bf8e6a0496ffa29ad499a9777915
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 16 15:06:38 2011 +0100

    Do no delay if scandelay[=seconds] is not specified (bug #323317 again)

commit 30aa8490fa9164be6d4d2d8e7d68444140875d20
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 16 02:04:07 2011 +0100

    Update change log

commit b56020daf608422b109155794cbffd6302b594e6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 16 01:47:12 2011 +0100

    Propagate fix for ROOT_DEV from bug #303531 to RESUME_DEV and REAL_LUKS

commit aa4f05e2d310a1cad577b526e9bc55126ea03450
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 16 00:51:50 2011 +0100

    Bring back --with-lvm1=internal and --with-snapshots=internal (appears more safe to me)

commit 5eb029e546a740d3aa89ffb186a654a50c116cf2
Author: Amadeusz ?o?nowski <aidecoe@aidecoe.name>
Date:   Sun Jan 16 00:48:59 2011 +0100

    Fix compilation of LVM 2.02.74

commit b6b3dab7cda3a3ba5715124e37ecf06df84cc059
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 4 23:24:35 2011 +0100

    Add minimal btrfs support, as per bug #303529.
    
    RAID0 btrfs volumes can be detected only if btrfsctl is started.
    Since embedding extra executables in initramfs is already possible,
    add minimal btrfs support inside linuxrc.

commit f5547a519fee9b43a1e5022601810da9af8e64f4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Jan 15 17:58:05 2011 +0100

    Add LABEL support to crypt_root, clean up UUID crypt_root patch

commit 3e60ed9eee5e02aafdff98d87d63b627ca3f87bb
Author: Christian Giessner <bugzilla@christian-giessner.de>
Date:   Sat Jan 15 17:51:24 2011 +0100

    Add support for UUID to crypt_root (bug #315467)

commit 5d0aca27018a763ca39cb3a9a9137807cdb66931
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 14 19:26:25 2011 +0100

    Run "make firmware_install" if CONFIG_FIRMWARE_IN_KERNEL != y (bug #244651)

commit ed6b7ea69b197da6891cebbf49693de44c0ba16f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 14 18:09:32 2011 +0100

    Port patch lvm2-2.02.72-dynamic-static-ldflags.patch to work without running autoreconf

commit 6bdb86a8efaf08c835b297e65f66a4cbfd722454
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 14 17:37:31 2011 +0100

    Restore original intention of CPPFLAGS (preprocessor) and CFLAGS (compiler)

commit e8a757220360ae3938306f268925f9abfe08e427
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 14 17:22:34 2011 +0100

    Recover ">> ${LOGFILE} 2>&1"

commit 17481d226cef791868d4dfd234fc81db87a41590
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 14 17:21:50 2011 +0100

    Fix indentation

commit 8be9736a4403740aa6b9a6385d938cf5d14b8498
Author: Amadeusz Żołnowski <aidecoe@aidecoe.name>
Date:   Thu Jan 13 20:54:20 2011 +0100

    LVM 2.02.28 fix

commit 04cc94ceb684b22d231d135ead70b1fdce015e77
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 17:53:53 2011 +0100

    Port summary of busybox patches from 1.7.4 to 1.18.1

commit 14428f8b5f9fa909663d7feda0319acfc179d388
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 17:58:33 2011 +0100

    Remove signed-off-by tags, as the patch changed since the review

commit 8c4a8d089e9d3c6a463b63e3eff5e0107a8714cb
Author: Denis Kaganovich <mahatma@bspu.unibel.by>
Date:   Thu Jan 13 17:51:29 2011 +0100

    Add busybox patches ported from 1.7.4 to 1.18.1

commit 564239cce6cb60cf857a3526448e4da09982c6fb
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 16:42:20 2011 +0100

    Add support for LVM patches located at ${GK_SHARE}/patches/lvm/${LVM_VER}/

commit 469153a098073077e41085b6ff5faa92a14b4cb9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 16:20:14 2011 +0100

    Feed back names of patches applied successfully

commit 841b73274040a8e94beab2c19e50814b331f6bf2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 16:19:45 2011 +0100

    Skip files in apply_patches() as *{diff,patch} produces "*diff" with no .diff files around

commit 3c3765558b7da4f4cfe409598ba5202a27877ae1
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 15:29:58 2011 +0100

    Add more detail to some LVM log messages

commit 8d89dba5d75fb44d2e5da6ebbfe00b526d3148ac
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 15:06:54 2011 +0100

    Add timestamps to .config backup names (e.g. .config--2011-01-13--15-01-53.bak) so .config.bak doesn't get lost when running genkernel multiple times

commit 3e454386eb91de3b9b6c61de7f6bbec8e3fd8f52
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 14:41:58 2011 +0100

    Bump version to 3.4.10.909 (no release yet)

commit dfddd742bda34ceea56b494675ca17754c8bdff2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 14:29:23 2011 +0100

    Handle missing kernel .config better (bug #271528)

commit fee837bba64a90f32753cdb99e9e5e0118529b2a
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Thu Jan 13 14:30:45 2011 +0100

    Handle missing kernel Makefile better

commit 3faec932772cef8a63412bfc850f24d71f2a6784
Merge: 484f801 6c05e62
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 12 17:53:16 2011 +0100

    Merge branch 'gpg1x' into experimental

commit 6c05e62afcfe24365b857ea73424f1b1bbd8fce9
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 12 16:30:29 2011 +0100

    docs: Give credit to dacook

commit 84084937e1b7d36fe46876ac27c9c9afe23279ef
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 12 16:33:15 2011 +0100

    docs: Mention GnuPG branch 1.x and its reasoning in man page

commit 484f8019f5a0ef222d5c52fe852069079c029cf6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Wed Jan 12 16:23:45 2011 +0100

    Revert "sdelay: reduce function to just one line" due to supposed Bashism.
    
    This reverts commit f03de62e7d52017bf44cef35f176e5ab4f28ce92.

commit f03de62e7d52017bf44cef35f176e5ab4f28ce92
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jan 12 00:32:35 2011 +0100

    sdelay: reduce function to just one line

commit 25b5a461ba8cea6dcbaa5e9d68600c43796b3ff7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jan 12 00:27:40 2011 +0100

    slowusb: move sleep 10 call after start_dev_mgr.
    
    If mdev -s will trigger something that involves usb-storage, sleeping
    after its startup is safer.

commit 51e0b14044fd2ba27782e2267e99fab49f7a416d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jan 12 00:12:25 2011 +0100

    slowusb: ease the code in order to reduce entropy, one place for one thing.
    
    There were several places where a mixture of sdelay and "sleep 10"
    were called without worrying too much, resulting in slower boot
    time, mainly. This commit should fix the mess and make some order
    in the slowusb saga.

commit 9458432848c5fe4e6071ffca6a2920998ca9009d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 23:42:51 2011 +0100

    docs: Add --gpg to man page

commit 0f11073887600be0c5897f562a0e86891a244bd2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 23:26:52 2011 +0100

    docmatcher: Teach variables GPG_* and BUSYBOX_APPLETS to it

commit b3bf195246d0eca90beccaaa34e21a8c67c79b09
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 23:24:04 2011 +0100

    .conf: Document GPG variable

commit 537ad948b27430dd0ea6aef66a294bac32044291
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 23:16:21 2011 +0100

    Compile gnupg as a util

commit fc1e95475a3483f8b5863d3855dc7b21ea222357
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 23:14:49 2011 +0100

    Mention cache usage on gnupg in output (consistent to busybox and blkid)

commit 04c37979c15ac7f37aa2452e7dc11af95a903494
Author: dacook <schism@subverted.org>
Date:   Mon Jan 10 09:24:10 2011 -0700

    Remove bashism
    
    Get rid of bash-ish "==" equivalence test in checking if the LUKS_KEY ends in
    .gpg.  Use strict Bourne-compliant '=' instead.

commit 535f2950bfcd15608702055438d3f1b8c2f60478
Author: dacook <schism@subverted.org>
Date:   Thu Dec 17 09:00:14 2009 -0700

    GPG command-line handling
    
    Allow user to specify '--gpg' as an argument to genkernel and trigger the
    inclusion of PGP-armored LUKS key support.

commit f78d61d8b35e6438bace812a19e4dea423023793
Author: dacook <schism@subverted.org>
Date:   Thu Dec 17 08:59:33 2009 -0700

    GPG runtime
    
    Actual boot-time handling of PGP-armored keys

commit 1d706752f1cfd47c624370a239b64f7143134647
Author: dacook <schism@subverted.org>
Date:   Thu Dec 17 08:58:32 2009 -0700

    GPG initramfs append
    
    Add function/handling to actually add the GPG binary to the initramfs

commit 8dc02807c36c3dec5caa682663f1afe8537d4385
Author: dacook <schism@subverted.org>
Date:   Thu Dec 17 08:57:11 2009 -0700

    GPG compile
    
    Configure and compile GPG binary for initrd use

commit 1f71a13b5bf9a8aed496329e40c17467824ea8b6
Author: dacook <schism@subverted.org>
Date:   Thu Dec 17 08:56:17 2009 -0700

    GPG bincache
    
    Add handling for a cached GPG binary

commit a56515855bccf067ad2c11cad94aac8bc95e3738
Author: dacook <schism@subverted.org>
Date:   Thu Dec 17 08:53:08 2009 -0700

    GPG source
    
    Add source tarball handling for GPG support.

commit fcdece1b0e232b02bcfdfab884b64d4e1ad1cfd3
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 17:40:17 2011 +0100

    Check return codes of cpio (lessen from bug #246370)

commit 07a6dc2df8d4f1303d04912d7e25159886c4f59d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 17:23:57 2011 +0100

    Mention cache usage on blkid in output (consistent to busybox)

commit 398daeb3b375b539d0ec37f90a0b32728fa48653
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 17:18:58 2011 +0100

    Catch errors from append_* (lesson from bug #246370)

commit dd18912193862212586ad73141f61829f70dbf3e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 16:17:55 2011 +0100

    Use LDFLAGS= instead of --with-ldopts on ./configure of e2fsprogs.  Version 1.41.14 of e2fsprogs itself requests that update.

commit 4025ca4ce66b5967d02cb38f52544932f633f0fa
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 16:05:11 2011 +0100

    Clear blkid-*.bz2 from cache, too (regression)

commit b4f310213ef80357880ba63a93b85922d7b07a44
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 15:41:43 2011 +0100

    Create /bin/vg* symlinks when called as /linuxrc, too (bug #307855)

commit e590a493ead9a21e356215b5394172717b0f615d
Author: devsk <funtoos@yahoo.com>
Date:   Tue Jan 11 13:20:40 2011 +0100

    Pick first device when several devices are matching real_root (bug #303531)

commit 5a7012ced6547dea49fe2bf9b42aceea9e6abbda
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Tue Jan 11 12:18:05 2011 +0100

    Fix warning "rm: cannot remove `/var/cache/genkernel/src': Is a directory" (bug #347213)

commit 8b7a16e07a6836fdc3c36eebbc2383a21d1ed3b2
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 9 19:10:47 2011 +0100

    Break search loop asap

commit 0e37a5fba1c30ed779d4c6723841844c3f87c34d
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 9 19:26:00 2011 +0100

    Allow configuring the list of busybox applets (bug #326593)

commit 1f8fff327812155b4dd5d49a194289290a14d24c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Jan 9 19:11:12 2011 +0100

    Fix mis-indentation

commit 5f136adc14e52f729a6d06ef7cb660d33d5038c9
Author: Fabio Erculiani <lxnay@gentoo.org>
Date:   Fri Jan 7 04:35:25 2011 +0100

    No longer have directory /sys/bus/usb/drivers/usb-storage/module set FORCE_slowusb

commit 532dd7a3871e389351d115fb19db73532bb6dd5b
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 7 03:45:39 2011 +0100

    Review and fix some -eq and -ne conditionals
    
    This fixes "sh: bad number" with busybox 1.18.1 during activation of mdev.

commit 0e1fd6c173ca059320aac2e5a215f5d629e453e5
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Jan 7 03:20:25 2011 +0100

    genkernel.conf: Allow overriding GK_SHARE from the environment to ease up testing out of the Git workdir

commit 79cec1d382771dc707759b8a78c7fb0d4eb5a1a4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sat Dec 25 01:49:33 2010 +0100

    docs: Mention "git push --tags", add command to copy to the mirror

commit 31c0a4cd3e7513f18713895096f93cedd687085c
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Dec 24 23:17:29 2010 +0100

    docs: Mention bugs with keyword "InSVN"

commit c451022b9ec7364fd5b7725f2d6e33b1e602fab0
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Dec 24 23:13:43 2010 +0100

    docs: Fix tag message ("v" prefix was missing)

commit 9cad6b63e5f89067cf72cedc76f639abd8a9b40f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Fri Dec 24 22:54:22 2010 +0100

    Implement "make dist" based on git ls-files

commit 73144cb6c0707b3f99620e90f5c6e7eba91d3e26
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 11:05:59 2010 +0100

    Bump version to 3.4.10.908

commit 8adf0a5c113dc1dd89beaf4bcd815f806f3ba18e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 11:07:52 2010 +0100

    Insert blank line after "Gentoo Linux Genkernel ${GK_V}" in usage

commit b58c582edc208968153627b6e7087e0d7be7031a
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 11:02:10 2010 +0100

    Extend ChangeLog

commit 6435a3608f7141447c1ea3b68c88baaf54408f99
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 10:39:16 2010 +0100

    docmatcher: Ignore --help and --version

commit 10a86ee72bbebec616a8a2f82ac2d31b2885d785
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 10:33:21 2010 +0100

    docs: Document --genzimage

commit a6f85363f5709e539dc39ed10157a26f2c189cb4
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 10:20:50 2010 +0100

    Fix a reference to --nomenuconfig into --no-menuconfig

commit 56e84886c6c369ba1a3fdc9fcf3751312e7c1c54
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 10:16:59 2010 +0100

    docs: Update man page from output of --help

commit f7b9189d2aa21ca587caba099409b7f90c311895
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 09:33:12 2010 +0100

    docs: Document keymap= and dokeymap (bug #346017)

commit 1e5205fe234fbb7c248cb94db416104ec3a2bb49
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 09:12:56 2010 +0100

    Document changes that are relevant to the user in ChangeLog

commit 715fc23720bcbe0a84c7da2eb0ae75221da2cd93
Merge: 295b501 5e4b356
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 08:58:17 2010 +0100

    Merge branch 'docfix'

commit 5e4b3561741f1db7b99eba8eedc7bdde4a053218
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 08:53:28 2010 +0100

    docmatcher: Read from man page input (doc/genkernel.8.txt) instead of output (genkernel.8)

commit 295b5017e289ef102276c3ce151f31f6ce8ee66d
Merge: 55b0c75 d0f88d6
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 08:44:50 2010 +0100

    Merge branch 'master' into docfix

commit d0f88d6605629b28092b3bf67e8f68f7ee7ced9d
Merge: 19cfe3c d592f06
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 13 08:38:59 2010 +0100

    Merge branch 'asciidoc-manpage'

commit d592f0602ab9b3e04537bb32565019570d4a2733
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 6 15:13:00 2010 +0100

    .conf: Document LUKS variable (bug #346015)

commit 6f324dccb28cafaebc66f5145650b1fe0d603188
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 6 14:39:26 2010 +0100

    docs: Mention both "initramfs" and "ramdisk" as available actions

commit 4c1d7997f82bf9800cc3c0a055b3a63aded74d8e
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 6 13:21:54 2010 +0100

    Migrate man page to asciidoc, add Makefile, add .gitignore

commit 19cfe3c42ff47fafd9853b8aad23e166da862a0f
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 6 08:49:58 2010 +0100

    man page: Propagate rename of --no-initrdmodules to --no-ramdisk-modules

commit 55b0c75a0dc70a1dee2e9d651b1ae05f2d0a0c43
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 6 08:43:27 2010 +0100

    docmatcher: Re-order output to have issues on incorrect information (due removals and updates) come last

commit 347abb9234c8bd3bb7d3ddf59660eed15329b9bd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 6 08:36:40 2010 +0100

    docmatcher: Also extract variables

commit e3a80a903523f55692896f09d6b495ec3b0054cd
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Dec 6 06:34:41 2010 +0100

    Add exception for --no-ramdisk-modules: no longer assume existence of --ramdisk-modules

commit ba60e91227318dc988bfee683354459289f99821
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun Dec 5 14:55:28 2010 +0100

    Add initial code for doc matching script

commit e9768b0b2b025da6bafe7a667f791dcdf4a11656
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Mon Nov 29 10:26:58 2010 +0100

    Add patch allowing compilation of busybox 1.7.4 with make 3.82 (bug #341943)

commit f3e0797d42ff2e0a9066a6364b1e063da9679651
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Feb 19 20:20:16 2010 -0600

    Apply patches from Gentoo bug #268468

commit f6c50d59a93049abd8e1bb880639ff27abc6b5ae
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Jan 18 20:05:59 2010 -0600

    Only call set_bootloader is CMD_NOINSTALL is not set for Gentoo bug #301454

commit 1f46e1ac42336d9077e2e1938c586aa75e685b5b
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 27 10:20:30 2009 -0600

    Add USB HID modules to modules_load and default kernel-config (for Gentoo bug #270983)

commit 8abedd8d8123f5ec64d13c5c13cd3a471af9bd4f
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 26 18:37:06 2009 -0600

    Enable ext4 by default everywhere (for Gentoo bug #268818)

commit 24446b0465f54c7b0250fadeae7bcfbcfcaea636
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 26 18:30:32 2009 -0600

    Add support for isoboot= option (for Gentoo bug #294268)

commit 62f353b65be33b49380900d3cddf150e403cc455
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 26 17:36:11 2009 -0600

    Properly apply NFS mount options for Gentoo bug #262915

commit 734543ef905a1596c24fc41f06cf1a8d3ff6aef0
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 26 17:01:04 2009 -0600

    Enable CONFIG_SCSI_MULTI_LUN option for Gentoo bug #261122

commit 0302b4c9e4d8a6a9c2af8a634dffdce75c095566
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 26 16:26:21 2009 -0600

    Apply patch to make sure loop cache directory exists for Gentoo bug #297814

commit fb256190bb3215ac2bcfa37d18c7df122badec81
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Thu Dec 17 04:30:46 2009 +0000

    Document how to roll a release for the next time.

commit 6d91bd673f4e0fb2dc365595a884ed137076ad2d
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Thu Dec 17 04:21:37 2009 +0000

    Tag 3.4.10.907 release.

commit 4cf28c9ab3db1c864b0e4a0d68a4ec186234deb4
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Thu Dec 17 04:20:52 2009 +0000

    Try to avoid echangelog mucking up the dates on the copyright. Gentoo copyright SHOULD end in 2008 for.

commit 8dcecef0580970982ea5aa7d404dbfb443231dfd
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 6 09:41:30 2009 -0600

    use a symlink instead of a hardlink for busybox utils (for Gentoo bug #246370)

commit 2e4e55a6e5cc8347be8d5f74bdca2760307a3b30
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Nov 23 07:02:25 2009 -0600

    Fix typo for Gentoo bug #294138

commit 8b8cbb1978e2395922af08f6f1cd2d5181d9164c
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Nov 15 20:36:02 2009 -0600

    Make sure to change back to existant directory before removing the current directory for Gentoo bug #291794

commit 8baa93a5963d0afd09afa70d4ff3609395e0c3ae
Merge: 5fecd50 17ec7b1
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Thu Nov 12 23:07:12 2009 +0000

    Merge branch 'iscsi'

commit 17ec7b173d68e8a6185e30ae580370091754f70b
Author: Robin H. Johnson <robbat2@orbis-terrarum.net>
Date:   Wed Nov 11 23:25:41 2009 -0800

    space for ISCSI in the config.

commit 5fecd500514a1c0334c8d42894db2d65ea53d012
Author: Robin H. Johnson <robbat2@orbis-terrarum.net>
Date:   Wed Nov 11 23:23:13 2009 -0800

    /etc/scsi_id.config does not exist by default in newer udev, but is still respected by utils if created, so do not error.

commit b05877d05278dced1cfa89577e35739ebe265cc9
Author: Robin H. Johnson <robbat2@orbis-terrarum.net>
Date:   Wed Nov 11 23:23:13 2009 -0800

    /etc/scsi_id.config does not exist by default in newer udev, but is still respected by utils if created, so do not error.

commit 88ac383f611d671e734f69c00f052e02725314ec
Author: craig <craig@haquarter.de>
Date:   Thu Oct 15 23:23:09 2009 +0200

    Let iSCSId settle after iscsistart

commit ae895e8ad8b7aa72ea47677a554409250dd44656
Author: craig <craig@haquarter.de>
Date:   Sat Oct 3 15:44:28 2009 +0200

    Build iSCSI as module from the kernel, userspace from open-iscsi

commit 97b4dc26e266100b4eba319712188e488712783e
Author: craig <craig@haquarter.de>
Date:   Sat Oct 3 13:23:24 2009 +0200

    Improve naming of bootflags, added support for: port, target portal, username, password, username_in, password_in, debug

commit 19e377b12abd7df0879a041641dbb4e1119e8e6f
Author: craig <craig@haquarter.de>
Date:   Fri Oct 2 01:37:49 2009 +0200

    simple bugfix for parsing cmdline

commit e2230cdd8f23e57ae32fe1580a2e84edf38fcc98
Author: craig <craig@haquarter.de>
Date:   Fri Oct 2 00:50:21 2009 +0200

    typo after merging patch with current genkernel

commit 18d9c84402485112cd82482fe9b41e171e4140c0
Merge: 5019ff5 cf1570f
Author: craig <craig@haquarter.de>
Date:   Sat Sep 26 04:29:08 2009 +0200

    Merge branch 'master' of git://git.wolf31o2.org/projs/genkernel

commit cf1570f74262fb066d540715d582e06663fa837b
Author: tsunam <tsunam@willow.dionex.com>
Date:   Tue Sep 22 07:41:15 2009 -0700

    updating the changelog is good k

commit 98831e77bad16c4d32fae6fc1915d97c53786f24
Author: tsunam <tsunam@willow.dionex.com>
Date:   Tue Sep 22 07:36:32 2009 -0700

    fixing the libaio search as its a singular element not part of a multipart search

commit 494f9c1d7b251534d5376591ca1f320b4420fa7e
Author: tsunam <tsunam@willow.dionex.com>
Date:   Mon Sep 21 11:27:02 2009 -0700

    Should have all the proper libraries now for multipath for Gentoo bug #284592

commit 5539d255345057a79c832c3f79edcb571ff66828
Author: tsunam <tsunam@willow.dionex.com>
Date:   Mon Sep 21 11:12:08 2009 -0700

    Updating some multipath code from Gentoo bug #284589

commit 588ef85661999d2cbb7d463d20b8ba48cb37d3a4
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Sep 4 23:43:08 2009 -0500

    Apply patch from Gentoo bug #220913 for tuxonice resume

commit 1831b40cbff79b8760cfa1930c3b01d1a1b182f6
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Aug 14 09:52:18 2009 -0500

    Enable DISKLABEL=yes by default

commit 5019ff506fbcefa4f5929bf54d0a29c562177612
Merge: 92a42c7 7c642e4
Author: craig <craig@haquarter.de>
Date:   Sat Aug 8 14:41:29 2009 +0200

    Merge branch 'master' of git://git.wolf31o2.org/projs/genkernel

commit 5eb9c5cc9aa91da4a66e1aea0c4e3e0b2b3a5db0
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Wed Aug 5 08:22:53 2009 -0500

    This is genkernel 3.4.10.906

commit 7c642e4da3bd82757c043c833f0ca1cda8c17819
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Sat Jul 25 12:20:06 2009 -0700

    Adding Id header and Ident for genkernel.conf

commit 35258a703f6953dcbc31ba9c4059103fed0c8d1d
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Sat Jul 25 12:15:37 2009 -0700

    Adding Id header.

commit cfffe65cb8b1d465cf9d391cfe01f9bff3cd7f08
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Sat Jul 25 12:11:53 2009 -0700

    Adding Id header and enabling Ident on *.sh files.

commit 0989fbb7a319fd74cf74a7c77813ccd0ea09a2d6
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Sat Jul 25 12:10:20 2009 -0700

    Adding Id header.

commit dec09518e7dc2d74319a32bd3e9b4698f6a424c7
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Sat Jul 25 12:08:17 2009 -0700

    Adding additional files to .gitattributes to enable Ident.

commit 51c146dd6e710fc90f2cdb1bc996125615a3e9ce
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Sat Jul 25 01:31:24 2009 -0700

    Adding .gitattributes file.

commit 61bf391991a35c9bba806bca415c7a193f67e992
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Jul 19 17:10:59 2009 -0500

    back out previous commit

commit f3ae1fe692fed337e1765e2c76ddb12f349817c5
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Jul 19 14:47:05 2009 -0500

    Alternative solution for Gentoo bug #269603

commit a9bd822a9fcb7a9695fd489d9e9dc653e5ad7ca4
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Jul 19 14:41:45 2009 -0500

    Change command used to determine real filename for REAL_RESUME for Gentoo bug #269603

commit 0e69c5653a84f50fb83f7af870e6c08839cfb98a
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Jul 19 12:56:13 2009 -0500

    Add aic94xx to MODULES_SCSI for Gentoo bug #277792

commit 619cd978deb65efc1895ba5095c6e362fe5134d7
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Jul 12 11:36:52 2009 -0500

    enable CONFIG_SYSFS_DEPRECATED=y in x86/x86_64 kernel-config for Gentoo bug #225249

commit 229d8ef4f123e481bccdb2edcd5297d52cdfb092
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Jul 12 11:31:57 2009 -0500

    Apply patch for Gentoo bug #276753 for new lvm.static binary

commit cb89ae60949f46b240da0bf3255f7cc944eb0627
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Tue Jul 7 08:07:46 2009 -0700

    Fix the header for the ChangeLog.  Thanks, echangelog, for assuming I always want to update the Gentoo Foundation copyright dates.

commit 2afa7493e769c538df98c41594d91cfd0d5a3710
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Tue Jul 7 08:07:00 2009 -0700

    Version bumping to 3.4.10.905 for release.

commit 7a32648cf6f01eb4802de5d2568f5b56a4d558e4
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Tue Jul 7 08:04:40 2009 -0700

    My pedantic self could not help but capitalize Gentoo.  Blame Andrew.

commit e52508607b5beb6c2d4f00648f5667f67e01b2c3
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Jul 4 13:26:45 2009 -0500

    Remove code to check for host kernel LOOP support for gentoo bug #275757

commit 92a42c7ae6164341b7b0382506bd86f32160669f
Author: craig <craig@haquarter.de>
Date:   Sun Jun 28 21:51:01 2009 +0200

    Corrected spelling -> iSCSI

commit 25e7fa89be523533fa71ef786ffedb4e58c9f845
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Jun 28 14:42:36 2009 -0500

    Restore BOOTLOADER="grub" example line in genkernel.conf for gentoo bug #274768

commit bd958953e42eb099f0f5812f4433aaada9ab1ec5
Author: craig <craig@haquarter.de>
Date:   Sun Jun 28 21:06:55 2009 +0200

    Added myself :)

commit cac66e09707752906215511e69ef1141d56bd2c4
Author: craig <craig@haquarter.de>
Date:   Fri Nov 21 22:46:36 2008 +0100

    iSCSI patch for genkernel

commit 8b3093a153bbf97849f319b310c037fd84016ed0
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Tue May 12 17:53:27 2009 -0500

    Apply fix to deference links for gentoo bug #269603

commit 37fd68a640de4eb77764dda68680b3ebd4a8e324
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri May 8 21:02:21 2009 -0500

    Add dm-crypt module for gentoo bug #269042

commit e2604677a249cd7bdb565a2d43f66dac84e3d774
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Apr 23 17:14:44 2009 -0700

    ChangeLog fix.

commit 5a3b9fb0c08a100ad6d2b54b5bd3cac1ae9a0ce8
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Apr 23 17:14:13 2009 -0700

    Rolling a new genkernel 3.4.10.904 version for testing.

commit 8681516638e919c079c557073f1066085ec41295
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Thu Apr 16 20:57:03 2009 -0500

    Apply patch from gentoo bug #266373 for additional options in the netboot busy-config

commit 109770b762c15d3f4feea638d01ed31156fac83f
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Mar 6 07:44:22 2009 -0600

    Clean up append_multipath() code to copy files in a loop and report file that failed to copy

commit 81b4ff25168f7a316097cbad0808a2f245118d08
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Mar 6 07:35:18 2009 -0600

    Apply patch from robbat2 to fix whitespace breakage in multipath code

commit 1e147a36548a88b822af3b06f6d8fc3e726ffbf5
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Mar 6 07:34:02 2009 -0600

    Apply patch from robbat2 to finish wiring up multipath support

commit f446ceb0e9a4eae92cfc892746f3c0d1fc931833
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Mar 6 07:32:32 2009 -0600

    Modify append_data to die on 0 arguments and check arg 2 with isTrue(). Based on a patch from robbat2

commit 694eaf7f39e96a530f6538515333ccc15dd10cc4
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Mar 2 10:04:10 2009 -0600

    fix changelog entry

commit 6bcbbb1b45edfe845fc6af0a58a2cd1b3bbfd5c5
Author: Joshua Jackson <tsunam@tsunam.org>
Date:   Tue Feb 24 17:11:01 2009 -0800

    Die messages for multipath added

commit 08b4c4a2fc828460e278b8e378edf3ac19c973b0
Author: Joshua Jackson <tsunam@tsunam.org>
Date:   Tue Feb 24 16:31:50 2009 -0800

    adding multipath to append_data

commit 4b6c236cccbfdba65b395c8afdca5dd72c4e78e2
Author: Joshua Jackson <tsunam@tsunam.org>
Date:   Tue Feb 24 16:30:14 2009 -0800

    initram based related multipath stuff added
    believe this should be all that is needed

commit 2804406fdf112027a5c8fca3260b741c59bff79f
Author: Joshua Jackson <tsunam@tsunam.org>
Date:   Tue Feb 24 16:02:43 2009 -0800

    more multipath basics

commit b0e53a5283796fc5252e342b28d4daf537672b2f
Merge: 85f9e6c ce68841
Author: Joshua Jackson <tsunam@tsunam.org>
Date:   Tue Feb 24 16:00:55 2009 -0800

    Merge branch 'master' of git+ssh://git@git.wolf31o2.org/var/gitroot/projs/genkernel

commit 85f9e6c4619f1fb034d7391a6705e7b749e37a90
Author: tsunam <tsunam@chinchilla.dionex.com>
Date:   Tue Feb 24 15:57:24 2009 -0800

    multipath additions

commit ce6884163558778a826878ab276b7d03661577be
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Feb 23 14:33:21 2009 -0600

    remove allow_root

commit b08a3148d3a020df78fc34d17925ebe426fbbf09
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Feb 23 13:33:38 2009 -0600

    add a few more mount options to try to help livecd

commit 3fd9ecdd35c6c6d448599c779e009dfb8208485c
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Feb 23 13:32:03 2009 -0600

    add a few more mount options to try to help livecd

commit 01c51230c36cc226e9bd38a7e986144070fa7d45
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Thu Feb 19 21:41:10 2009 -0600

    Add support for multiple possible kernel binary paths for gentoo bug #255085

commit d9aed5a321e585b548aa90b4064aaffaed2ec7c3
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Wed Feb 4 07:31:45 2009 -0600

    Comment out the exec line for console=*, since it seems to blow up when the param isn't a true device node, such as ttyS0,115200n8

commit 040aa6f9bf174b46fae6539c93f7e92ee1fcfa13
Merge: d48dc40 48fa330
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Jan 19 15:46:35 2009 -0600

    Remove detect_sbp2_devices() for gentoo bug #239474

commit d48dc40bd29a8fcf2348662845f7860e15c4e666
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Jan 19 15:45:03 2009 -0600

    Remove detect_sbp2_devices() for gentoo bug #239474

commit 48fa3303b55734ff3f3f673c69812d10994616a3
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Jan 19 15:45:03 2009 -0600

    Remove detect_sbp2_devices() for gentoo bug #255558

commit 6226fe0ff8e01a403fdeb1c2b5ac402829929458
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Thu Jan 15 21:03:11 2009 -0600

    Add commented out DISKLABEL=yes option for gentoo bug #229847

commit 3867aed310096d5b4709e22e291a4e7eb75419ec
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 16:23:37 2009 -0800

    Fixing a typo in the AUTHORS file and fixing the Copyright date in the ChangeLog.

commit d55c0fe999f9b3219c3b7569756d4940fa05aa58
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 15:46:10 2009 -0800

    Added more verbosity to the auto-detection section.

commit 6dadeeebf23fecd210a3783665d9779b550c8f43
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 10:16:00 2009 -0800

    Yet another ChangeLog fix.  I need to figure out what I did to my ChangeLog script to break this, since it only breaks under certain conditions.

commit b25b67a8f79f5f53de6da0d99329d051e428e47a
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 10:14:48 2009 -0800

    Updated the AUTHORS section and the header for the ChangeLog, to reflect that individual authors now retain their copyright to code they submit.

commit d213dfad4ab40ab9c800d40fbee1bbf25653137d
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 10:09:08 2009 -0800

    Added a note about Security Tokens, cleaned up the block device section, and added a section about autodetection.

commit fd5a59c81011ce8abf276fc5ba68457d773c7d10
Author: tsunam <tsunam@chinchilla.dionex.com>
Date:   Thu Jan 8 09:47:40 2009 -0800

    added info about what I'm going to work on to TODO list

commit 8b79a185c6cdb33f4732277167209f77878b03fc
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 09:44:43 2009 -0800

    ChangeLog fix.

commit 66447312dfb0eec31d77cf0dc9715108192db84f
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 09:43:16 2009 -0800

    Adding a note about contacting me to HACKING.

commit dbe8c965fcff10692f298568dbf47b4bb4cd3111
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 09:40:58 2009 -0800

    Adding multipath support is really two different functions, so split them.

commit e57440d49abc26658c4e0cb43d66b01980ca1ebf
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 09:37:44 2009 -0800

    Adding a note about documenting the code paths.

commit 2ac5070d1cc8ef67dd300134c45d7549df7a20cd
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Thu Jan 8 09:34:48 2009 -0800

    Adding new boot support information to the TODO.

commit 0799ad480af7d50c0b33429363cf0d827b51d65d
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Mon Jan 5 14:16:09 2009 -0800

    Version bump to 3.4.10.903 to resolve bug #250330.

commit 0ba1e9ee0c064f5db18b7103b792edb79fee4551
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Wed Dec 31 10:49:44 2008 -0600

    Add case for arm* in get_official_arch()

commit aa0eb23e870b2b4ff1735a67f54cdaefd218c59a
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Wed Dec 31 07:19:35 2008 -0600

    Enable CONFIG_MKSWAP for netboot busybox

commit b61ee1c07ffa7e4a45ea957640f4313e3038ab28
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Dec 26 15:26:58 2008 -0600

    Modify grep regex to account for additional suffixes on old kernel names

commit bee96914eb9061bc2a20e2b949775c7633c7bdf9
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Wed Dec 24 12:47:55 2008 -0600

    Add --busybox-config= commandline option

commit 8a5f66f65a6414fcf0077aa4ecf60f1a8050dd0b
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Wed Dec 24 10:19:12 2008 -0600

    Revert to just running /bin/bash on /dev/console for serial. We still start getty on tty2-6

commit 2032fa25bfc3e5cf785729aa2ac10f62a7361a74
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Tue Dec 23 07:22:30 2008 -0600

    Allow old 'initramfs' option instead of 'ramdisk' for compatability

commit 5f9a6b2749afac63015bf83a5b466a264db729e9
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Wed Dec 17 09:24:14 2008 -0600

    Remove the use of 'env -i' when calling switch_root due to gentoo bug #248688

commit ea9828ab17438995df729d59b778dbdce9e7a7ee
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Tue Dec 16 13:09:56 2008 -0600

    Run the getty commands with proper arguments so they don't die immediately

commit 2c6ad1268ebde55afa52b7c028b759f0a40502f6
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Tue Dec 16 12:43:06 2008 -0600

    Explicitly set /bin/ashlogin +x during boot

commit 0750197e450ea6058c8c882d048df6cbf81c2c66
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Tue Dec 16 12:34:20 2008 -0600

    Run getty for tty1 in the foreground

commit a66f35da76fb7948bcf2a23fceed19cabb6b4675
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Tue Dec 16 12:26:12 2008 -0600

    Use getty to launch ash, so that we can use ^C and friends

commit 69aed59272773c4951c0665ab0bff554a04e0b1f
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Tue Dec 16 10:15:32 2008 -0800

    Adding a BUGS file, where we can list bugs that we have found in genkernel that need to be resolved.

commit 3c53bb79e62e6e499c27d4d7bf72301eaef551e5
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Tue Dec 16 10:13:01 2008 -0800

    Adding a HACKING file, which I will use to document the various phases of genkernel so we can split up the default functions and also so we can provide hooks into the various phases for external addons.

commit 20f2b57e95bb37f9c72701cb61734fe0bf654980
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Tue Dec 16 10:08:05 2008 -0800

    Actually setting permissions.  It helps if one remembers to 'git add' before doing their commit.

commit 46ccc9ba2855d74a1b67f6bea3fc68ef89f1a5e6
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Dec 15 20:54:31 2008 -0600

    Enable GETTY for netboot busy-config

commit 57d32fcf135d6aee5ad9eaf411000ce4c3a48906
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Dec 15 20:43:07 2008 -0600

    We don't need to add - to UTILS_CROSS_COMPILE since it's already there

commit 96518cfede78cc7d9c6d0c00ab20f4801de6bf9e
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Dec 15 20:31:51 2008 -0600

    Separate out main and netboot busy-config

commit 575c898ef7ba2b5945b409e8f22bd2f699f25068
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Dec 15 13:51:00 2008 -0600

    Use : as a regex separator instead of / since REAL_ROOT will have / in it

commit 152d259700252714da2474544e27475e7b490172
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Dec 15 10:02:51 2008 -0600

    Add check for existing grub.conf entry for kernel

commit 25fad8fd10fc2dfadbfec3bfe22eb22e8881efd1
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Dec 15 07:42:32 2008 -0600

    Default to '0' if 'default' line not found at all in existing grub.conf

commit a86ba695a91b38da5b952434ac5db2d4dd15625f
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 14 19:51:01 2008 -0600

    Adding code that duplicates default grub.conf entry to replace old awk script. Based on code written by Mike Auty <ikelos@gentoo.org>

commit 8dcac4a20de28f69ec93494cf026845bc4de0add
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 14 19:18:33 2008 -0600

    Initial commit for re-adding support for --bootloader=grub

commit 3a4667a3d09712ab7e523981db16716600905a2e
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 14 15:37:33 2008 -0600

    Change -f checks to -e for /dev nodes
    Check that dropbear exists before starting it

commit 277afc2d0aeaf58034f3cbd1369eb8d2e40ccf71
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 14 15:05:07 2008 -0600

    Explicitly set UTILS_{CC,LD,AS} if UTILS_CROSS_COMPILE is set

commit e0574e0e2bc1b02f7b3e9513ad90edb1a6c8db31
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 14 11:12:41 2008 -0600

    Typo fix for gentoo bug #250875

commit edd58ab59f8e22969cdd71a8c90290e9e34b68b6
Author: Chris Gianelloni <wolf31o2@wolf31o2.org>
Date:   Sat Dec 13 19:31:42 2008 -0800

    Setting executable bit properly on shell scripts and configuration files.

commit 09d69916c768da36ac9f7e3ba31981f754010304
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Sat Dec 13 18:14:21 2008 -0800

    Setting executable bit properly on shell scripts and configuration files.

commit 001c5d1bee155c066e981ebf2d28012a32cd66fc
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 13 16:13:36 2008 -0600

    Create /sbin directory in append_luks for bug #250330

commit a0e576e3a77551e7a95fc5b6444cc05b2b9b5ae2
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 13 15:29:33 2008 -0600

    missing }

commit e31323a58ea4e05fb48b468582ef6970813aeede
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 13 15:27:07 2008 -0600

    missing quote

commit eba56236348fc4eab52468cdd90764f0bef10eac
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 13 14:44:05 2008 -0600

    Disable creation of most standard devices nodes, since we're running mdev

commit 8bc0328be83a557f02139df8479ba2b4fc1297bd
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 13 14:36:16 2008 -0600

    Move udhcpc's script to default location

commit 0b809335082d4d96b3fd9c92aaa118d69413c6ab
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 13 14:25:35 2008 -0600

    Enable support klogd and syslogd for netboot

commit 462e35fe870fdd37951c78df2b22385107585302
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 13 14:15:24 2008 -0600

    Add --real-root=<foo> parameter to specify a default for real_root= in the initramfs for gentoo bug #249783

commit 570cd9297995ae7c98067ca51adf0c74d889d65a
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Dec 12 13:25:04 2008 -0600

    Switch search order so arch-specific is first for busy-config
    Remove unneeded identical busy-config files

commit 12a5f5ea22161cd92426347ec683b7403dcc0194
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Dec 12 13:21:28 2008 -0600

    Remove BUSYBOX_CONFIG from genkernel.conf
    Add search order for busy-config: user-specified, defaults/busy-config, arch/%%ARCH%%/busy-config

commit 6bddecbf1219df1a52237eb770c8868a6292a4fa
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Dec 12 13:10:32 2008 -0600

    Remove old nb-busybox.cf files that aren't used anymore

commit 810b9ba1734caf4ca37993824db040c644a47af1
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Dec 12 12:58:20 2008 -0600

    Add support for arm from armin76

commit b6a7f1d85385d85cd3d75ca8b67c4a93af9e64f5
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Dec 12 12:35:44 2008 -0600

    Enable CONFIG_MAKEDEVS in busy-config for netboot

commit 899fe9895c5537ea7e0da9c9c47e0daf0ec79375
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Dec 8 22:44:11 2008 -0600

    s/aux/luks/ for gentoo bug #250330

commit 40efdee49c6ea28cebeae872556f531f24480978
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sun Dec 7 14:55:23 2008 -0600

    Enable CONFIG_FEATURE_PREFER_APPLETS busybox option
    export PATH at top of netboot linuxrc

commit f82aebc40c911bd43870172fe8b9e2e9a53309b3
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 6 22:01:10 2008 -0600

    Move all netboot logic from catalyst into gk

commit 4387993d2d253d94fe8846a12cee64fee292c473
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 6 21:35:17 2008 -0600

    remove netboot-specific udhcpc.scripts

commit d781413d5a7c8fe2d48d4687a7ea62ca2135c2ea
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Dec 6 21:34:29 2008 -0600

    Initial support for --netboot option
    integrate functionality from netboot udhcpc.scripts into default one

commit cad80a20626f0ca1eede9ad3f06131842cd28911
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Thu Dec 4 09:14:25 2008 -0800

    Forgot to add genkernel.

commit 743a8376cb7eb9464b410ad435ca29efdfa9886f
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Thu Dec 4 09:13:53 2008 -0800

    Bumping version for release.

commit de93b4bb8d7cfd8fac297014f5d54eb7416b2a4e
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Tue Nov 25 12:39:25 2008 -0600

    Use symlinks for busybox utils
    Use full path to mount since it gets grumpy without it in later bb versions for some reason

commit 967899176d53e797adb17b1b3dc8c7575b4bba8b
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Mon Nov 17 10:25:04 2008 -0600

    Break apart cryptsetup stuff into separate append_luks() and make append_auxillary() dependent on ${BUSYBOX} for gentoo bug #247052

commit a4d6260dd0303492c5884e1128b313f51020b68e
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Nov 15 10:04:29 2008 -0600

    Applied patch for UUID support for real_resume= from gentoo bug #239687

commit 8de731164496d09384d8be81a3f22316230deb65
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Sat Nov 15 10:00:04 2008 -0600

    Added modified version of patch from gentoo bug #238707

commit 8fab72fa21fa4150f4692ccdd8b42f596a82f211
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 14:59:13 2008 -0600

    Only append unionfs_fuse stuff if UNIONFS is set

commit d07862bb8e1344f3da6aff6bc3c1ebdb0f6a08fc
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 14:50:57 2008 -0600

    Add --unionfs commandline option to enable building of unionfs-fuse
    Add nounionfs boot option

commit bbbfa2b4dee0533f21cebe9641c6d5ea28f608e9
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 14:12:26 2008 -0600

    Add good_msg for creating the union mount

commit 74af3caa68abc65cfea4a5225c9bdb0bf29fef19
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 14:00:20 2008 -0600

    Pipe stderr for unionfs mount call to /dev/null to supress getcwd message

commit 41f44b1d4229b6781ccb2af16e35eb8bbc26d901
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 13:58:33 2008 -0600

    Call switch_root with full path

commit fa9cbeeda84c645aac2a71f98796c411f378eced
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 12:19:05 2008 -0600

    Call switch_root with 'env -i' to clean out the kernel-defined key/value pairs

commit 48b282a85d9730075c0c6aa86cb5a5efb802cce1
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 11:56:31 2008 -0600

    Skip good_root check for /dev/nfs for gentoo bug #246759

commit 890382b8e06374979dbeb0e45541ac315237d551
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Fri Nov 14 10:14:23 2008 -0600

    Simplify implementation of parse_opt in linuxrc

commit abf5986e2ba1c4cdddb07a5b21c770ba9a082544
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Thu Nov 13 21:46:12 2008 -0600

    Small cleanups in unionfs code

commit fd24098f082c1b41d8109a3de595bb141337f392
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Thu Nov 13 21:27:00 2008 -0600

    Add fuse to MODULES_FS
    Remove direct calls to compile_fuse() and append_fuse()
    Disable bincache for fuse, since we don't need any files at runtime from it

commit 77e70344d39f4058a390047054ba48f7d2106f98
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Thu Nov 13 21:13:43 2008 -0600

    Replace debug patch with simple patch to add trivial support for -i option to mount/umount

commit 469be61e0c60bcf587cb85ee363e6d629b007961
Author: Andrew Gaffney <agaffney@gentoo.org>
Date:   Thu Nov 13 17:12:12 2008 -0600

    Add suid,dev to unionfs mount opts

commit 692db1a447cf167ffc83653e663d2e95e4c5e2b7
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 16:27:05 2008 -0600

    Remove allow_root mount opt, since it conflicts with allow_other

commit 9f076e1e68e1ef153eadef297a5e632f84e2fd9c
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 16:15:24 2008 -0600

    Change typo in unionfs-fuse mount opt and add -i support to umount

commit 7bb2b54414fea796e408a311bb2d7df0ed87ab79
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 15:55:55 2008 -0600

    Enable CONFIG_FEATURE_MTAB_SUPPORT option for busybox

commit 10d51999a041aa7c19596082cc54f72385564820
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 15:37:58 2008 -0600

    remove old 'mount -i' patch

commit e9bc13a870ca45c183d45fa9a8c54c10d19c1308
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 15:31:22 2008 -0600

    more debugging code

commit ad8899cd8f5190b90c4c77abf58897fdfaad927b
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 14:59:40 2008 -0600

    debugging patch for busybox

commit bfa0dbb585b20996e51402b712984f42d35e123a
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 12:13:25 2008 -0600

    Add patch for busybox to add -i option to mount command

commit ec05525959fda6949bdcb6c600db41573ede378c
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 11:08:37 2008 -0600

    change lib order

commit e4f3b17b3afa6af5719c633ea7982de81996eebe
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 11:03:03 2008 -0600

    Compile unionfs-fuse statically

commit b116df3c9874f875933aee8a1e086b2b02ce46e3
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Nov 13 10:29:59 2008 -0600

    Make sure that /sbin/unionfs is +x

commit 4123ac396c09f8ac535545facde5ee3521c95045
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 22:30:17 2008 -0600

    Correct unionfs-fuse bincache path and clean up debugging code

commit 4e38e4d39b988097e5322350d1f007984b101de3
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 22:25:22 2008 -0600

    Add -L line into LIB= in Makefile

commit ae13781bcf4171179c6cd5e1112d1d79dcd0c076
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 22:10:16 2008 -0600

    another try at compiling unionfs-fuse

commit 4d1f7d0c6548a4916b7d7efca1e8156a820581d0
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 22:01:38 2008 -0600

    add bash invocation before compiling unionfs-fuse in order to poke around

commit 93b29a9a08862ac837bbead958dfa9651eb68eae
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 18:41:58 2008 -0600

    debug

commit 05ab15750d99573d01b06f2497884864d0f0254e
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 18:34:56 2008 -0600

    sed Makefile instead of setting in env

commit 599161253221540156fc8c1e34c0754b98d5a826
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 18:28:42 2008 -0600

    Unpack fuse source and modify CFLAGS for unionfs-fuse

commit f29142639e1aa5a2d116ce1a8c8f054d644f5064
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 17:25:39 2008 -0600

    Unpack unionfs-fuse with -j

commit 5ae8f8faea5747933e6fe24e03d9096f7ea92438
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 16:53:16 2008 -0600

    Call arch_replace and cache_replace on fuse/unionfs-fuse vars

commit 8cd74b62f2388d37184fe9656af083f9fa901107
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 16:43:07 2008 -0600

    Add fuse/unionfs-fuse blocks to genkernel.conf

commit 66d51360d06091b62de2cc75036074bceb38c545
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 16:37:13 2008 -0600

    Actually call compile_fuse() and compile_unionfs_fuse()

commit 7b9ba94669b10aee91cffe7ef1112050bb39df1a
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 16:16:21 2008 -0600

    Add back (modified) unionfs code in linuxrc

commit 28a88bc9538021a46c968c78fb59c776be132df8
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 15:05:35 2008 -0600

    Add append_fuse() and append_unionfs_fuse() functions

commit c8fd57e3e13fc74a68aba057b7045b7e26b9b617
Author: agaffney <agaffney@kagome.(none)>
Date:   Wed Nov 12 14:55:26 2008 -0600

    Add compile_fuse() and compile_unionfs_fuse()

commit ac69bec0715315cf0e9af4f1ee904750a713c18a
Author: agaffney <agaffney@kagome.(none)>
Date:   Mon Nov 3 20:22:34 2008 -0600

    Enabling CONFIG_WGET and CONFIG_FEATURE_TAR_BZIP2 for initial support of gentoo bug 211976

commit 709fade02d43e1a1c2840ed5538c3c2348e09e08
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Thu Oct 30 23:40:25 2008 -0700

    Tagging a 3.4.10.901 release, for testing.  Adding periods to ChangeLog to fix syntax hilighting.

commit 9d4efd55e40de327a26f3ed80d2196f63bd38ce2
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Mon Sep 15 07:12:53 2008 -0700

    Adding Andrew and Robin to AUTHORS.

commit 660069a7bbf6fbd5ed7c005f9b8e3c9f42cfa131
Author: agaffney <agaffney@kagome.(none)>
Date:   Sun Sep 14 22:07:09 2008 -0500

    Add dummy handler for --config in gen_cmdline.sh for bug 237541

commit d283e55be3f74f297496071df24e1465520d105b
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Fri Sep 12 09:55:19 2008 -0700

    Removing scsi_wait_scan from PATA/SATA/SCSI and moving it to its own module group.  This allows the module to be loaded last, no matter what combination of disks are in the system, allowing for firmware and such to be loaded before genkernel continues, even when asynchronous SCSI scanning is enabled in the kernel.

commit ab5dadb374c4a3819798133d28b92483df34986a
Merge: b965469 8b82562
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Aug 31 11:29:31 2008 -0700

    Merge branch 'master' of git+ssh://git@git.wolf31o2.org/projs/genkernel

commit b96546958fc9c46c094a16fdb69fe635a33629f6
Author: Robin H. Johnson <robbat2@gentoo.org>
Date:   Sun Aug 31 11:29:27 2008 -0700

    Add a single word to help clarify which /dev is broken, after I wasted a day debugging my new box.

commit 8b82562975a5a6194080d2a3318ed8a0aacbcef6
Author: agaffney <agaffney@kagome.(none)>
Date:   Sun Aug 31 00:30:24 2008 -0500

    Enable CONFIG_ROUTE in busy-configs

commit 0aa81c3f8e311869563906fd804ec44488e8c3ff
Author: agaffney <agaffney@kagome.(none)>
Date:   Fri Aug 29 07:16:55 2008 -0500

    Enable CONFIG_HOSTNAME in all busy-configs
    Call 'hostname' with value from DHCP

commit db003a6d50a619ecbbffae027138feb4ce99dd6b
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Aug 28 07:33:34 2008 -0500

    Disabled CONFIG_DEBUG_INFO in x86{,_64} kconfigs

commit 32a427af88d18c0c550d35a6a574357236ac586d
Author: agaffney <agaffney@kagome.(none)>
Date:   Sun Aug 24 22:48:47 2008 -0500

    Add README to busybox patches dir

commit 3f7b2e8eea0af5b1cb14d56dbd2a4baa11e75a02
Author: agaffney <agaffney@kagome.(none)>
Date:   Sun Aug 24 22:42:25 2008 -0500

    Only apply files from patch dir ending in diff/patch

commit 64660f969f01e61a1e9ba69270f2b9f16a76b1e6
Author: agaffney <agaffney@kagome.(none)>
Date:   Sun Aug 24 01:52:55 2008 -0500

    Fix CONSOLE= handling code for bug 232012

commit 0a98792990848be0052abcd565d4230f6e1b502d
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Aug 21 17:15:08 2008 -0500

    Remove unneeded files for broken grub code

commit 6e47f147d85bd0d95ad76912e508e56de4dabc7b
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Aug 21 17:14:32 2008 -0500

    Remove broken grub code

commit ea695cec2460bacd2b42854e9763ead5304afadc
Author: agaffney <agaffney@kagome.(none)>
Date:   Thu Aug 7 16:00:50 2008 -0500

    Only append splash portion to initramfs if SPLASH is set

commit 87e5760f7d672a32d1466960b049c35979fdb8b5
Author: agaffney <agaffney@kagome.(none)>
Date:   Tue Jul 29 07:34:53 2008 -0500

    Fix typo in man page, butt -> but

commit 2f1aaf499595a99dc3e88e5ac5eca7ce69bdc418
Author: agaffney <agaffney@kagome.(none)>
Date:   Tue Jul 29 07:31:43 2008 -0500

    Add support to udhcpc.scripts for default route and DNS servers/domain

commit d1cac89e9823891ac37130e5f2d9f6939d9efe96
Author: agaffney <agaffney@kagome.(none)>
Date:   Tue Jul 29 07:17:10 2008 -0500

    Remove check for >=2.6 for mounting sysfs

commit a8d7c7d7d07e386b3b599d404eb5e294bf03de1b
Author: agaffney <agaffney@kagome.(none)>
Date:   Mon Jul 28 22:31:34 2008 -0500

    Remove check for >=2.6 for 'make prepare'

commit 3bec381546387882a265515a4e65716fa8e691c7
Author: agaffney <agaffney@kagome.(none)>
Date:   Mon Jul 28 21:31:46 2008 -0500

    Remove a few more 2.4 kernel support remnants

commit 7db66a23dc1fc9ab276ddb34ae70ce0442a321da
Author: agaffney <agaffney@kagome.(none)>
Date:   Mon Jul 28 21:24:00 2008 -0500

    Cleanup remaining references to ${ARCH}/ without arch/ prefix

commit 4de21c78dfb244d6519d69170aa86b81e91abee2
Author: agaffney <agaffney@kagome.(none)>
Date:   Mon Jul 28 21:23:26 2008 -0500

    Cleanup remaining references to ${ARCH}/ without arch/ prefix

commit 35384e28c60a37d90f82b88caf8666a56edf0750
Author: agaffney <agaffney@kagome.(none)>
Date:   Mon Jul 28 20:27:00 2008 -0500

    Move um/ underneath arch/ where it belongs

commit cceaf5e715cadeb295c714f0ee7e25a8232e1d1d
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Mon Jul 28 16:57:18 2008 -0700

    Removed some unused dietlibc code.

commit 676dd5a061428ed95090d1b8059aea2a2c8d8802
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Mon Jul 28 16:31:30 2008 -0700

    Removed a large chunk of 2.4 kernel support.  This will still require some fairly extensive cleaning to completely remove, but I'd say that without a shadow of a doubt, genkernel will not function on 2.4 kernels.

commit d37ba965e6a40ee7c8795075413cc787f5168f6d
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Mon Jul 28 16:20:50 2008 -0700

    Added a couple more places where I needed to switch INITRD with RAMDISK.

commit d5b1e6a9852b18010f24c2f47edfff5daa221cf1
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Mon Jul 28 16:18:04 2008 -0700

    Removed all references to an initrd and renamed most initr{d,amfs} stuff to simply 'ramdisk' to simplify things for the future.

commit 1ffb37f09c7ad077f9d9863ced18d64eeef7520b
Author: Chris Gianelloni <wolf31o2@gentoo.org>
Date:   Mon Jul 28 15:05:51 2008 -0700

    Moving files from generic to defaults, since they are the defaults used globally.

commit 73e34e757ea200c118a8f6fe20697e45b3079221
